2006-07-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/aclui.h: Replace __OBJC__ guard with _OBJC_NO_COM.
	* include/basetyps.h:  Likewise.
 	(_COM_interface): New define.
	(interface): Define to _COM_interface, conditional on !__OBJC__.
	Replace 'interface' with '_COM_interface', throughout.
  	* include/comcat.h: Replace 'interface' with '_COM_interface', throughout.
	* include/commdlg.h: Replace __OBJC__ guard with _OBJC_NO_COM.
	* include/docobj.h: Replace 'interface' with '_COM_interface', throughout.
	* include/mshtml.h: Likewise.
	* include/oaidl.h: Likewise.
	* include/objfwd.h: Likewise.
	* include/objidl.h: Likewise.
	* include/ocidl.h: Likwise.
	* include/olectl.h: Likewise.
	* include/oleidl.h: Likewise.
	* include/shlobj.h: Likewise.
	* include/shlwapi.h: Replace __OBJC__ guard with _OBJC_NO_COM.
	* include/vfw.h: Likewise.
	* include/windows.h. Likewise. Add comment.
	* include/directx/d3d9.h: Replace 'interface' with '_COM_interface',
	throughout.

	* lib/test.c: Replace __OBJC__ guard with _OBJC_NO_COM.
	Add test for conflict with '@interface'
 

2006-07-22  ipsoner  <ipsoner@users.sourceforge.net>

    * include/wincrypt.h (szOID_RSA, szOID_PKCS, szOID_RSA_HASH,
    szOID_RSA_ENCRYPT, szOID_PKCS_1, szOID_PKCS_2, szOID_PKCS_3,
    szOID_PKCS_4, szOID_PKCS_5, szOID_PKCS_6, szOID_PKCS_7,
    szOID_PKCS_8, szOID_PKCS_9, szOID_PKCS_10, szOID_PKCS_12,
    szOID_RSA_MD2, szOID_RSA_MD4, szOID_RSA_MD5, szOID_RSA_RSA,
    szOID_RSA_MD2RSA, szOID_RSA_MD4RSA, szOID_RSA_MD5RSA,
    szOID_RSA_SHA1RSA, szOID_RSA_SETOAEP_RSA, szOID_RSA_DH,
    szOID_RSA_data, szOID_RSA_signedData, szOID_RSA_envelopedData,
    szOID_RSA_signEnvData, szOID_RSA_digestedData, szOID_RSA_hashedData,
    szOID_RSA_encryptedData, szOID_RSA_emailAddr, szOID_RSA_unstructName,
    szOID_RSA_contentType, szOID_RSA_messageDigest, szOID_RSA_signingTime,
    szOID_RSA_counterSign, szOID_RSA_challengePwd, szOID_RSA_unstructAddr,
    szOID_RSA_extCertAttrs, szOID_RSA_SMIMECapabilities,
    szOID_RSA_preferSignedData, szOID_RSA_RC2CBC, szOID_RSA_RC4,
    szOID_RSA_DES_EDE3_CBC, szOID_RSA_RC5_CBCPad, szOID_ANSI_x942,
    szOID_ANSI_x942_DH, szOID_X957, szOID_X957_DSA, szOID_DATA STRUCTURE,
    szOID_DS, szOID_DSALG, szOID_DSALG_CRPT, szOID_DSALG_HASH,
    szOID_DSALG_SIGN, szOID_DSALG_RSA, szOID_OIW, szOID_OIWSEC,
    szOID_OIWSEC_md4RSA, szOID_OIWSEC_md5RSA, szOID_OIWSEC_md4RSA2,
    szOID_OIWSEC_desECB, szOID_OIWSEC_desCBC, szOID_OIWSEC_desOFB,
    szOID_OIWSEC_desCFB, szOID_OIWSEC_desMAC, szOID_OIWSEC_rsaSign,
    szOID_OIWSEC_dsa, szOID_OIWSEC_shaDSA, szOID_OIWSEC_mdc2RSA,
    szOID_OIWSEC_shaRSA, szOID_OIWSEC_dhCommMod, szOID_OIWSEC_desEDE,
    szOID_OIWSEC_sha, szOID_OIWSEC_mdc2, szOID_OIWSEC_dsaComm,
    szOID_OIWSEC_dsaCommSHA, szOID_OIWSEC_rsaXchg, szOID_OIWSEC_keyHashSeal,
    szOID_OIWSEC_md2RSASign, szOID_OIWSEC_md5RSASign, szOID_OIWSEC_sha1,
    szOID_OIWSEC_dsaSHA1, szOID_OIWSEC_dsaCommSHA1, szOID_OIWSEC_sha1RSASign,
    szOID_OIWDIR, szOID_OIWDIR_CRPT, szOID_OIWDIR_HASH, szOID_OIWDIR_SIGN,
    szOID_OIWDIR_md2, szOID_OIWDIR_md2RSA, szOID_INFOSEC,
    szOID_INFOSEC_sdnsSignature, szOID_INFOSEC_mosaicSignature,
    szOID_INFOSEC_sdnsConfidentiality, szOID_INFOSEC_mosaicConfidentiality,
    szOID_INFOSEC_sdnsIntegrity, szOID_INFOSEC_mosaicIntegrity,
    szOID_INFOSEC_sdnsTokenProtection, szOID_INFOSEC_mosaicTokenProtection,
    szOID_INFOSEC_sdnsKeyManagement, szOID_INFOSEC_mosaicKeyManagement,
    szOID_INFOSEC_sdnsKMandSig, szOID_INFOSEC_mosaicKMandSig,
    szOID_INFOSEC_SuiteASignature, szOID_INFOSEC_SuiteAConfidentiality,
    szOID_INFOSEC_SuiteAIntegrity, szOID_INFOSEC_SuiteATokenProtection,
    szOID_INFOSEC_SuiteAKeyManagement, szOID_INFOSEC_SuiteAKMandSig,
    szOID_INFOSEC_mosaicUpdatedSig, szOID_INFOSEC_mosaicKMandUpdSig,
    szOID_INFOSEC_mosaicUpdatedInteg, szOID_PKIX_NO_SIGNATURE,
    szOID_COMMON_NAME, szOID_COUNTRY_NAME, szOID_DEVICE_SERIAL_NUMBER,
    szOID_DOMAIN_COMPONENT, szOID_RSA_emailAddr, szOID_GIVEN_NAME,
    szOID_INITIALS, szOID_LOCALITY_NAME, szOID_ORGANIZATION_NAME,
    szOID_ORGANIZATIONAL_UNIT_NAME, szOID_STATE_OR_PROVINCE_NAME,
    szOID_STREET_ADDRESS, szOID_SUR_NAME, szOID_TITLE, szOID_RSA_unstructAddr,
    szOID_RSA_unstructName, szOID_BASIC_CONSTRAINTS2,
    CERT_BASIC_CONSTRAINTS2_INFO, CRYPT_ENCODE_PARA,CertDuplicateStore,
    CertEnumCertificatesInStore, CertDuplicateCertificateContext,
    CertGetNameStringA, CertGetNameStringW, CertGetNameString, PFXIsPFXBlob,
    CertFindExtension, CryptDecodeObject, CertAddCertificateContextToStore,
    CertCompareCertificate, PFXVerifyPassword, PFXImportCertStore,
    CertDeleteCertificateFromStore): Define.
    * lib/crypt32.def (CertDuplicateStore, CertEnumCertificatesInStore,
    CertDuplicateCertificateContext, CertGetNameStringA, CertGetNameStringW,
    CertGetNameString, PFXIsPFXBlob, CertFindExtension, CryptDecodeObject,
    CertAddCertificateContextToStore, CertCompareCertificate,
    PFXVerifyPassword, PFXImportCertStore, CertDeleteCertificateFromStore):
    Define.

2006-07-22  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/uuid.c: Remove.

2006-07-20  Elias Naur  <elias_naur@users.sourceforge.net>

	* include/devguid.h: Add new file with missing GUID_DEVCLASS_*
	declarations. They were extracted from the registry with a script.
	* lib/devguid.c: Add new file with the implementation of the
	missing GUIDs.
	* lib/Makefile.in: Add devguid.c to UUID_SOURCES and UUID_OBJS.

2006-07-19  Elias Naur  <elias_naur@users.sourceforge.net>

	* include/winuser.h (WM_INPUT): Add missing Raw	Input
	notification define.
	(RID_DEVICE_INFO_MOUSE, RID_DEVICE_INFO_KEYBOARD,
	RID_DEVICE_INFO_HID, RID_DEVICE_INFO): Define Raw Input structs

2006-07-19  Danny Smith  <dannysmith@users.sourceforge.net>

	[mingw-Bugs-1525021]
	* iptypes.h (IP_ADAPTER_ANYCAST_ADDRESS): Fix NONAMELESSUNION warnings.
	(IP_ADAPTER_MULTICAST_ADDRESS): Likewise.	
	(IP_ADAPTER_UNICAST_ADDRESS): Likewise.
	(IP_ADAPTER_DNS_SERVER_ADDRESS): Likewise.
	(IP_ADAPTER_ADAPTER_PREFIX): Likewise.
	(IP_ADAPTER_ADDRESSES): Likewise.

2006-06-13  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/uuid.c (CLSID_FileProtocol, CLSID_FtpProtocol, CLSID_GopherProtocol,
	CLSID_HttpProtocol, CLSID_HttpSProtocol, CLSID_MkProtocol,
	CLSID_PSUrlMonProxy, CLSID_StdURLMoniker): Remove.  Moved to
	extras-uuid.c.
	* lib/extras-uuid.c (CLSID_FileProtocol, CLSID_FtpProtocol, CLSID_GopherProtocol,
	CLSID_HttpProtocol, CLSID_HttpSProtocol, CLSID_MkProtocol,
	CLSID_PSUrlMonProxy, CLSID_StdURLMoniker): Added.
	* lib/hlguids-uuid.c: State source of CLSIDs.

2006-06-13  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Added extras-uuid as an object and source.
	* lib/uuid.c (IID_IClientSiteHandler, IID_IContinue, IID_IHttpNegotiate,
	IID_IPersistMoniker, IID_IServerHandler, IID_ITargetEmbedding,
	IID_ITargetFrame, IID_ITypeComp, IID_IUrlHistoryStg, IID_IWinInetHttpInfo,
	IID_IWinInetInfo, IID_IEnumSTATPROPSETSTG, IID_IEnumSTATPROPSTG,
	IID_IEnumSTATURL): Remove.  Moved to extras-uuid.c.
	* lib/extras-uuid.c: New file.
	Thank you to Julien Lecomte (julienlecomte at users dot sourceforge dot
	net).

2006-06-12  Danny Smith  <dannysmith@users.sourceforge.net>

	[mingw-Bugs-1424461]
	*include/imagehlp.h: Comment out IN, OUT and OPTIONAL,
	throughout.
	*include/rpcdce.h: Don't define IN, OUT or OPTIONAL if
	_NO_W32_PSEUDO_MODIFIERS.
	*include/rpcnsi.h: Comment out IN, OUT and OPTIONAL,
	throughout.
	*include/rpcnsip.h: Likewise.
	*include/windef.h: Don't define IN, OUT or OPTIONAL
	if _NO_W32_PSEUDO_MODIFIERS.
	*include/ddk/batclass.h: Comment out IN, OUT and OPTIONAL,
	throughout.
	*include/ddk/cfgmgr32.h: Likewise.
	*include/ddk/ddkmapi.h: Likewise.
	*include/ddk/hidclass.h: Likewise.
	*include/ddk/hidpi.h: Likewise.
	*include/ddk/kbdmou.h: Likewise.
	*include/ddk/mcd.h: Likewise.
	*include/ddk/miniport.h: Likewise.
	*include/ddk/minitape.h: Likewise.
	*include/ddk/ndis.h: Likewise.
	*include/ddk/ndistapi.h: Likewise.
	*include/ddk/ndiswan.h: Likewise.
	*include/ddk/ntapi.h: Likewise.
	*include/ddk/ntdd8042.h: Likewise.
	*include/ddk/ntddpcm.h: Likewise.
	*include/ddk/ntifs.h: Likewise.
	*include/ddk/ntpoapi.h: Likewise.
	*include/ddk/parallel.h: Likewise.
	*include/ddk/pfhook.h: Likewise.
	*include/ddk/scsiwmi.h: Likewise.
	*include/ddk/smbus.h: Likewise.
	*include/ddk/srb.h: Likewise.
	*include/ddk/storport.h: Likewise.
	*include/ddk/tdikrnl.h: Likewise.
	*include/ddk/upssvc.h: Likewise.
	*include/ddk/usbcamdi.h: Likewise.
	*include/ddk/usbscan.h: Likewise.
	*include/ddk/video.h: Likewise.
	*include/ddk/videoagp.h: Likewise.
	*include/ddk/win2k.h: Likewise.
	*include/ddk/winddi.h: Likewise.
	*include/ddk/winddk.h: Don't define IN, OUT or OPTIONAL
	if _NO_W32_PSEUDO_MODIFIERS.
	Comment out IN, OUT and OPTIONAL, throughout.
	*include/ddk/winnt4.h: Comment out IN, OUT and OPTIONAL,
	throughout.
	*include/ddk/ws2san.h: Likewise.

2006-06-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in:  Added hlguids-uuid as source and object.

2006-06-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/uuid.c (CLSID_StaticDib, CLSID_StaticMetafile, CLSID_StdHlink,
	CLSID_StdHlinkBrowseContext): Remove.  Moved to relevant files.
	* lib/cguid-uuid.c (CLSID_StaticDib, CLSID_StaticMetafile): Added.
	* lib/hlguids-uuid.c: New file.
	Thank you to Julien Lecomte (julienlecomte at users dot sourceforge dot
	net).

2006-06-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Added urlmon-uuid and hlink-uuid as sources and
	objects.
	* lib/uuid.c (IID_IAuthenticate, IID_IBindHost, IID_IBindProtocol,
	IID_IBindStatusCallback, IID_IBindStatusCallbackMsg, IID_IBinding,
	IID_IHlink, IID_IHlinkBrowseContext, IID_IHlinkFrame, IID_IHlinkSite,
	IID_IHlinkTarget): Remove.  Moved to new files.
	* lib/urlmon-uuid.c: New file.
	* lib/hlink-uuid.c: New file.

2006-06-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Added ativscp-uuid as source and object.
	* lib/uuid.c (IID_IActiveScript, IID_IActiveScriptError,
	IID_IActiveScriptParse, IID_IActiveScriptSite,
	IID_IActiveScriptSiteWindow): Remove.  Moved to ativscp-uuid.c.
	* lib/ativscp-uuid.c: New file.

2006-06-09  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/uuid.c (IID_IClientSecurity, IID_IMallocSpy, IID_IServerSecurity):
	Remove.  Moved to objidl-uuid.c
	* lib/objidl-uuid.c (IID_IClientSecurity, IID_IMallocSpy,
	IID_IServerSecurity): Defined.

2006-06-09  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Add cguid-uuid and olectlid-uuid as sources and
	objects.
	* lib/uuid.c (CLSID_CColorPropPage, CLSID_CFontPropPage,
	CLSID_CPicturePropPage, CLSID_Picture_Dib, CLSID_Picture_Metafile,
	CLSID_StdFont, CLSID_StdPicture, GUID_NULL, IID_ICreateTypeInfo,
	IID_ICreateTypeInfo2, IID_ICreateTypeLib, IID_ICreateTypeLib2, IID_IDebug,
	IID_IDebugStream, IID_IDispatch, IID_IEnumFORMATETC,IID_IEnumMoniker,
	IID_IEnumOLEVERB, IID_IEnumSTATDATA, IID_IEnumSTATSTG, IID_IEnumString,
	IID_IEnumUnknown, IID_IEnumVARIANT, IID_IOleLink, IID_IPSFactory,
	IID_IRpcChannel, IID_IRpcProxy, IID_IRpcStub, IID_ITypeInfo,
	IID_ITypeInfo2, IID_ITypeLib, IID_ITypeLib2): Remove.  Moved to relevant
	files.
	* lib/oaidl-uuid.c (IID_ICreateTypeInfo, IID_ICreateTypeInfo2,
	IID_ICreateTypeLib, IID_ICreateTypeLib2, IID_ITypeInfo, IID_ITypeInfo2,
	IID_ITypeLib, IID_ITypeLib2, IID_IEnumVARIANT): Define.
	* lib/cguid-uuid.c: New file.
	* lib/olectlid-uuid.c: New file.

2006-06-08  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Add objsafe-uuid oaidl-uuid docobj-uuid comcat-uuid
	exdisp-uuid mlang-uuid objidl-uuid as sources and objects.
	* lib/uuid.c (CATID_Control, CATID_DocObject, CATID_Insertable,
	CATID_PersistsToPropertyBag, CATID_PersistsToStorage, CATID_PersistsToStream,
	CATID_PersistsToStreamInit, CATID_Printable, CATID_Programmable,
	CLSID_CMultiLanguage, CLSID_StdComponentCategoriesMgr, CLSID_WebBrowser,
	DIID_DWebBrowserEvents, DIID_DWebBrowserEvents2, IID_IAdviseSink,
	IID_IAdviseSink2, IID_IBindCtx, IID_ICatInformation, IID_ICatRegister,
	IID_IClassActivator, IID_IContinueCallback, IID_ICreateErrorInfo,
	IID_IDataAdviseHolder, IID_IDataObject, IID_IEnumCATEGORYINFO,
	IID_IEnumGUID, IID_IEnumOleDocumentViews, IID_IErrorInfo,
	IID_IExternalConnection, IID_IFillLockBytes, IID_ILockBytes, IID_IMalloc,
	IID_IMarshal, IID_IMessageFilter, IID_IMoniker, IID_IObjectSafety,
	IID_IOleCommandTarget, IID_IOleDocument, IID_IOleDocumentSite,
	IID_IOleDocumentView, IID_IPSFactoryBuffer, IID_IPersist,
	IID_IPersistFile, IID_IPersistStorage, IID_IPersistStream, IID_IPrint,
	IID_IProgressNotify, IID_IPropertySetStorage, IID_IPropertyStorage,
	IID_IROTData, IID_IRootStorage, IID_IRpcChannelBuffer,
	IID_IRpcProxyBuffer, IID_IRpcStubBuffer, IID_IRunnableObject,
	IID_IRunningObjectTable, IID_ISequentialStream, IID_IStdMarshalInfo,
	IID_IStorage, IID_IStream, IID_ISupportErrorInfo, IID_IWebBrowser,
	IID_IWebBrowser2, IID_IWebBrowserApp): Remove. Moved to new files.
	* lib/comcat-uuid.c: New file.
	* lib/docobj-uuid.c: New File.
	* lib/exdisp-uuid.c: New file.
	* lib/mlang-uuid.c: New file.
	* lib/oaidl-uuid.c: New file.
	* lib/objidl-uuid.c: New file.
	* lib/objsafe-uuid.c: New file.

2006-06-07  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Add oleacc-uuid oleidl-uuid ocidl-uuid as sources and
	objects.
	* lib/uuid.c (IID_IOleCache, IID_IOleCache2, IID_IOleCacheControl, IID_IViewObject,
	IID_IViewObject2, IID_IDropSource, IID_IDropTarget, IID_IOleAdviseHolder,
	IID_IOleInPlaceUIWindow, IID_IOleInPlaceObject, IID_IOleInPlaceActiveObject,
	IID_IOleInPlaceFrame, IID_IOleInPlaceSite, IID_IOleContainer, IID_IOleItemContainer,
	IID_IOleClientSite, IID_IOleObject, IID_IOleWindow, IID_IParseDisplayName,
	IID_IAccessible, LIBID_Accessibility, IID_IQuickActivate, IID_IOleUndoManager,
	IID_IOleParentUndoUnit, IID_IOleUndoUnit, IID_IEnumOleUndoUnits, IID_IPointerInactive,
	IID_IAdviseSinkEx, IID_IOleInPlaceSiteEx, IID_IOleControl, IID_IOleControlSite,
	IID_IPersistPropertyBag, IID_IPersistPropertyBag2, IID_IPersistStreamInit,
	IID_IPersistMemory, IID_IPropertyBag, IID_IPropertyBag2, IID_IPropertyNotifySink,
	IID_IPropertyPage, IID_IPropertyPage2, IID_IPropertyPageSite, IID_IFont, IID_IFontDisp,
	IID_IPicture, IID_IPictureDisp, IID_IProvideClassInfo, IID_IProvideClassInfo2,
	IID_IEnumConnectionPoints, IID_IEnumConnections, IID_IConnectionPoint,
	IID_IConnectionPointContainer, IID_IClassFactory2, IID_IErrorLog,
	IID_IObjectWithSite, IID_IPerPropertyBrowsing, IID_ISimpleFrameSite,
	IID_ISpecifyPropertyPages): Remove. Moved to new files.
	* lib/oleidl-uuid.c: New file.
	* lib/oleacc-uuid.c: New file.
	* lib/ocidl-uuid.c: New file.

2006-06-04  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Add unknwn-uuid and servprov-uuid as sources and
	objects.
	* lib/uuid.c (IID_IUnknown, IID_IClassFactory, IID_IServiceProvider):
	Remove.  Moved to unknwn-uuid and servprov-uuid.
	* lib/unknwn-uuid.c: New file.
	* lib/servprov-uuid.c: New file.

2006-06-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/strmif.h (VMRDeinterlaceTech): Correct typedef for DeinterlaceTech_*
	enum.

2006-06-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/strmif.h (enum tagAnalogVideoStandard): Add missing ','.

2006-06-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (DM_BITSPERPEL, DM_PELSWIDTH, DM_PELSHEIGHT,
	DM_DISPLAYFLAGS, DM_DISPLAYFREQUENCY): Remove.  Duplicates of
	wingdi.h defines.

2006-06-02  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h ((SPI_GETMOUSETRAILS,SPI_SETMOUSETRAILS): Remove
	duplicate defines.

	* include/winnt.h (SUBLANG_ARABIC_SAUDI_ARABIA): Revert accidental
	removal.
        (SUBLANG_MARATHI_INDIA): Remove duplicate define.

2006-05-24  Christopher Faylor  <cgf@timesys.com>

	* configure.in: Update to newer autoconf.
	(thanks to Steve Ellcey)
	* configure: Regenerate.
	* aclocal.m4: New file.

2006-05-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/uuid.c (IID_IRpcProxyBuffer34): Remove definition. 

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/rtutils.h (TraceDumpA,TraceDumpW,TracePutsA,TracePutsW)
	(TraceRegisterA,TraceRegisterW,TraceVprintfA,TraceVprintfW): Define
	as macros.
	Thanks to:    Bruce M Simpson <bms_spc at sf dot net>

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (MprAdminMIBBufferFree,MprAdminMIBEntryCreate)
	(MprAdminMIBEntryDelete,MprAdminMIBEntryGet,MprAdminMIBEntryGetFirst)
	(MprAdminMIBEntryGetNext,MprAdminMIBEntrySet,MprAdminMIBGetTrapInfo)
	(MprAdminMIBServerConnect,MprAdminMIBServerDisconnect)
	(MprAdminMIBSetTrapInfo): Declare functions.
	Note: MprAdminMIBSetTrapInfo is missing from mprapi.def.
	(MIB_SERVER_HANDLE): New typedef.
	(MprConfigTransportSetInfo): Declare function.
	* lib/mprapi.def (MprSetupIpInIpInterfaceFriendlyNameEnum)
	(MprSetupIpInIpInterfaceFriendlyNameFree): Fix size.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* lib/rtutils.def: New file. Generated on Windows XP.
	(TracePrintf{AW},TracePrintfEx{AW}): Left out for now.
	* include/rtutils.h: New file.
	(TraceDump{AW},TracePuts{AW},TraceRegister{AW},TraceVprintf{AW}):
	Commented out, they're missing from rtutils.def.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (MprInfoBlockAdd,MprInfoBlockFind)
	(MprInfoBlockQuerySize,MprInfoBlockRemove,MprInfoBlockSet)
	(MprInfoCreate,MprInfoDelete,MprInfoDuplicate)
	(MprInfoRemoveAll): Declare functions.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (MprConfigBufferFree,MprConfigGetFriendlyName)
	(MprConfigGetGuidName,MprConfigInterfaceCreate)
	(MprConfigInterfaceDelete,MprConfigInterfaceEnum)
	(MprConfigInterfaceGetHandle,MprConfigInterfaceGetInfo)
	(MprConfigInterfaceSetInfo,MprConfigInterfaceTransportAdd)
	(MprConfigInterfaceTransportEnum,MprConfigInterfaceTransportGetHandle)
	(MprConfigInterfaceTransportGetInfo,MprConfigInterfaceTransportRemove)
	(MprConfigInterfaceTransportSetInfo,MprConfigServerBackup)
	(MprConfigServerConnect,MprConfigServerDisconnect)
	(MprConfigServerGetInfo,MprConfigServerInstall)
	(MprConfigServerRestore,MprConfigTransportCreate)
	(MprConfigTransportDelete,MprConfigTransportEnum)
	(MprConfigTransportGetHandle,MprConfigTransportGetInfo)
	(MprConfigTransportSetInfo): Declare functions.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (MprAdminBufferFree)
	(MprAdminDeregisterConnectionNotification,MprAdminGetErrorString)
	(MprAdminInterfaceConnect,MprAdminInterfaceCreate)
	(MprAdminInterfaceDelete,MprAdminInterfaceDeviceGetInfo)
	(MprAdminInterfaceDeviceSetInfo,MprAdminInterfaceDisconnect)
	(MprAdminInterfaceEnum,MprAdminInterfaceGetCredentials)
	(MprAdminInterfaceGetCredentialsEx,MprAdminInterfaceGetHandle)
	(MprAdminInterfaceGetInfo,MprAdminInterfaceQueryUpdateResult)
	(MprAdminInterfaceSetCredentials,MprAdminInterfaceSetCredentialsEx)
	(MprAdminInterfaceSetInfo,MprAdminInterfaceTransportAdd)
	(MprAdminInterfaceTransportGetInfo,MprAdminInterfaceTransportRemove)
	(MprAdminInterfaceTransportSetInfo)
	(MprAdminInterfaceUpdatePhonebookInfo,MprAdminInterfaceUpdateRoutes)
	(MprAdminIsServiceRunning,MprAdminRegisterConnectionNotification)
	(MprAdminServerConnect,MprAdminServerDisconnect)
	(MprAdminServerGetCredentials,MprAdminServerGetInfo)
	(MprAdminServerSetCredentials,MprAdminTransportCreate)
	(MprAdminTransportGetInfo,MprAdminTransportSetInfo): Declare functions.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ipxtfflt.h: New file.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h: Fix header guard. Cleanup.
	(MprAdminAcceptNewConnection,MprAdminAcceptNewConnection2)
	(MprAdminAcceptNewLink,MprAdminAcceptReauthentication)
	(MprAdminConnectionHangupNotification)
	(MprAdminConnectionHangupNotification2)
	(MprAdminGetIpAddressForUser,MprAdminInitializeDll)
	(MprAdminTerminateDll,MprAdminLinkHangupNotification)
	(MprAdminReleaseIpAddress): Declare functions.
	* lib/mprapi.def: Regenerate on Windows XP.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ipifcons.h: Cleanup.
	* include/ipxconst.h: Fix header guard.
	* include/ipxrtdef.h: include <ipxconst.h>.

2006-05-11  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ipxrtdef.h: Cleanup.
	(IPX_INTERFACE_INFO_TYPE,IPX_STATIC_ROUTE_INFO_TYPE)
	(IPX_STATIC_SERVICE_INFO_TYPE,IPX_SERVICE_FILTER_INFO_TYPE)
	(IPX_ROUTE_FILTER_INFO_TYPE,IPX_IN_TRAFFIC_FILTER_INFO_TYPE)
	(IPX_ADAPTER_INFO_TYPE,IPXWAN_INTERFACE_INFO_TYPE,IPX_GLOBAL_INFO_TYPE)
	(IPX_STATIC_NETBIOS_NAME_INFO_TYPE)
	(IPX_IN_TRAFFIC_FILTER_GLOBAL_INFO_TYPE)
	(IPX_OUT_TRAFFIC_FILTER_INFO_TYPE)
	(IPX_OUT_TRAFFIC_FILTER_GLOBAL_INFO_TYPE): Define.
	* include/routprot.h: Cleanup.
	(PROTO_IP_OTHER,PROTO_IP_LOCAL,PROTO_IP_NETMGMT,PROTO_IP_ICMP)
	(PROTO_IP_EGP,PROTO_IP_GGP,PROTO_IP_HELLO,PROTO_IP_RIP,PROTO_IP_IS_IS)
	(PROTO_IP_ES_IS,PROTO_IP_CISCO,PROTO_IP_BBN,PROTO_IP_OSPF,PROTO_IP_BGP)
	(PROTO_IP_BOOTP,PROTO_IP_NT_AUTOSTATIC,PROTO_IP_NT_STATIC)
	(PROTO_IP_NT_STATIC_NON_DOD,IPRTRMGR_PID,IPX_PROTOCOL_BASE)
	(IPX_PROTOCOL_RIP,IPX_PROTOCOL_SAP,IPX_PROTOCOL_NLSP): Define.
	* include/fltdefs.h: New file.
	* include/ipinfoid.h: New file.

2006-05-11  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/strmif.h (IAMAnalogVideoDecoder,IAMAudioInputMixer)
	(IAMAudioRendererStats,IAMBufferNegotiation,IAMCameraControl)
	(IAMCertifiedOutputProtection): Add interfaces.
	* include/adsprop.h: New file.
	* include/cmnquery.h: New file.
	* include/dsadmin.h: New file.
	* include/dsclient.h: New file.
	* include/dsgetdc.h: New file.
	* include/dsquery.h: New file.
	* include/dsrole.h: New file.
	* include/ntdsapi.h: New file.
	* include/ntdsbcli.h: New file.
	* include/objsel.h: New file.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/qedit.h (DEXTER_PARAM,DEXTER_VALUE,SCompFmt0): Add structures.
	(DEXTERF_TRACK_SEARCH_FLAGS,TIMELINE_MAJOR_TYPE): Add enums.
	(CONNECTF_DYNAMIC_NONE,CONNECTF_DYNAMIC_SOURCES)
	(CONNECTF_DYNAMIC_EFFECTS,SFN_VALIDATEF_CHECK,SFN_VALIDATEF_POPUP)
	(SFN_VALIDATEF_TELLME,SFN_VALIDATEF_REPLACE,SFN_VALIDATEF_USELOCAL)
	(SFN_VALIDATEF_NOFIND,SFN_VALIDATEF_IGNOREMUTED,RESIZEF_STRETCH)
	(RESIZEF_CROP,RESIZEF_PRESERVEASPECTRATIO)
	(RESIZEF_PRESERVEASPECTRATIO_NOLETTERBOX): Define.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/qedit.h: New file.
	* include/errors.h: Cleanup.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/amvideo.h (BIT_MASKS_MATCH): Don't use memcmp to
	avoid dependency on <string.h>.
	There's no Win32 equivalent for memcmp:
	http://support.microsoft.com/default.aspx?scid=kb;EN-US;q99456

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/amvideo.h (RESET_MASKS,RESET_PALETTE): Use ZeroMemory
	instead of memset to avoid dependency on <string.h>.
	* include/dshow.h (AM_ASPECT_RATIO_MODE,AM_WST_DRAWBGMODE,AM_WST_LEVEL)
	(AMExtendedSeekingCapabilities,AM_WST_SERVICE,AM_WST_STATE)
	(AM_WST_STYLE): Add enums.
	(AM_WST_PAGE,AMVABeginFrameInfo,AMVACompBufferInfo,AMVAEndFrameInfo,
	AMVAInternalMemInfo,AMVAUncompBufferInfo,AMVAUncompDataInfo): New
	structures.
	* include/errors.h (VFW_E_DVD_CMD_CANCELLED)
	(VFW_E_DVD_STATE_WRONG_VERSION,VFW_E_DVD_STATE_CORRUPT)
	(VFW_E_DVD_STATE_WRONG_DISC,VFW_E_DVD_INCOMPATIBLE_REGION)
	(VFW_E_DVD_NO_ATTRIBUTES,VFW_E_DVD_NO_GOUP_PGC)
	(VFW_E_DVD_LOW_PARENTAL_LEVEL,VFW_E_DVD_NOT_IN_KARAOKE_MODE)
	(VFW_E_FRAME_STEP_UNSUPPORTED,VFW_E_DVD_STREAM_DISABLED)
	(VFW_E_DVD_TITLE_UNKNOWN,VFW_E_DVD_INVALID_DISC)
	(VFW_E_DVD_NO_RESUME_INFORMATION)
	(VFW_E_PIN_ALREADY_BLOCKED_ON_THIS_THREAD,VFW_E_PIN_ALREADY_BLOCKED)
	(VFW_E_CERTIFICATION_FAILURE,VFW_E_VMR_NOT_IN_MIXER_MODE)
	(VFW_E_VMR_NO_AP_SUPPLIED,VFW_E_VMR_NO_DEINTERLACE_HW)
	(VFW_E_VMR_NO_PROCAMP_HW,VFW_E_DVD_VMR9_INCOMPATIBLEDEC)
	(VFW_E_NO_COPP_HW,VFW_E_BAD_KEY): Define.
	* include/evcode.h (AM_WMT_EVENT_DATA): New structure.
	* include/mmsystem.h (WAVE_FORMAT_EXTENSIBLE): Define.
	* include/edevdefs.h (ED_FORMAT_SMPTE_30,ED_FORMAT_SMPTE_30DROP)
	(ED_FORMAT_SMPTE_25,ED_FORMAT_SMPTE_24): Move from here...
	* include/strmif.h: ... to here. New file.
	* include/aviriff.h: New file.
	* include/bdatypes.h: New file.
	* include/control.h: New file.
	* include/dvdmedia.h: New file.
	* include/il21dec.h: New file.
	* include/ks.h: New file.
	* include/ksmedia.h: New file.
	* include/mmreg.h: New file.
	* include/mpegtype.h: New file.
	* include/vidcap.h: New file.
	* include/vmr9.h: New file.
	* include/vptype.h: New file.
	* include/xprtdefs.h: New file.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnls.h [WINVER >= 0x0500] (LOCALE_IDEFAULTEBCDICCODEPAGE):
	Documented as defined on Windows 2000 or later.
	[WINVER >= 0x0600] (LOCALE_SDURATION,LOCALE_SIETFLANGUAGE)
	(LOCALE_SISO3166CTRYNAME2,LOCALE_SISO639LANGNAME2)
	(LOCALE_SKEYBOARDSTOINSTALL,LOCALE_SNAME,LOCALE_SNAN)
	(LOCALE_SNEGINFINITY,LOCALE_SPOSINFINITY,LOCALE_SSCRIPTS): Documented
	but values unknown, Windows Vista or later.
	(CAL_UMALQURA): Cleanup.
	(CAL_SSHORTESTDAYNAME_1,CAL_SSHORTESTDAYNAME_2,CAL_SSHORTESTDAYNAME_3)
	(CAL_SSHORTESTDAYNAME_4,CAL_SSHORTESTDAYNAME_5,CAL_SSHORTESTDAYNAME_6)
	(CAL_SSHORTESTDAYNAME7): Cleanup.
	[WINVER >= 0x0410] (CAL_SYEARMONTH,CAL_ITWODIGITYEARMAX)
	(CAL_NOUSEROVERRIDE,CAL_RETURN_NUMBER,CAL_USE_CP_ACP): Cleanup.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wingdi.h [WINVER >= 0x0500] (DC_PERSONALITY,DC_PRINTRATE)
	(DC_PRINTRATEUNIT,DC_PRINTERMEM,DC_MEDIAREADY,DC_STAPLE)
	(DC_PRINTRATEPPM,DC_COLORDEVICE,DC_NUP,DC_MEDIATYPENAMES)
	(DC_MEDIATYPES,DMPAPER_DBL_JAPANESE_POSTCARD,DMPAPER_A6)
	(DMPAPER_JENV_KAKU2,DMPAPER_JENV_KAKU3,DMPAPER_JENV_CHOU3)
	(DMPAPER_JENV_CHOU4,DMPAPER_LETTER_ROTATED)
	(DMPAPER_A3_ROTATED,DMPAPER_A4_ROTATED,DMPAPER_A5_ROTATED)
	(DMPAPER_B4_JIS_ROTATED,DMPAPER_B5_JIS_ROTATED)
	(DMPAPER_JAPANESE_POSTCARD_ROTATED)
	(DMPAPER_DBL_JAPANESE_POSTCARD_ROTATED)
	(DMPAPER_A6_ROTATED,DMPAPER_JENV_KAKU2_ROTATED)
	(DMPAPER_JENV_KAKU3_ROTATED,DMPAPER_JENV_CHOU3_ROTATED)
	(DMPAPER_JENV_CHOU4_ROTATED,DMPAPER_B6_JIS)
	(DMPAPER_B6_JIS_ROTATED,DMPAPER_12X11,DMPAPER_JENV_YOU4)
	(DMPAPER_JENV_YOU4_ROTATED,DMPAPER_P16K,DMPAPER_P32K)
	(DMPAPER_P32KBIG,DMPAPER_PENV_1,DMPAPER_PENV_2)
	(DMPAPER_PENV_3,DMPAPER_PENV_4,DMPAPER_PENV_5)
	(DMPAPER_PENV_6,DMPAPER_PENV_7,DMPAPER_PENV_8)
	(DMPAPER_PENV_9,DMPAPER_PENV_10,DMPAPER_P16K_ROTATED)
	(DMPAPER_P32K_ROTATED,DMPAPER_P32KBIG_ROTATED)
	(DMPAPER_PENV_1_ROTATED,DMPAPER_PENV_2_ROTATED)
	(DMPAPER_PENV_3_ROTATED,DMPAPER_PENV_4_ROTATED)
	(DMPAPER_PENV_5_ROTATED,DMPAPER_PENV_6_ROTATED)
	(DMPAPER_PENV_7_ROTATED,DMPAPER_PENV_8_ROTATED)
	(DMPAPER_PENV_9_ROTATED,DMPAPER_PENV_10_ROTATED): Define.
	(DMPAPER_LAST): Value depends on DMPAPER_* variables actually defined.
	(DM_PANNINGWIDTH,DM_PANNINGHEIGHT,DM_DISPLAYFIXEDOUTPUT)
	(DMDO_DEFAULT,DMDO_90,DMDO_180,DMDO_270,DMDFO_DEFAULT,DMDFO_STRETCH)
	(DMDFO_CENTER): Define.
	(GetDCBrushColor,GetDCPenColor): Declare.
	* lib/msimg32.def (GetDCBrushColor,GetDCPenColor): Add stubs.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnt.h (LANG_PERSIAN,LANG_LOWER_SORBIAN,LANG_UPPER_SORBIAN)
	(LANG_TSWANA,LANG_XHOSA,LANG_ZULU,LANG_MALTESE,LANG_SAMI,LANG_IRISH)
	(LANG_TIBETAN,LANG_WELSH,LANG_KHMER,LANG_LAO,LANG_SINHALESE)
	(LANG_INUKTITUT,LANG_AMHARIC,LANG_TAMAZIGHT,LANG_FRISIAN)
	(LANG_PASHTO,LANG_FILIPINO,LANG_HAUSA,LANG_YORUBA,LANG_QUECHUA)
	(LANG_SOTHO,LANG_BASHKIR,LANG_LUXEMBOURGISH,LANG_GREENLANDIC)
	(LANG_IGBO,LANG_TIGRIGNA,LANG_YI,LANG_MAPUDUNGUN,LANG_MOHAWK)
	(LANG_BRETON,LANG_UIGHUR,LANG_MAORI,LANG_OCCITAN,LANG_CORSICAN)
	(LANG_ALSATIAN,LANG_YAKUT,LANG_KICHE,LANG_KINYARWANDA,LANG_WOLOF)
	(LANG_DARI,LANG_MALAGASY)
	(SUBLANG_CUSTOM_DEFAULT,SUBLANG_CUSTOM_UNSPECIFIED)
	(SUBLANG_UI_CUSTOM_DEFAULT,SUBLANG_AFRIKAANS_SOUTH_AFRICA)
	(SUBLANG_ALBANIAN_ALBANIA,SUBLANG_ALSATIAN_FRANCE)
	(SUBLANG_AMHARIC_ETHIOPIA,SUBLANG_ARMENIAN_ARMENIA)
	(SUBLANG_ASSAMESE_INDIA,SUBLANG_BASHKIR_RUSSIA,SUBLANG_BASQUE_BASQUE)
	(SUBLANG_BELARUSIAN_BELARUS,SUBLANG_BENGALI_INDIA)
	(SUBLANG_BOSNIAN_BOSNIA_HERZEGOVINA_LATIN)
	(SUBLANG_BOSNIAN_BOSNIA_HERZEGOVINA_CYRILLIC)
	(SUBLANG_BRETON_FRANCE,SUBLANG_BULGARIAN_BULGARIA)
	(SUBLANG_CATALAN_CATALAN,SUBLANG_CORSICAN_FRANCE)
	(SUBLANG_CZECH_CZECH_REPUBLIC,SUBLANG_CROATIAN_CROATIA)
	(SUBLANG_CROATIAN_BOSNIA_HERZEGOVINA_LATIN,SUBLANG_DANISH_DENMARK)
	(SUBLANG_DIVEHI_MALDIVES,SUBLANG_ENGLISH_IRELAND)
	(SUBLANG_ENGLISH_INDIA,SUBLANG_ENGLISH_MALAYSIA)
	(SUBLANG_ENGLISH_SINGAPORE,SUBLANG_ESTONIAN_ESTONIA)
	(SUBLANG_FAEROESE_FAROE_ISLANDS,SUBLANG_FILIPINO_PHILIPPINES)
	(SUBLANG_FINNISH_FINLAND,SUBLANG_FRISIAN_NETHERLANDS)
	(SUBLANG_GALICIAN_GALICIAN,SUBLANG_GEORGIAN_GEORGIA)
	(SUBLANG_GREEK_GREECE,SUBLANG_GREENLANDIC_GREENLAND)
	(SUBLANG_GUJARATI_INDIA,SUBLANG_HAUSA_NIGERIA,SUBLANG_HEBREW_ISRAEL)
	(SUBLANG_HINDI_INDIA,SUBLANG_HUNGARIAN_HUNGARY)
	(SUBLANG_ICELANDIC_ICELAND,SUBLANG_IGBO_NIGERIA)
	(SUBLANG_INDONESIAN_INDONESIA,SUBLANG_INUKTITUT_CANADA)
	(SUBLANG_INUKTITUT_CANADA_LATIN,SUBLANG_IRISH_IRELAND)
	(SUBLANG_JAPANESE_JAPAN,SUBLANG_KAZAK_KAZAKHSTAN)
	(SUBLANG_KHMER_CAMBODIA,SUBLANG_KICHE_GUATEMALA)
	(SUBLANG_KINYARWANDA_RWANDA,SUBLANG_KONKANI_INDIA)
	(SUBLANG_KYRGYZ_KYRGYZSTAN,SUBLANG_LAO_LAO_PDR)
	(SUBLANG_LATVIAN_LATVIA,SUBLANG_LITHUANIAN_LITHUANIA)
	(SUBLANG_LOWER_SORBIAN_GERMANY,SUBLANG_LUXEMBOURGISH_LUXEMBOURG)
	(SUBLANG_MACEDONIAN_MACEDONIA,SUBLANG_MALAYALAM_INDIA)
	(SUBLANG_MALTESE_MALTA,SUBLANG_MAORI_NEW_ZEALAND)
	(SUBLANG_MAPUDUNGUN_CHILE,SUBLANG_MARATHI_INDIA,SUBLANG_MOHAWK_MOHAWK)
	(SUBLANG_MONGOLIAN_CYRILLIC_MONGOLIA,SUBLANG_MONGOLIAN_PRC)
	(SUBLANG_NEPALI_NEPAL,SUBLANG_OCCITAN_FRANCE,SUBLANG_ORIYA_INDIA)
	(SUBLANG_PASHTO_AFGHANISTAN,SUBLANG_PERSIAN_IRAN)
	(SUBLANG_POLISH_POLAND,SUBLANG_PORTUGUESE_PORTUGAL)
	(SUBLANG_PUNJABI_INDIA,SUBLANG_QUECHUA_BOLIVIA,SUBLANG_QUECHUA_ECUADOR)
	(SUBLANG_QUECHUA_PERU,SUBLANG_ROMANIAN_ROMANIA)
	(SUBLANG_ROMANSH_SWITZERLAND,SUBLANG_RUSSIAN_RUSSIA)
	(SUBLANG_SAMI_NORTHERN_NORWAY,SUBLANG_SAMI_NORTHERN_SWEDEN)
	(SUBLANG_SAMI_NORTHERN_FINLAND,SUBLANG_SAMI_LULE_NORWAY)
	(SUBLANG_SAMI_LULE_SWEDEN,SUBLANG_SAMI_SOUTHERN_NORWAY)
	(SUBLANG_SAMI_SOUTHERN_SWEDEN,SUBLANG_SAMI_SKOLT_FINLAND)
	(SUBLANG_SAMI_INARI_FINLAND,SUBLANG_SANSKRIT_INDIA)
	(SUBLANG_SERBIAN_BOSNIA_HERZEGOVINA_LATIN)
	(SUBLANG_SERBIAN_BOSNIA_HERZEGOVINA_CYRILLIC)
	(SUBLANG_SINDHI_AFGHANISTAN,SUBLANG_SINHALESE_SRI_LANKA)
	(SUBLANG_SOTHO_NORTHERN_SOUTH_AFRICA,SUBLANG_SLOVAK_SLOVAKIA)
	(SUBLANG_SLOVENIAN_SLOVENIA,SUBLANG_SPANISH_US,SUBLANG_SWEDISH_SWEDEN)
	(SUBLANG_SYRIAC,SUBLANG_TAJIK_TAJIKISTAN)
	(SUBLANG_TAMAZIGHT_ALGERIA_LATIN,SUBLANG_TAMIL_INDIA)
	(SUBLANG_TATAR_RUSSIA,SUBLANG_TELUGU_INDIA,SUBLANG_THAI_THAILAND)
	(SUBLANG_TIBETAN_PRC,SUBLANG_TIBETAN_BHUTAN,SUBLANG_TIGRIGNA_ERITREA)
	(SUBLANG_TSWANA_SOUTH_AFRICA,SUBLANG_TURKISH_TURKEY)
	(SUBLANG_TURKMEN_TURKMENISTAN,SUBLANG_UIGHUR_PRC)
	(SUBLANG_UKRAINIAN_UKRAINE,SUBLANG_UPPER_SORBIAN_GERMANY)
	(SUBLANG_VIETNAMESE_VIETNAM,SUBLANG_WELSH_UNITED_KINGDOM)
	(SUBLANG_WOLOF_SENEGAL,SUBLANG_YORUBA_NIGERIA)
	(SUBLANG_XHOSA_SOUTH_AFRICA,SUBLANG_YAKUT_RUSSIA,SUBLANG_YI_PRC)
	(SUBLANG_ZULU_SOUTH_AFRICA): Define.
	(SUBLANG_ARABIC_SAUDI_ARABIA): Removed by error.
	(SUBLANG_MARATHI_INDIA): Defined twice by error.

2006-05-05  Chris Sutcliffe <ir0nh34d@users.sf.net>

	* lib/directx/Makefile.in: Remove reference to libquartz.a since
	it was moved.

2006-05-05  Earnie Boyd  <earnie@users.sf.net>

	* lib/scrnsave.c: Correct misspelled SPI_SCREENSAVERUNNING to
	SPI_SETSCREENSAVERUNNING.
	* include winuser.h (SPI_SCREENSAVERRUNNING): Remove again.

2006-05-04  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (SPI_SCREENSAVERRUNNING): Define.
	It had been removed because it's no documented, but Cygwin needs it.

2006-05-04  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/amvideo.h (IFullScreenVideo): Define.
	(BIT_MASKS_MATCH,PALETTISED,PALETTE_ENTRIES,RESET_MASKS,RESET_PALETTE,
	SIZE_EGA_PALETTE,SIZE_MASKS,SIZE_PALETTE): Added Macros.

2006-05-04  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnls.h (CAL_SYEARMONTH,CAL_ITWODIGITYEARMAX,
	CAL_NOUSEROVERRIDE,CAL_RETURN_NUMBER,CAL_USE_CP_ACP): Documented
	as available on Windows 98 and better.
	(CAL_SSHORTESTDAYNAME_1,CAL_SSHORTESTDAYNAME_2,CAL_SSHORTESTDAYNAME_3)
	(CAL_SSHORTESTDAYNAME_4,CAL_SSHORTESTDAYNAME_5,CAL_SSHORTESTDAYNAME_6)
	(CAL_SSHORTESTDAYNAME7,CAL_UMALQURA): Define, Windows Vista and better.

2006-05-04  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/amvideo.h: New file.
	* include/dshow.h: Include <amvideo.h>.

2006-05-04  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (MOUSEEVENTF_XDOWN,MOUSEEVENTF_XUP): Define.
	(MOUSEEVENTF_MOVE,MOUSEEVENTF_LEFTDOWN,MOUSEEVENTF_LEFTUP)
	(MOUSEEVENTF_RIGHTDOWN,MOUSEEVENTF_RIGHTUP,MOUSEEVENTF_MIDDLEDOWN)
	(MOUSEEVENTF_MIDDLEUP,MOUSEEVENTF_ABSOLUTE,MOUSEEVENTF_WHEEL): Cleanup.
	(HWND_BROADCAST): Cleanup.
	(HWND_MESSAGE): Windows 2000 only.
	(SMTO_ABORTIFHUNG,SMTO_BLOCK,SMTO_NORMAL): Cleanup.
	(SMTO_NOTIMEOUTIFNOTHUNG): Define.
	(SIF_DISABLENOSCROLL,SIF_PAGE,SIF_POS,SIF_RANGE,SIF_TRACKPOS)
	(SIF_ALL): Cleanup.
	(SWP_DRAWFRAME,SWP_FRAMECHANGED,SWP_HIDEWINDOW,SWP_NOACTIVATE)
	(SWP_NOCOPYBITS,SWP_NOMOVE,SWP_NOSIZE,SWP_NOREDRAW,SWP_NOZORDER)
	(SWP_SHOWWINDOW,SWP_NOOWNERZORDER,SWP_NOREPOSITION,SWP_NOSENDCHANGING)
	(SWP_DEFERERASE,SWP_ASYNCWINDOWPOS): Cleanup.
	(HSHELL_ENDTASK,HSHELL_ACCESSIBILITYSTATE,HSHELL_APPCOMMAND): Define.
	(SPI_GETBLOCKSENDINPUTRESETS,SPI_GETCARETWIDTH,SPI_GETDROPSHADOW)
	(SPI_GETFILTERKEYS,SPI_GETFLATMENU,SPI_GETFOCUSBORDERHEIGHT)
	(SPI_GETFOCUSBORDERWIDTH,SPI_GETFONTSMOOTHINGCONTRAST)
	(SPI_GETFONTSMOOTHINGTYPE,SPI_GETFOREGROUNDFLASHCOUNT)
	(SPI_GETMENUSHOWDELAY,SPI_GETMOUSECLICKLOCK,SPI_GETMOUSECLICKLOCKTIME)
	(SPI_GETMOUSEHOVERHEIGHT,SPI_GETMOUSEHOVERTIME,SPI_GETMOUSEHOVERWIDTH)
	(SPI_GETMOUSESONAR,SPI_GETMOUSEVANISH,SPI_GETNONCLIENTMETRICS)
	(SPI_GETPOWEROFFACTIVE,SPI_GETPOWEROFFTIMEOUT,SPI_GETSCREENREADER)
	(SPI_GETSCREENSAVEACTIVE,SPI_GETSCREENSAVERRUNNING)
	(SPI_GETSCREENSAVETIMEOUT,SPI_GETMOUSEVANISH,SPI_GETNONCLIENTMETRICS)
	(SPI_GETPOWEROFFACTIVE,SPI_GETPOWEROFFTIMEOUT,SPI_GETSCREENREADER)
	(SPI_GETSCREENSAVEACTIVE,SPI_GETSCREENSAVERRUNNING)
	(SPI_GETSCREENSAVETIMEOUT,SPI_GETSNAPTODEFBUTTON,SPI_GETUIEFFECTS)
	(SPI_SETBLOCKSENDINPUTRESETS,SPI_SETCARETWIDTH,SPI_SETCURSORS)
	(SPI_SETDROPSHADOW,SPI_SETFILTERKEYS,SPI_SETFLATMENU)
	(SPI_SETFOCUSBORDERHEIGHT,SPI_SETFOCUSBORDERWIDTH)
	(SPI_SETFONTSMOOTHINGCONTRAST,SPI_SETFONTSMOOTHINGTYPE)
	(SPI_SETFOREGROUNDFLASHCOUNT,SPI_SETICONS,SPI_SETMENUSHOWDELAY)
	(SPI_SETMOUSECLICKLOCK,SPI_SETMOUSECLICKLOCKTIME)
	(SPI_SETMOUSEHOVERHEIGHT,SPI_SETMOUSEHOVERTIME)
	(SPI_SETMOUSEHOVERWIDTH,SPI_SETMOUSESONAR,SPI_SETMOUSEVANISH)
	(SPI_SETNONCLIENTMETRICS,SPI_SETPENWINDOWS,SPI_SETPOWEROFFACTIVE)
	(SPI_SETPOWEROFFTIMEOUT,SPI_SETSCREENREADER,SPI_SETSCREENSAVEACTIVE)
	(SPI_SETSCREENSAVERRUNNING,SPI_SETSCREENSAVETIMEOUT,SPI_SETSHOWIMEUI)
	(SPI_SETSNAPTODEFBUTTON,SPI_SETUIEFFECTS): Define.
	(SPI_GETACCESSTIMEOUT,SPI_GETANIMATION,SPI_GETBEEP)
	(SPI_GETDEFAULTINPUTLANG,SPI_GETDESKWALLPAPER,SPI_GETDRAGFULLWINDOWS)
	(SPI_GETFASTTASKSWITCH,SPI_GETFONTSMOOTHING,SPI_GETGRIDGRANULARITY)
	(SPI_GETHIGHCONTRAST,SPI_GETICONMETRICS,SPI_GETICONTITLELOGFONT)
	(SPI_GETICONTITLEWRAP,SPI_GETKEYBOARDDELAY,SPI_GETKEYBOARDPREF)
	(SPI_GETKEYBOARDSPEED,SPI_GETLOWPOWERACTIVE,SPI_GETLOWPOWERTIMEOUT)
	(SPI_GETMENUDROPALIGNMENT,SPI_GETMENUUNDERLINES,SPI_GETMINIMIZEDMETRICS)
	(SPI_GETMOUSE,SPI_GETMOUSEKEYS,SPI_GETMOUSESPEED,SPI_GETMOUSETRAILS)
	(SPI_GETSERIALKEYS,SPI_GETSHOWIMEUI,SPI_GETSHOWSOUNDS)
	(SPI_GETSOUNDSENTRY,SPI_GETSTICKYKEYS,SPI_GETTOGGLEKEYS)
	(SPI_GETWHEELSCROLLLINES,SPI_GETWINDOWSEXTENSION,SPI_GETWORKAREA)
	(SPI_ICONHORIZONTALSPACING,SPI_ICONVERTICALSPACING)
	(SPI_SETACCESSTIMEOUT,SPI_SETANIMATION,SPI_SETBEEP,SPI_SETBORDER)
	(SPI_SETDEFAULTINPUTLANG,SPI_SETDESKPATTERN,SPI_SETDESKWALLPAPER)
	(SPI_SETDOUBLECLICKTIME,SPI_SETDOUBLECLKHEIGHT,SPI_SETDOUBLECLKWIDTH)
	(SPI_SETDRAGFULLWINDOWS,SPI_SETDRAGHEIGHT,SPI_SETDRAGWIDTH)
	(SPI_SETFASTTASKSWITCH,SPI_SETFONTSMOOTHING,SPI_SETGRIDGRANULARITY)
	(SPI_SETHANDHELD,SPI_SETHIGHCONTRAST,SPI_SETICONMETRICS)
	(SPI_SETICONTITLELOGFONT,SPI_SETICONTITLEWRAP,SPI_SETKEYBOARDDELAY)
	(SPI_SETKEYBOARDPREF,SPI_SETKEYBOARDSPEED,SPI_SETLANGTOGGLE)
	(SPI_SETLOWPOWERACTIVE,SPI_SETLOWPOWERTIMEOUT,SPI_SETMENUDROPALIGNMENT)
	(SPI_SETMENUUNDERLINES,SPI_SETMINIMIZEDMETRICS,SPI_SETMOUSE)
	(SPI_SETMOUSEBUTTONSWAP,SPI_SETMOUSEKEYS,SPI_SETMOUSESPEED)
	(SPI_SETMOUSETRAILS,SPI_SETSERIALKEYS,SPI_SETSHOWSOUNDS)
	(SPI_SETSOUNDSENTRY,SPI_SETSTICKYKEYS,SPI_SETTOGGLEKEYS)
	(SPI_SETWHEELSCROLLLINES,SPI_SETWORKAREA): Cleanup.
	(SPI_GETMOUSETRAILS,SPI_SETMOUSETRAILS): Defined twice by error.
	(SPI_SCREENSAVERRUNNING): Removed.
	(SPIF_UPDATEINIFILE,SPIF_SENDCHANGE,SPIF_SENDWININICHANGE): Cleanup.
	* include/wingdi.h (ETO_NUMERICSLATIN,ETO_NUMERICSLOCAL)
	(ETO_IGNORELANGUAGE,ETO_PDY): Define.
	(ETO_CLIPPED,ETO_GLYPH_INDEX,ETO_OPAQUE,ETO_RTLREADING): Cleanup.

2006-05-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (MPR_SERVER_HANDLE): Add typedef.
	(MprAdminGetPDCServer): Add prototype.
	(MprAdminSendUserMessage): Add prototype.
	(MprAdminUserGetInfo): Add prototype.
	(MprAdminUserSetInfo): Add prototype.
	* lib/mprapi.def: Add stubs for above functions.

2006-05-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* lib/directx/quartz.def: Move from here...
	* lib/quartz.def: ... to here.

2006-05-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/amaudio.h: New file.
	* include/dshow.h: Include <amaudio.h>.

2006-05-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/errors.h: New file.
	* include/dshow.h: Include <errors.h>.

2006-05-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/dshow.h: New file.
	* include/evcode.h: New file.
	* include/audevcod.h: New file.
	* include/dvdevcod.h: New file.

2006-05-02  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (RAS_SERVER_HANDLE): Add typedef.
	(MprAdminConnectionClearStats): Add prototype.
	(MprAdminConnectionEnum): Add  prototype.
	(MprAdminConnectionGetInfo): Add prototype.
	(MprAdminConnectionRemoveQuarantine): Add prototype.
	(MprAdminPortClearStats): Add prototype.
	(MprAdminPortDisconnect): Add prototype.
	(MprAdminPortEnum): Add prototype.
	(MprAdminPortGetInfo): Add prototype.
	(MprAdminPortReset): Add prototype.
	* lib/mprapi.def: New file.

2006-05-02  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	*  include/mprapi.h: #include <lmcons.h>
	(MAX_DEVICETYPE_NAME): Add define.
	(MAX_PHONE_NUMBER_LEN): Add define.
	(ATADDRESSLEN): Add define.
	(IPADDRESSLEN): Add define.
	(IPXADDRESSLEN): Add define.
	(MPR_ENABLE_RAS_ON_DEVICE): Add define.
	(MPR_ENABLE_ROUTING_ON_DEVICE): Add define.
	(RAS_FLAGS_PPP_CONNECTION): Add define.
	(RAS_FLAGS_MESSENGER_PRESENT): Add define.
	(RAS_FLAGS_RAS_CONNECTION): Add define.
	(RAS_FLAGS_QUARANTINE_PRESENT): Add define.
	(RASCCPCA_STAC): Add define.
	(RASCCPCA_MPPC): Add define.
	(PPP_CCP_COMPRESSION): Add define.
	(PPP_CCP_ENCRYPTION40BITOLD): Add define.
	(PPP_CCP_ENCRYPTION40BIT): Add define.
	(PPP_CCP_ENCRYPTION128BIT): Add define.
	(PPP_CCP_ENCRYPTION56BIT): Add define.
	(PPP_CCP_HISTORYLESS): Add define.
	(RASPRIV_NoCallback): Add define.
	(RASPRIV_AdminSetCallback): Add define.
	(RASPRIV_CallerSetCallback): Add define.
	(RASPRIV_DialinPrivilege): Add define.
	(RASPRIV_CallbackType): Add define.
	(RASPRIV2_DialinPolicy): Add define.
	(PPP_LCP_PAP): Add define.
	(PPP_LCP_SPAP): Add define.
	(PPP_LCP_CHAP): Add define.
	(PPP_LCP_EAP): Add define.
	(PPP_LCP_CHAP_MD5): Add define.
	(PPP_LCP_CHAP_MS): Add define.
	(PPP_LCP_CHAP_MSV2): Add define.
	(PPP_LCP_MULTILINK_FRAMING): Add define.
 	(enum _RAS_HARDWARE_CONDITION): Add.
	(enum _RAS_PORT_CONDITION): Add.
	(struct _PPP_ATCP_INFO): Add.
	(struct _PPP_ATCP_INFO): Add.
	(struct _PPP_IPCP_INFO): Add.
	(struct _PPP_IPCP_INFO2): Add.
	(struct _PPP_IPXCP_INFO): Add.
	(struct _PPP_LCP_INFO): Add.
	(struct _PPP_NBFCP_INFO): Add.
	(struct _PPP_INFO): Add.
	(struct _PPP_INFO_2): Add.
	(struct _RAS_CONNECTION_0): Add.
	(struct RAS_CONNECTION_1): Add.
	(struct _RAS_CONNECTION_2): Add.
	(struct RAS_PORT_0): Add.
	(struct _RAS_PORT_1): Add.
	(struct _RAS_USER_0): Add.
	(struct _RAS_USER_1): Add.

2006-05-02  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h: New file.
	* include/routprot.h: New file.
	* include/ipxrtdef.h: New file.
	* include/ipxconst.h: New file.
	* include/stm.h: New file.

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ddk/winddk.h (KAFFINITY): Fix typo.
	Thanks to:    Oliver Stoeneberg <kidkat at sf dot net>

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h (ENUMRESLANGPROC,ENUMRESLANGPROCA,ENUMRESLANGPROCW)
	(ENUMRESNAMEPROC,ENUMRESNAMEPROCA,ENUMRESNAMEPROCW)
	(ENUMRESTYPEPROC,ENUMRESTYPEPROCA,ENUMRESTYPEPROCW): ANSI and Unicode
	versions.
	Thanks to:    Oliver Stoeneberg <kidkat at sf dot net>

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ntsecapi.h (POLICY_DNS_DOMAIN_INFO): Fix typo.
	Thanks to:    Oliver Stoeneberg <kidkat at sf dot net>

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wingdi.h (BITMAPV5HEADER): New structure definition.

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/basetyps.h (REFFMTID): Define properly.

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnt.h (WT_SET_MAX_THREADPOOL_THREADS): Define.
	Thanks to:    Bruce M Simpson <bms_spc at sf dot net>

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ipifcons.h (MIN_IF_TYPE,IF_TYPE_OTHER,IF_TYPE_REGULAR_1822)
	(IF_TYPE_HDH_1822,IF_TYPE_DDN_X25,IF_TYPE_RFC877_X25)
	(IF_TYPE_ETHERNET_CSMACD,IF_TYPE_IS088023_CSMACD)
	(IF_TYPE_ISO88024_TOKENBUS,IF_TYPE_ISO88025_TOKENRING)
	(IF_TYPE_ISO88026_MAN,IF_TYPE_STARLAN,IF_TYPE_PROTEON_10MBIT)
	(IF_TYPE_PROTEON_80MBIT,IF_TYPE_HYPERCHANNEL,IF_TYPE_FDDI)
	(IF_TYPE_LAP_B,IF_TYPE_SDLC,IF_TYPE_DS1,IF_TYPE_E1,IF_TYPE_BASIC_ISDN)
	(IF_TYPE_PRIMARY_ISDN,IF_TYPE_PROP_POINT2POINT_SERIAL,IF_TYPE_PPP)
	(IF_TYPE_SOFTWARE_LOOPBACK,IF_TYPE_EON,IF_TYPE_ETHERNET_3MBIT)
	(IF_TYPE_NSIP,IF_TYPE_SLIP,IF_TYPE_ULTRA,IF_TYPE_DS3,IF_TYPE_SIP)
	(IF_TYPE_FRAMERELAY,IF_TYPE_RS232,IF_TYPE_PARA,IF_TYPE_ARCNET)
	(IF_TYPE_ARCNET_PLUS,IF_TYPE_ATM,IF_TYPE_MIO_X25,IF_TYPE_SONET)
	(IF_TYPE_X25_PLE,IF_TYPE_ISO88022_LLC,IF_TYPE_LOCALTALK)
	(IF_TYPE_SMDS_DXI,IF_TYPE_FRAMERELAY_SERVICE,IF_TYPE_V35,IF_TYPE_HSSI)
	(IF_TYPE_HIPPI,IF_TYPE_MODEM,IF_TYPE_AAL5,IF_TYPE_SONET_PATH)
	(IF_TYPE_SONET_VT,IF_TYPE_SMDS_ICIP,IF_TYPE_PROP_VIRTUAL)
	(IF_TYPE_PROP_MULTIPLEXOR,IF_TYPE_IEEE80212,IF_TYPE_FIBRECHANNEL)
	(IF_TYPE_HIPPIINTERFACE,IF_TYPE_FRAMERELAY_INTERCONNECT)
	(IF_TYPE_AFLANE_8023,IF_TYPE_AFLANE_8025,IF_TYPE_CCTEMUL)
	(IF_TYPE_FASTETHER,IF_TYPE_ISDN,IF_TYPE_V11,IF_TYPE_V36)
	(IF_TYPE_G703_64K,IF_TYPE_G703_2MB,IF_TYPE_QLLC,IF_TYPE_FASTETHER_FX)
	(IF_TYPE_CHANNEL,IF_TYPE_IEEE80211,,IF_TYPE_IBM370PARCHAN)
	(IF_TYPE_ESCON,IF_TYPE_DLSW,IF_TYPE_ISDN_S,IF_TYPE_ISDN_U)
	(IF_TYPE_LAP_D,IF_TYPE_IPSWITCH,IF_TYPE_RSRB,IF_TYPE_ATM_LOGICAL)
	(IF_TYPE_DS0,IF_TYPE_DS0_BUNDLE,IF_TYPE_BSC,IF_TYPE_ASYNC,IF_TYPE_CNR)
	(IF_TYPE_ISO88025R_DTR,IF_TYPE_EPLRS,IF_TYPE_ARAP,IF_TYPE_PROP_CNLS)
	(IF_TYPE_HOSTPAD,IF_TYPE_TERMPAD,IF_TYPE_FRAMERELAY_MPI,IF_TYPE_X213)
	(IF_TYPE_ADSL,IF_TYPE_RADSL,IF_TYPE_SDSL,IF_TYPE_VDSL)
	(IF_TYPE_ISO88025_CRFPRINT,IF_TYPE_MYRINET,IF_TYPE_VOICE_EM)
	(IF_TYPE_VOICE_FXO,IF_TYPE_VOICE_FXS,IF_TYPE_VOICE_ENCAP)
	(IF_TYPE_VOICE_OVERIP,IF_TYPE_ATM_DXI,IF_TYPE_ATM_FUNI,IF_TYPE_ATM_IMA)
	(IF_TYPE_PPPMULTILINKBUNDLE,IF_TYPE_IPOVER_CDLC,IF_TYPE_IPOVER_CLAW)
	(IF_TYPE_STACKTOSTACK,IF_TYPE_VIRTUALIPADDRESS,IF_TYPE_MPC
	(IF_TYPE_IPOVER_ATM,IF_TYPE_ISO88025_FIBER,IF_TYPE_TDLC
	(IF_TYPE_GIGABITETHERNET,IF_TYPE_HDLC,IF_TYPE_LAP_F,IF_TYPE_V37)
	(IF_TYPE_X25_MLP,IF_TYPE_X25_HUNTGROUP,IF_TYPE_TRANSPHDLC)
	(IF_TYPE_INTERLEAVE,IF_TYPE_FAST,IF_TYPE_IP,IF_TYPE_DOCSCABLE_MACLAYER)
	(IF_TYPE_DOCSCABLE_DOWNSTREAM,IF_TYPE_DOCSCABLE_UPSTREAM)
	(IF_TYPE_A12MPPSWITCH,IF_TYPE_TUNNEL,IF_TYPE_COFFEE,IF_TYPE_CES)
	(IF_TYPE_ATM_SUBINTERFACE,IF_TYPE_L2_VLAN,IF_TYPE_L3_IPVLAN)
	(IF_TYPE_L3_IPXVLAN,IF_TYPE_DIGITALPOWERLINE,IF_TYPE_MEDIAMAILOVERIP)
	(IF_TYPE_DTM,IF_TYPE_DCN,IF_TYPE_IPFORWARD,IF_TYPE_MSDSL)
	(IF_TYPE_IEEE1394,IF_TYPE_RECEIVE_ONLY,MAX_IF_TYPE,IF_ACCESS_LOOPBACK)
	(IF_ACCESS_BROADCAST,IF_ACCESS_POINTTOPOINT)
	(IF_ACCESS_POINTTOMULTIPOINT,IF_CHECK_NONE,IF_CHECK_MCAST)
	(IF_CHECK_SEND,IF_CONNECTION_DEDICATED,IF_CONNECTION_PASSIVE)
	(IF_CONNECTION_DEMAND,IF_ADMIN_STATUS_UP,IF_ADMIN_STATUS_DOWN)
	(IF_ADMIN_STATUS_TESTING,IF_OPER_STATUS_NON_OPERATIONAL)
	(IF_OPER_STATUS_UNREACHABLE,IF_OPER_STATUS_DISCONNECTED)
	(IF_OPER_STATUS_CONNECTING,IF_OPER_STATUS_CONNECTED)
	(IF_OPER_STATUS_OPERATIONAL): Define.
	* include/winbase.h (CancelWaitableTimer,UnregisterWait):
	Add function declaration.
	* include/mgm.h: New file.
	* lib/rtm.def: New file.
	Thanks to:    Bruce M Simpson <bms_spc at sf dot net>

2006-04-24  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ws2tcpip.h (gai_strerror): Remove thread-safety comment.
	This function cannot be made thread-safe, the API would have to be
	changed for that, just like strerror() -> strerror_r() and similar
	ISO C or POSIX functions...

2006-04-19  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/edevdefs.h: New file.

2006-04-19  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mmsystem.h (_LPCWAVEFORMATEX_DEFINED): Define.
	Use as guard for the WAVEFORMATEX structure instead of
	_WAVEFORMATEX_ to avoid clashes with DirectSound. Keep
	_WAVEFORMATEX_ for compatibility.
	Thanks to:    Andrew Jones <guln at sf dot net>

2006-04-19  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (CharNextEx,CharNextExW,CharPrevEx,CharPrevExW):
	Delete. Only CharNextExA and CharPrevExA are documented in MSDN.
	Thanks to:    David Golub <david_golub at sf dot net>

2006-04-18  Eric House  <ehouse@eehouse.org>

	PocketPC support.
	* include/aygshell.h: New file [_WIN32_WCE]. Declare most common
	functions for using aygshell on PocketPC:
	SHCreateMenuBar, SHFindMenuBar, SHCreateNewItem, SHFullScreen,
	SHSipInfo, SHHandleWMActivate, SHHandleWMSettingChange

	* include/commctrl.h [_WIN32_WCE] Add function prototypes for
	command bar API on PocketPC:
	CommandBar_Create, CommandBar_Show, CommandBar_AddBitmap,
	CommandBar_InsertComboBox, CommandBar_InsertMenubar,
	CommandBar_InsertMenubarEx, CommandBar_DrawMenuBar,
	CommandBar_GetMenu, CommandBar_AddAdornments, CommandBar_Height,
	CommandBar_InsertButton, CommandBar_Destroy.

	* include/winbase.h [_WIN32_WCE] (WIN32_FIND_DATA{A|W}): Remove
	fields not present on PocketPC.
	(GetCurrentThreadId): Conditionally declare as extern function
	without dllimport attribute on PocketPC.
 	(ResetEvent): Likwise.
	(SetEvent): Likewise.

	* include/wingdi.h [_WIN32_WCE]  (GetTextExtentPoint32{A|W}):
	Conditionally declare as extern function without dllimport
	 attribute on PocketPC.
	* winuser.h  [_WIN32_WCE] (DialogBoxParam{A|W}): Conditionally
	declare as extern function without dllimport attribute on PocketPC.

2006-04-18  Thorsten Dahlheimer <dahlheim@users.sf.net>

	* lib/test.c: Include icm.h.

2006-04-18  Thorsten Dahlheimer <dahlheim@users.sf.net>

	* include/wingdi.h (ColorCorrectPalette): Add declaration.
	(CreateColorSpace): Add UNICODE mappings.
	* lib/gdi32.def (ColorCorrectPalette): Add stub.
	* include/icm.h: New file.
	* lib/mscms.def: New file.
	* lib/icmui.def: New file.

2006-04-18  Thorsten Dahlheimer <dahlheim@users.sf.net>

	* include/winnt.h (IMAGE_FILE_MACHINE_IA64): New define.
	(IMAGE_FILE_MACHINE_AMD64): New define.
	(IMAGE_NT_OPTIONAL_HDR32_MAGIC,IMAGE_NT_OPTIONAL_HDR64_MAGIC):
	New defines.
	(IMAGE_NT_OPTIONAL_HDR_MAGIC): Map to one of the above.
	(IMAGE_SUBSYSTEM_NATIVE_WINDOWS): New define.
	(IMAGE_SUBSYSTEM_WINDOWS_CE_GUI): New define.
	(IMAGE_DLLCHARACTERISTICS_WDM_DRIVER): New define.
	(IMAGE_DIRECTORY_ENTRY_ARCHITECTURE,IMAGE_DIRECTORY_ENTRY_DELAY_IMPORT)
	(IMAGE_DIRECTORY_ENTRY_COM_DESCRIPTOR): New defines.
	(IMAGE_SCN_TYPE_REG,IMAGE_SCN_TYPE_DSECT,IMAGE_SCN_TYPE_NOLOAD)
	(IMAGE_SCN_TYPE_GROUP,IMAGE_SCN_TYPE_COPY,IMAGE_SCN_TYPE_OVER):
	New defines.
	(IMAGE_SCN_ALIGN_128BYTES,IMAGE_SCN_ALIGN_256BYTES)
	(IMAGE_SCN_ALIGN_512BYTES,IMAGE_SCN_ALIGN_1024BYTES)
	(IMAGE_SCN_ALIGN_2048BYTES,IMAGE_SCN_ALIGN_4096BYTES)
	(IMAGE_SCN_ALIGN_8192BYTES): New defines.
	(IMAGE_DEBUG_TYPE_BORLAND): New define.
	(IMAGE_OPTIONAL_HEADER32,PIMAGE_OPTIONAL_HEADER32)
	(IMAGE_OPTIONAL_HEADER64,PIMAGE_OPTIONAL_HEADER64): New structure
	definitions and typedefs.
	(IMAGE_OPTIONAL_HEADER,PIMAGE_OPTIONAL_HEADER): Map to the above.
	(IMAGE_NT_HEADERS32,PIMAGE_NT_HEADERS32,IMAGE_NT_HEADERS64)
	(PIMAGE_NT_HEADERS64): New structure definitions and typedefs.
	(IMAGE_NT_HEADERS,PIMAGE_NT_HEADERS): Map to the above.
	(IMAGE_LOAD_CONFIG_DIRECTORY64,PIMAGE_LOAD_CONFIG_DIRECTORY64):
	New structure definition and typedefs.
	(IMAGE_CE_RUNTIME_FUNCTION_ENTRY,PIMAGE_CE_RUNTIME_FUNCTION_ENTRY):
	Likewise.
	(IMAGE_FUNCTION_ENTRY64,PIMAGE_FUNCTION_ENTRY64): Likewise.

2006-04-18  Bart Oldeman  <bartoldeman@users.sf.net>

	* lib/test.c: Fix typo in #inlcude.
	* include/aclui.h: INTERFACE should not remain
	defined at the end of the header.
	* include/servprov.h: Ditto.

2006-04-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ws2tcpip.h (gai_strerror): Add thread-safety comment.

2006-04-14  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ws2tcpip.h (gai_strerrorA,gai_strerrorW): Implement inline.

2006-04-14  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wsahelp.h (system_header): Add pragma.
	* include/ws2spi.h (system_header): Add pragma.
	* include/rasdlg.h (system_header): Add pragma.
	* include/rasdlg.h (_RASDLG_H): Define.
	Define instead of _RASDLG_H_, this is the w32api standard.
	* include/mlang.h (_MLANG_H): Define.
	Define instead of _MLANG_H_, this is the w32api standard.
	* include/setupapi.h (_SETUPAPI_H): Define.
	Define instead of _SETUPAPI_H_, this is the w32api standard.

2006-04-14  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/rpcndr.h (boolean): Add typedef.
	Thanks to:    James du Russel <ephelon at users dot sf dot net>
	* include/rpcndr.h (_RPCNDR_H): Define.
	Define in addition to __RPCNDR_H__, this is the w32api standard.

2006-04-14  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.7.
	* Makefile.in: Ditto.

2006-04-13  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (GET_MODULE_HANDLE_EX_FLAG_FROM_ADDRESS,
	GET_MODULE_HANDLE_EX_FLAG_PIN,
	GET_MODULE_HANDLE_EX_FLAG_UNCHANGED_REFCOUNT): Define.
	Thanks to:    Brandon Sneed <brandon at redf dot net>

2006-04-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/secext.h: Enclose function declarations in extern "C"
	if __cplusplus.

2006-04-11  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/comcat.h: INTERFACE should not remain defined
	at the end of the header.
	* include/docobj.h: Ditto.
	* include/exdisp.h: Ditto.
	* include/intshcut.h: Ditto.
	* include/mlang.h: Ditto.
	* include/mshtml.h: Ditto.
	* include/oaidl.h: Ditto.
	* include/objidl.h: Ditto.
	* include/objsafe.h: Ditto.
	* include/ocidl.h: Ditto.
	* include/oleacc.h: Ditto.
	* include/oledlg.h: Ditto.
	* include/oleidl.h: Ditto.
	* include/richole.h: Ditto.
	* include/shldisp.h: Ditto.
	* include/shlobj.h: Ditto.
	* include/unknwn.h: Ditto.
	* include/vfw.h: Ditto.
	Thanks to:    Brandon Sneed <brandon at redf dot net>

2006-04-11  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/commdlg.h [_WIN32_WINNT >= 0x0500] (PD_CURRENTPAGE)
	(PD_NOCURRENTPAGE,PD_EXCLUSIONFLAGS,PD_USELARGETEMPLATE): Define.
	Thanks to:    Wolfgang Glas <softadm at users dot sf dot net>

2006-04-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/iphlpapi.h (GetAdaptersAddresses): Check for winsock2
	here also.

2006-04-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wincrypt.h (PROV_MS_EXCHANGE): Define.
	We should probably remove PROV_MS_MAIL but I'm keeping it for
	now for compatibility reasons.
	Thanks to:    Marcus Agehall <agehall at users dot sf dot net>

2006-04-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/commdlg.h [_WIN32_WINNT >= 0x0500] (START_PAGE_GENERAL)
	(PD_RESULT_PRINT,PD_RESULT_APPLY): Define.
	Thanks to:    Wolfgang Glas <softadm at users dot sf dot net>

2006-04-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wingdi.h [WINVER >= 0x0410]
	(AlphaBlend,GradientFill,TransparentBlt): Windows 98 and better.
	Thanks to:    Alessandro Antonello <aleantonello at users dot sf dot net>

2006-04-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wingdi.h (CAPTUREBLT,NOMIRRORBITMAP): Define.
	* include/commctrl.h (WC_LINKA,WC_LINKW,LIF_ITEMINDEX,LIF_STATE)
	(LIF_ITEMID,LIF_URL,LIS_FOCUSED,LIS_ENABLED,LIS_VISITED,LM_HITTEST)
	(LM_GETIDEALHEIGHT,LM_SETITEM,LM_GETITEM,MAX_LINKID_TEXT)
	(L_MAX_URL_LENGTH): Define.
	(LITEM,LHITTESTINFO,NMLINK): Add structures.
	Thanks to:    Brandon Sneed <brandon at redf dot net>

2006-04-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/w32api.h (IE601,IE602,IE7): Define for recent versions of IE.

2006-04-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/w32api.h (_W32API_H): Define.
	Define in addition to _W32API_H_, this is the w32api standard.

2006-04-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/w32api.h (WindowsVista): Define.

2006-04-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/iptypes.h (IP_ADAPTER_*): Define parts that depend
	on SOCKET_ADDRESS only if winsock2.h has already been included.

2006-04-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (WM_IME_*): Remove. Defined in imm.h.

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/iphlpapi.h (GAA_FLAG_*): Define.
	(GetAdaptersAddresses): Add function declaration.
	* lib/iphlpapi.def (GetAdaptersAddresses): Add function stub.
	Thanks to:    ross <rossboulet at users dot sf dot net>

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/iptypes.h (IP_INTERFACE_NAME_INFO,
	IP_ADAPTER_ANYCAST_ADDRESS,IP_ADAPTER_MULTICAST_ADDRESS,
	IP_ADAPTER_UNICAST_ADDRESS,IP_ADAPTER_DNS_SERVER_ADDRESS,
	IP_ADAPTER_PREFIX,IP_ADAPTER_ADDRESSES): Add structures.
	(IF_OPER_STATUS,IP_DAD_STATE,IP_PREFIX_ORIGIN,IP_SUFFIX_ORIGIN,
	SCOPE_LEVEL): Add enums.
	(IP_ADAPTER_*): Define.

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (GetWindowExtEx): Removed, belongs to wingdi.h.
	Thanks to:    Sergey Philippov <phis at users dot sf dot net>

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/objidl.h (PIDSI_*): Define.
	(PRSPEC_*): Define.
	Thanks to:    Oliver Stoeneberg <kidkat at users dot sf dot net>

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h (LOGON32_PROVIDER_WINNT40,
	LOGON32_PROVIDER_WINNT50, LOGON32_LOGON_NETWORK,
	LOGON32_LOGON_UNLOCK, LOGON32_LOGON_NETWORK_CLEARTEXT,
	LOGON32_LOGON_NEW_CREDENTIALS): Define.
	Thanks to:    Oliver Stoeneberg <kidkat at users dot sf dot net>

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mq.h: New file.
	* lib/mqrt.def (MQ*): Define a few missing functions.

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* lib/mqrt.def: New file.
	Needs the mq.h file to work properly, working on it.
	Thanks to:    Pascal Obry <pobry at users dot sf dot net>

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winerror.h (STG_E_*):  Define.
	Thanks to:    Oliver Stoeneberg <kidkat at users dot sf dot net>
	* include/winerror.h (STG_S_*): Define.
	(CO_S_MACHINENAMENOTFOUND): Define.
	(RPC_E_*): Define.
	(NTE_*): Define.

2006-04-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/commctrl.h (ListView_*):  Define and correct.
	(LVM_*): Define.

2006-04-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (WM_IME_*): Define (DWORD type).
	(EM_*IMESTATUS): Define.
	(WM_*): Define.
	(XBUTTON*): Define.
	Thanks to:    Steve Folly <spfolly at users dot sf dot net>

2006-03-31  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnetwk.h (WNetGetResourceInformationW):  Correct first param.
	Thanks to: Rene Rivera  <grafik at users dot sf dot net>

2006-03-29  Christopher Faylor  <cgf@timesys.com>

	* include/winspool.h: Protect use of PRINTER_ENUM_VALUESW with proper
	version conditional.

2006-03-29  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h (JOB_INFO_3): Add structure.
	(PROVIDOR_INFO_*{AW}): Add structure.
	* include/winspool.h [_WIN32_WINNT >= 0x0500]
	(PRINTER_ENUM_VALUES{AW}): Add structure.
	(PRINTPROCESSOR_CAPS): Add structure.

2006-03-29  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h [_WIN32_WINNT >= 0x0500]
	(PRINTER_INFO_7A): Correct definition.

2006-03-29  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h [_WIN32_WINNT >= 0x0500]
	(DRIVER_INFO_*{AW}): Add structure.
	(PRINTER_INFO_*{AW}): Add structure.
	Thanks to:   Roland Schwingel <rolandschwingel at users dot sf dot net>

2006-03-29  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h [_WIN32_WINNT >= 0x0500]
	(DRIVER_*MODE): Define (DWORD type).
	Thanks to:   Roland Schwingel <rolandschwingel at users dot sf dot net>

2006-03-27  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wincon.h (GetConsoleProcessList): Declare.

2006-03-27  Hansres Engel  <engel@node.ch>

	* include/mlang.h: New file.

2006-03-26  Chris Sutcliffe <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (SetProcessWorkingSetSize): Corrected define.

2006-03-26  Hansres Engel  <engel@node.ch>

         Add Uniscribe API for typography and for complex scripts.
	* include/usp10.h: New file.
	* lib/usp10.def: New file.

	* include/winver.h:  Change first argument of GetFileVersionInfo[...] to const.

        * include/imm.h (IMECHARPOSITION): Add structure.
	(RECONVERTSTRING): Likwise.

	* include/commdlg.h (OPENFILENAME_SIZE_VERSION_400): Define.
	
        * lib/uuid.c (CMultiLanguage): Add UUID definition.
	(IMLangFontLink2): Likewise.
	(IMultiLanguage): Likewise.

2006-03-18  Julien Lecomte <julienlecomte@users.sourceforge.net>

	* include/wincon.h  (ENABLE_*): Add more defines.

2006-03-18  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* include/winnt.h (INHERITED_ACE): Define.
	(VALID_INHERIT_FLAGS): Correct definition.

2006-03-18  Peter Åstrand  <astrand@cendio.se>

         * lib/wtsapi32.def: New file.

2006-03-15  Christopher Faylor  <cgf@timesys.com>

	* include/winbase.h (STATUS_DLL_INIT_FAILED): New define.
	(STATUS_DLL_INIT_FAILED_LOGOFF): Ditto.

2006-03-09  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h (DI_MEMORYMAP_WRITE): Define (DWORD type).
	(FORM_USER,FORM_PRINTER): Define (DWORD type).
	* include/winspool.h [_WIN32_WINNT >= 0x0500]
	(DSPRINT_*): Define (DWORD type).
	Thanks to:   Roland Schwingel <rolandschwingel at users dot sf dot net>

2006-03-09  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h (JOB_CONTROL_*,JOB_STATUS_*): Define.
	Thanks to:   Roland Schwingel <rolandschwingel at users dot sf dot net>

2006-03-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/shellapi.h [_WIN32_IE >= 0x0600]
	(SEE_MASK_NOZONECHECKS,SEE_MASK_FLAG_LOG_USAGE): Define on
	Windows XP SP1 and Windows XP respectively.

2006-03-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/shellapi.h (NOTIFYICONDATA_V*_SIZE): Define.
	Thanks to:  Daniel Atallah <datallah at users dot sf dot net>
	* include/shellapi.h [_WIN32_IE >= 0x0500]
	(NIS_*): Introduced in Version 5.0.

2006-03-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (CS_*): Correct WINVER guard on
	Image Color Matching colour definitions.

2006-03-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shlobj.h (SFGAO_ISSLOW): Define.
	(SFGAO_DISPLAYATTRMASK): Define in terms of preceding display
	attribute constants.

2006-03-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wingdi.h [WINVER >= 0x0500]
	(GRADIENT_FILL_*,*_EMBEDED): Included in Windows 2000 and later.
	Thanks to: David A. Capello <dacap at users dot sf dot net>

2006-03-05  Paul J. Lucas  <pauljlucas@users.sourceforge.net>

	* include/wininet.h (INTERNET_CONNECTED_INFO): Define structure.
	(INTERNET_STATE_*): Define flags.
	(INTERNET_OPTION_CONNECTED_STATE): Define constant.

2006-03-05  Chris Wilson  <chris+mingw@qwirx.com>

	* include/sddl.h: New file.

2006-02-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/ntifs.h (FILE_ID_FULL_DIRECTORY_INFORMATION): Revert
	last change.
	Remove file level #pragma pack(push,4)/#pragma pop.

2006-02-19  Corinna Vinschen  <corinna@vinschen.de>

	* include/ddk/ntifs.h (FILE_ID_FULL_DIRECTORY_INFORMATION): Add filler
	value to force correct alignment.

2006-02-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (LPNMLVCACHEHINT): Correct spelling.
	Thanks to: Sebastian Pipping <hartwork at users dot sf dot net>
	(PNM_CACHEHINT): Add backward compatibilty define.
	(LPNM_CACHEHINT): Likewise.

2006-02-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shlobj.h (PathResolve): Fix typo in _WIN32_WINNT guard.

2006-02-06  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shlobj.h (PRF_VERIFYEXISTS, PRF_TRYPROGRAMEXTENSIONS,
	PRF_FIRSTDIRDEF, PRF_DONTFINDLNK): Define.
	* lib/shell32.def (PathResolve): Define.

2006-02-06  Christopher Faylor  <cgf@timesys.com>

	* include/shlobj.h (PathResolve): Fix typo.

2006-02-06  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shlobj.h (PathResolve): Define.
	(PRF_VERIFYEXISTS, PRF_TRYPROGRAMEXTENSIONS, PRF_FIRSTDIRDEF,
	PRF_DONTFINDLNK): Ditto.
	* lib/shell32.def (PathResolve): Define.

2006-02-04  Ron Lee  <ronl@users.sourceforge.net>

	* include/winnls.h: Remove stray end ';' from preprocessor defines.

2006-02-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/iphlpapi.def: (NotifyAddrChange@8): Define.
	Reported by: Daniel Atallah  <datallah at users dot sf dot net>
	(NotifyRouteChange@8): Define.

2006-01-29  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winsock2.h (WINSOCK_API_LINKAGE): Define.  Add to
	prototypes.

2006-01-29  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (FORCEINLINE): Define.

2006-01-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (DECLSPEC_SELECTANY): Define.

2006-01-26  Filip Navara  <xnavara@volny.cz>

	* include/winnt.h (DECLSPEC_ALIGN): Define.

2006-01-24  Danny Smith  <dannysmith@users.sourceforge.net>

        * include/commctrl.h: Correct spelling of 'compatibility' in
	comments.
	* include/setupapi.h: Likewise.
	* include/ws2tcpip.h: Likewise.

2006-01-24  Danny Smith  <dannysmith@users.sourceforge.net>

        * include/ddk/winddk.h (KeGetCurrentKPCR): Support -masm=intel.

2006-01-24  Jiri Malak  <Jiri.Malak@iol.cz>

	WATCOM compatibility changes. 
	* include/ddk/ntddk.h (DECL_IMPORT): Define using __declspec,
	rather than __attribute__.
	(DECL_EXPORT): Likewise.
	* include/ddk/winddk.h (DDKAPI): Avoid using __attribute__.
	(DDKFASTAPI): Likewise.
	(DDKCDECLAPI): Likwise.
	(KeGetCurrentKPCR): Provide __WATCOMC__ syntax for inline code.

2006-01-23  Brandon Sneed  <brandon@redf.net>

	* setupapi.def: Add all CM_* functions defined in ddk/cfgmgr32.h
	to exports.

2006-01-17  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.6.
	* Makefile.in: Ditto.

2006-01-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wincrypt.h (WINADVAPI): Add to prototypes of
	advapi32.dll functions.

2006-01-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winsock2.h (struct sockaddr_storage):  Use RFC 2553
	names for padding size constants.

2006-01-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/aclapi.h (WINADVAPI): Add to prototypes.
	* include/winreg.h (WINADVAPI): Likewise.
	* include/winsvc.h (WINADVAPI): Likewise.

2006-01-05  Michael Gerdau  <mgd@technosis.de>

	* include/winbase.h (WINADVAPI): Define.

2006-01-03  Christopher Faylor  <cgf@timesys.com>

	* include/winuser.h (CreateWindowStation): Correctly identify first
	argument as constant.
	(CreateWindowStation@): Ditto.

2006-01-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/uxtheme.h [_WIN32_WINNT >= 0x0501]
	(TMT_*, BT_*): Add constants.

2005-12-31  Corinna Vinschen  <corinna@vinschen.de>

	* include/winsock2.h: Don't define struct sockaddr_storage when
	building Cygwin.

2005-12-22  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/ws2_32.c: New file, defining IPv6 constants. 
	* lib/Makefile.in (SOURCES): Add ws2_32.c
	(EXTRA_OBJS): Add ws2_32.o.

2005-12-21  Michael Jung  <mjung@iss.tu-darmstadt.de>

	* lib/user32.def (PrivateExtractIconsA@32, 
	PrivateExtractIconsW@32): Define.
	* lib/shell32.c (IID_IShellLinkDataList): Add GUID.

2005-12-12  Christopher Faylor  <cgf@timesys.com>

	* include/winuser.h (WINSTA_ALL_ACCESS): Define.

2005-12-09  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/kernel32.def (CreateFiberEx): Correct suffix.

2005-12-09  Huw Davies <hdavies@users.sourceforge.net>
	    Danny Smith <dannysmith@users.sourceforge.net>

	* lib/msxml-uuid.c: New file to generate UUIDs for 
	MSXML interfaces.
	* lib/Makefile.in (UUID_OBJS): Add msxml-uuid.o.

2005-12-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (GetDevicePowerState): Add prototype.
	* lib/kernel32.def (GetDevicePowerState): Correct suffix.

2005-12-07  Brian Gunlogson  <gmb300@users.sourceforge.net>

	* include/winuser.h (GetClassLongPtr{AW}): Guard prototypes with _WIN64.
	Define as macro if !_WIN64.
	(SetClassLongPtr{AW}): Likewise.
	(GCLP_*): Add GetClassLongPtr defines.
	* lib/user32.def (GetClassLongPtr{AW}): Remove stubs.
	(SetClassLongPtr{AW}): Likewise.

2005-11-18  Brian Gunlogson  <gmb300@users.sourceforge.net>

	* include/winuser.h (GetClassLongPtr{AW}): Add prototypes.
	(SetClassLongPtr{AW}): Likewise.
	(GCLP_*): Add GetClassLongPtr defines.
	* lib/user32.def (GetClassLongPtr{AW}): Add stubs.
	(SetClassLongPtr{AW}): Likewise.

2005-11-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commdlg.h (OPENFILENAMEW): Add members for
	_WIN32_WINNT >= 0x0500.
	Thanks to Ricardo Dalcorsso Fodra.
	(OPENFILENAMEA): Modify whitespace. Ansify comment.

2005-11-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (GetICMProfileA): Correct prototype.
	(GetICMProfileW): Likewise.
	Thanks to: Paul J Lucas

2005-11-04  Michael Jung  <mjung@iss.tu-darmstadt.de> 

	* lib/shell32.c (CLSID_ShellFSFolder): Add GUID.

2005-11-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/crypt32.def (CertOIDToAlgId, CertAlgIDToOID, CryptProtectData,
	CryptUnprotectData, CryptDecodeObjectEx, CryptEncodeObjectEx,
	CryptRegisterOIDFunction, CryptUnregisterOIDFunction): Add stubs.
	Thanks to: F Richter  <res2002 at users dot sourceforge dot net>

2005-10-29  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/objbase.h: Fix typo.
	* include/w32api.h: Increment version to 3.5.
	* Makefile.in: Ditto.

2005-10-27  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.4.
	* Makefile.in: Ditto.

2005-10-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (GetProcessId): Remove duplicate declaration.
	Use _WIN32_WINNT >= 0x0501 guard. 

2005-10-11  Christopher Faylor  <cgf@timesys.com>

	* include/winbase.h (GetProcessId): Declare.

2005-09-23  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/ddk/newdev.def: Added.
	Thanks to: Stephan Meyer <ste_meyer at users dot sourceforge dot net>

2005-09-23  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/commdlg.h (OPENFILENAME): Added WINNT >= 0x0500
	component.
	Thanks to: Gennady Feldman <gena01 at users dot sourceforge dot net>

2005-09-23  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/shell32.def (SHILCreateFromPath): Add stub.
	Thanks to: Michael Jung <mjung at iss dot tu-darmstadt dot de>

2005-09-21  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (RegisterWaitForSingleObject,
	RegisterWaitForSingleObjectEx): Define.
	* lib/kernel32.def (RegisterWaitForSingleObjectEx@20): Define.
	(RegisterWaitForSingleObject@16): Changed to
	RegisterWaitForSingleObject@24.
	Thanks to: Brandon Sneed <nivenh at users dot sourceforge dot net>

2005-09-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winsock2.h (SO_EXCLUSIVEADDRUSE): Define.
	Thanks to: Gisle Vanem  <giva at bgnett dot no>

2005-09-08  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/reason.h [_WIN32_WINNT >= 0x0501]
	(SHTDN_REASON_*): New file.
	* include/objbase.h: Avoid double header guard.

2005-08-17  Michael Jung  <mjung@iss.tu-darmstadt.de> 

	* lib/shell32.c (CLSID_RecycleBin, CLSID_ControlPanel,
	CLSID_MyComputer,CLSID_Internet, CLSID_NetworkPlaces,
	CLSID_MyDocuments, CLSID_FolderShortcut): Add GUIDs.

005-08-17  Martin Fuchs <martin-fuchs@gmx.net>

	* include/shlobj.h (IContextMenu3): Define.
	* include/shlguid.h (IID_IContextMenu3): Declare.
	* lib/shell32.c (IID_IContextMenu3): Define.

2005-08-17  Martin Fuchs <martin-fuchs@gmx.net>

	* include/shlobj.h (SHFormatDrive): Declaration of function
	and associated constants.

2005-08-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/hidsdi.h:  New file.
	* lib/ddk/hid.def: Uncomment symbols and add stdcall suffix for
	functions declared in hidsdi.h.
	Thanks to:  Alex J Lennon  <ajlennon at organixconsulting dot com>

2005-08-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/imm32.def (ImmDisableIME): Add stub.
	Thanks to: "kidmin"  <kidmin at users dot sourceforge dot net>

2005-08-10  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.3.
	* Makefile.in: Ditto.

2005-07-28  Earnie Boyd  <earnie@users.sf.net>

	* include/winnt.h (SUBLANG_PORTUGUESE, SUBLANG_PORTUGUESE_BRAZILIAN):
	Correct their values.
	Thanks to: Daniel K. O. <danielosmari at users dont sf dot net>

2005-07-25  Chris Sutcliffe <ir0nh34d@users.sourceforge.net>

	* include/winuser.h (HSHELL_RUDEAPPACTIVATED): Define.

2005-07-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (TT_PRIM_CSPLINE): Define.
	Thanks to: Bob Jamison <ishmal at users dot sourceforge dot net>

2005-07-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/richedit.h (SETTEXTEX): Define structure and
	associated constants.
	(GT_SELECTION): Define GETTEXTEX flag constant.

2005-07-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (SYSPAL_NOSTATIC256): Define.

2005-07-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (WINGDIAPI): Define to DECLSPEC_DLLIMPORT
	if __W32API_USE_DLLIMPORT__.   Use throughout to qualify
	prototypes.

2005-07-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (RBBS_USECHEVRON): Define.
	(RBBS_*): Use hex notation, group together.

2005-07-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/kernel32.def (GetUserGeoID): Correct suffix.
	Thanks to: "bernd23" <bernd23 at users dot sourceforge dot net>

2005-07-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (TreeView_SetItemState): Initilise
	_tvi.hItem.
	Thanks to:  Joseph Remes <jremes at users dot sourceforge dot net>

2005-07-18  Mattia Barbon  <mbarbon@users.sourceforge.net>

	* include/commctrl.h (NMLVFINDITEM): Add structure.

2005-07-18  Michael Gerdau  <mgdde@users.sourceforge.net>

	* include/wininet.h (WININET_API_FLAG_*): Add defines.

2005-07-18  Daniel Atallah  <datallah@users.sourceforge.net>

	* include/winnt.h (VER_SET_CONDITION): Define.

2005-07-18  Michael Gerdau  <mgdde@users.sourceforge.net>

	* include/wincon.h (AttachConsole): Correct _WIN32_WINNT guard.
	(ATTACH_PARENT_PROCESS): Define.
	(CONSOLE_WINDOWED_MODE): Correct definition to match MSDN
	documentation.

2005-07-17  Benoit Blanchon  <bblanchon@users.sourceforge.net>

	* include/winbase.h (QueueUserWorkItem): Add prototype.

2005-07-13  Benoit Blanchon  <bblanchon@users.sourceforge.net>

	* include/wingdi.h (SHADEBLENDCAPS, SB_NONE, SB_CONST_ALPHA,
	SB_PIXEL_ALPHA, SB_PREMULT_ALPHA, SB_GRAD_RECT, SB_GRAD_TRI,
	COLORMGMTCAPS, CM_NONE, CM_DEVICE_ICM, CM_GAMMA_RAMP,
	CM_CMYK_COLOR): Define.

2005-06-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winldap.h (ldap_simple_bindW, ldap_simple_bind_sW,
	ldap_bindW, ldap_bind_sW): Change PCHAR arg to PWCHAR.
	Thanks to: Christian  <chhd at users dot sf dot net>

2005-06-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/richedit.h (GETTEXTEX): Correct name of lpUsedDefChar
	field.
	Thanks to: Saulius Menkevicius  <bobas at users dot sf dot net>

2005-06-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (GlobalDiscard): Define as macro.
	Thanks to: David Golub  <david_golub  at users dot sf dot net>

2005-05-13  Corinna Vinschen  <corinna@vinschen.de>

	* include/winnetwk.h (WNetGetResourceParentA): Add missing declaration.
	(WNetGetResourceParentW): Ditto.
	* include/ddk/ntifs.h (FILE_ID_FULL_DIRECTORY_INFORMATION): Define.
	(FILE_ID_BOTH_DIRECTORY_INFORMATION): Define.

2005-04-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wininet.h (FtpGetFileSize): Add prototype.
	(FtpCommand[AW]): Correct prototypes.
	Reported by: <siger at users dot sf dot net>

2005-04-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/vfw.h (capCreateCaptureWindow[AW]): Add prototypes.
	(capGetDriverDescription[AW]): Likewise.

2005-04-03  Corinna Vinschen  <corinna@vinschen.de>

	* include/winnt.h (SE_UNDOCK_NAME TEXT): Define.
	(SE_MANAGE_VOLUME_NAME TEXT): Ditto.
	(SE_IMPERSONATE_NAME TEXT): Ditto.
	(SE_ENABLE_DELEGATION_NAME TEXT): Ditto.
	(SE_SYNC_AGENT_NAME TEXT): Ditto.

2005-03-16  Christopher Faylor  <cgf@timesys.com>

	* include/winnt.h (SYSTEM_LUID): Fix definitition invalidated by below
	change.

2005-03-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (_LUID): Add structure. Correct LUID typedef.
	Thanks to:
	Paul-Christiaan Spruijtenburg <wakarimasu at users dot sf dot net>

2005-03-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ws2tcpip.h (getaddrinfo, freeaddrinfo, getnameinfo):
	Guard with _WIN32_WINNT >= 0x0501. Add FIXME comment.
	(gai_strerror[AW]): Put into #if 0 block.

2005-03-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/basetyps.h (__int16): Correct define.

2005-02-10  Jiri Malak  <Jiri.Malak@iol.cz>
            Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/directx/dinput_private.h (ATTRIBUTE_TEXT_SECTION): New
	define for Open Watcom portability.
	* lib/directx/(dinput_joy.c, dinput_joy2.c, dinput_kbd.c, 
	dinput_mouse.c, dinput_mouse2.c): Use new macro in definition
	of local c_rgodfDI* objects. Replace .rdata section attribute
	with 'const' keyword in definition of global c_dfDI* objects.

2005-02-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winioctl.h (IOCTL_VOLUME_BASE,
	IOCTL_VOLUME_GET_VOLUME_DISK_EXTENTS, IOCTL_VOLUME_IS_CLUSTERED):
	Copy defines from include/ddk/ntdddvol.h.
	Bug reported to Debian by Anand Kumria  <wildfire@progsoc.org>

2005-01-27  Oliver Stoeneberg  <oliverst@online.de>

	* include/winbase.h (PWIN32_FIND_DATA): Add typedef.

2005-01-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (SW_SMOOTHSCROLL): Add define.
	Reported by: Christian Ehrlicher  <chehrlic@users.sf.net>

2005-01-21  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/commdlg.h (OFN_DONTADDTORECENT): Added definition.

2005-01-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/user32.def (MonitorFromPoint): Correct suffix.

2005-01-13  Benoit Blanchon  <bblanchon@users.sourceforge.net>

	* include/wininet.h (InternetCheckConnectionA,
	InternetCheckConnectionW) Add prototypes.
	(INTERNET_RAS_INSTALLED, INTERNET_CONNECTION_OFFLINE,
	INTERNET_CONNECTION_CONFIGURED): Add defines.

2005-01-07  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/commctrl.h (ComboBox_SetMinVisible,
	ComboBox_GetMinVisible): Added Macros.
	* include/winuser.h (CB_SETMINVISIBLE, CB_GETMINVISIBLE):
	Added definitions.

2005-01-02  Jiri Malak  <Jiri.Malak@geac.cz>

	* include/winnt.h (GetCurrentFiber, GetFiberData): Make inline
	assembly code conditional on _X86_.

2005-01-02  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Increment version to 3.2.
	* Makefile.in: Ditto.
	* include/afxres.h: Remove the \r from the line ending.
	* include/errorrep.h: Ditto.
	* include/shldisp.h: Ditto.
	* include/tschema.h: Ditto.
	* lib/dhcpcsvc.def: Ditto.
	* lib/uxtheme.def: Ditto.
	* lib/wldap32.def: Ditto.

2005-01-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winerror.h (ERROR_EXE_CANNOT_MODIFY_STRONG_SIGNED_BINARY):
	Correct typo.
	Thanks to: Aidan France  <aidan1@users.sourceforge.net>

2004-12-29 Chris Sutcliffe <ir0nh34d@users.sourceforge.net>

	*include/winuser.h (MNS_*, WM_MENUCOMMAND,
	WM_MENUGETOBJECT, WM_MENUDRAG, WM_NCMOUSEHOVER,
	WM_NCMOUSELEAVE, WM_UNINITMENUPOPUP,
	SPI_GETFOREGROUNDLOCKTIMEOUT,
	SPI_SETFOREGROUNDLOCKTIMEOUT): Added definitions.
	*include/imm.h (WM_IME_REQUEST): Added definition.
	*include/shlobj.h (SLGP_RAWPATH,
	SLGP_UNCPRIORITY): Added definition.

2004-12-28 Chris Sutcliffe <ir0nh34d@users.sourceforge.net>

	*include/winuser.h (HSHELL_FLASH): Added definition.

2004-12-23  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shldisp.h (IAutoComplete): Added interface definiton.
	* include/shldisp.h (IAutoComplete2): Added interface definiton.
	* include/shldisp.h (ACO_AUTOSUGGEST): Added definition.
	* include/shlobj.h (IObjMgr): Added interface definiton.
	* lib/shell32.c (CLSID_AutoComplete, IID_AutoComplete,
	IID_AutoComplete2, CLSID_ACLMulti, IID_IObjMgr,
	CLSID_ACListISF, IID_IACList): Added GUIDs.
	* include/shlguid.h (CLSID_AutoComplete, IID_AutoComplete,
	IID_AutoComplete2, CLSID_ACLMulti, IID_IObjMgr,
	CLSID_ACListISF, IID_IACList): Added GUIDs.

2004-12-23  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (CDRF_NOTIFYSUBITEMDRAW): Add define.
	Thanks to: Chris Sutcliffe  <ironhead@walled.net>
	(CDRF_*): Use hex notation for constants.

2004-12-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sqlext.h (SQL_INTERVAL_*): Correct macros.
	Reported by Eric Sharkey <sharkey at netrics dot com>

2004-12-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (TOKEN_INFORMATION_CLASS): Add
	TokenGroupsAndPrivileges, TokenSessionReference,
	TokenSandBoxInert, TokenAuditPolicy, TokenOrigin.
	Reformat.
	(SID_NAME_USE): Add SidTypeComputer.  Reformat.
	Thanks to Gabriel Linder <mingwlinder@users.sourceforge.net>

2004-12-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/comctl32.def (ImageList_Copy, ImageList_DrawIndirect,
	ImageList_Duplicate): Add stubs.

2004-12-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/directx/strmiids.c (MEDIASUBTYPE_YV12): Correct GUID.
	Thanks to "Pete" <pross@xvid.org>

2004-11-21 Benoit Blanchon  <bblanchon@users.sourceforge.net>

	* include/wingdi.h (AC_SRC_ALPHA, AC_SRC_NO_ALPHA, 
	AC_DST_NO_ALPHA, ...): Add defines.
	* include/winuser.h (ULW_COLORKEY,ULW_ALPHA,
	ULW_OPAQUE): Add defines.	

2004-11-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (VerSetConditionMask): Correct typo in _WIN32_WINNT
	guard.
	* lib/kernel32.def (VerSetConditionMask): Correct stdcall
	suffix.
	* lib/ddk/ntoskrnl.def (VerSetConditionMask): Likewise.

2004-11-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (PPROCESS_INFORMATION): Add typedef.
	(CreateProcessWithLogonW): Declare.
	(LOGON_WITH_PROFILE, LOGON_NETCREDENTIALS_ONLY): Add defines.
	Thanks to: "jkmaki"  <jkmaki@users.sourceforge.net>

2004-11-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sspi.h (SecPkgContext_Sizes): Fix typo.
	Thanks to: David Leonard  <leonard@users.sourceforge.net>

2004-11-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sspi.h (SecPkgCredentials_Names[AW]): Correct name.
	Thanks to: David Leonard  <leonard@users.sourceforge.net>

2004-11-19  Magnus Olsen  <greatlord@users.sourceforge.net>

	* include/winuser.h (MSLLHOOKSTRUCT): Add structure.

2004-11-19  Magnus Olsen  <greatlord@users.sourceforge.net>

	* include/winuser.h (LLKHF_EXTENDED, LLKHF_INJECTED, LLKHF_UP):
	Add defines.
	(LLKHF_ALTDOWN): Define based on KF_ALTDOWN.
             
2004-11-19  Benoit Blanchon  <bblanchon@users.sourceforge.net>

	* include/shellapi.h (NIF_GUID): Add another define.

2004-11-18  Earnie Boyd  <earnie@users.sf.net>

	* include/wincon.h (AttachConsole): Correct the _WIN32_WINNT filter.
	Changed it twice due to inconsistent MSDN documentation.
	* include/w32api.h (Windows95, etc. and IE3, etc.): Add definitions.

2004-11-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shlobj.h (SHGFP_TYPE): Add enum.

2004-11-12  Loïc Guilloux (glx@users.sourceforge.net> 

	* include/winuser.h (WM_THEMECHANGED): Add define.

2004-11-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/winddk.h (ExAllocateFromPagedLookasideList,
	ExFreeToPagedLookasideList): Guard inline versions with
	(__USE_NTOSKRNL__) && (_WIN32_WINNT >= 0x0501). Declare as
	external functions for earlier _WIN32_WINNT.

2004-11-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ras.h (RASCONN[AW]): Remove dwSessionId field.

2004-11-09  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnls.h (WINBASEAPI): Define as DECLSPEC_IMPORT
	if  undefined and __W32API_USE_DLLIMPORT__.
	Add WINBASEAPI token to prototypes, throughout.

2004-11-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (GetCurrentFiber): Support -masm=intel.
	(GetFiberData): Likewise.
	(NtCurrentTeb): Likewise.

2004-11-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shellapi.h (NIF_INFO): Add define.
	(NIIF_*) Add defines..
	Thanks to: Benoit Blanchon <bblanchon@users.sourceforge.net>
	(NIF_*): Convert constants to hex.

2004-11-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (GetFontUnicodeRanges,GetGlyphIndicesA,
	GetGlyphIndicesW): Declare.
	(GGI_MARK_NONEXISTING_GLYPHS): Define
	* lib/gdi32.def (GetFontUnicodeRanges,GetGlyphIndicesA,
	GetGlyphIndicesW): Add stubs.

2004-10-24  Dan Aloni  <da-x@colinux.org>

	* include/ddk/ntapi.h (NtQueryFullAttributesFile,
	ZwQueryFullAttributesFile): Declare.
	* include/ddk/ntapi.h (RtlDosPathNameToNtPathName_U):
	Declare.
	lib/ntoskrnl.def (ZwQueryDirectoryFile, ZwQueryFullAttributesFile.
	ZwQueryVolumeInformationFile): Add stubs.

2004-10-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wsahelp.h (WINSOCK_MAPPING, WSHGetWinsockMapping,
        PWSH_GET_WINSOCK_MAPPING): Don't define if __OBJC__.

2004-10-15  Robert Wruck  <wruck@tweerlei.de>
            Danny Smith  <dannysmith@users.sourceforge.net>

	= include/winbase.h (InitializeSListHead, Interlocked*):
	Guard with !__USE_NTOSKRNL__.

	* include/ddk/ntddk.h (__USE_NTOSKRNL__): Define.
	* include/ddk/winddk.h (InitializeSListHead, Interlocked*):
	Guard with  __USE_NTOSKRNL__. 
	(ExInterlockedPopEntrySList, ExInterlockedPushEntrySList):
	Add prototypes.  Guard macro definition with __USE_NTOSKRNL__ 
	&& _WIN32_WINNT >= 0x0501
	(ExAllocateFromNPagedLookasideList, ExAllocateFromPagedLookasideList,
	ExFreeToNPagedLookasideList, ExFreeToPagedLookasideList):
	Replace calts to InterlockedPopEntrySList, InterlockedPushEntrySList
	with ExInterlockedPopEntrySList, ExInterlockedPushEntrySList.

	* lib/ddk/ntosknl.def (ExInterlockedPopEntrySList,
	ExInterlockedPushEntrySList)  Add stubs with fastcall decoration.
	(ExDesktopObjectType, ExEventObjectType, ExSemaphoreObjectType,
	ExWindowStationObjectType, IoAdapterObjectType,
	IoDeviceHandlerObjectSize, IoDeviceHandlerObjectType,
	IoDeviceObjectType, IoDriverObjectType, IoFileObjectType,
	LpcPortObjectType, MmSectionObjectType, SeTokenObjectType):
	Uncomment stubs.

2004-10-11  Robert Wruck  <wruck@tweerlei.de>

        * include/ddk/winddk.h (IoReleaseRemoveLockAndWait): Fix
        definition
        (IoReleaseRemoveLock): Add definition.

2004-10-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/winnt4.h (Exi386InterlockedDecrementLong,
	Exi386InterlockedExchangeUlong, Exi386InterlockedIncrementLong);
	Add prototypes.
	* include/winddk.h (ExInterlockedAddUlong,
	ExInterlockedInsertHeadList, ExInterlockedInsertTailList,
	ExInterlockedRemoveHeadList, ExInterlockedPopEntryList,
	ExInterlockedPushEntryList): Change calling convention to 
	DDKAPI.
	(ExfInterlockedAddUlong,ExInterlockedInsertHeadList,
	ExInterlockedInsertTailList, ExInterlockedRemoveHeadList,
	ExInterlockedPopEntryList, ExInterlockedPushEntryList): 
	Add prototypes for DDKFASTAPI versions.
	Thanks to Vadim Yegor0v <zg at bmg dot lv> for report.
	* lib/ntoskrnl.def (ExInterlockedAddUlong,
	ExInterlockedInsertHeadList, ExInterlockedInsertTailList,
	ExInterlockedRemoveHeadList, ExInterlockedPopEntryList,
	ExInterlockedPushEntryList): Remove lead '@' from stubs.
	(ExfInterlockedAddUlong,ExfInterlockedInsertHeadList,
	ExfInterlockedInsertTailList, ExfInterlockedRemoveHeadList,
	ExfInterlockedPopEntryList, ExfInterlockedPushEntryList): 
	Add fastcall stubs.
	(Exi386InterlockedDecrementLong, Exi386InterlockedExchangeUlong,
	Exi386InterlockedIncrementLong); Add stdcall stubs.

2004-09-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (WINBASEAPI): Define as DECLSPEC_IMPORT only
	 if __W32API_USE_DLLIMPORT__ is defined.
	* include/winuser.h (WINUSERAPI): Likewise.

2004-09-29  Filip Navara  <xnavara@volny.cz>

	* include/ddk/(atm.h, batclass.h, cfg.h, cfgmgr32.h, d4drvif.h,
	d4iface.h, ddkmapi.h, hidclass.h, hidpi.h, mcd.h, miniport.h,
	mountdev.h, mountmgr.h, ndis.h, ndistapi.h, ndiswan.h, netpnp.h,
	newdev.h, ntapi.h, ntdd8042.h, ntddbeep.h, ntddcdrm.h, ntddcdvd.h,
	ntddchgr.h, ntdddisk.h, ntddkbd.h, ntddmou.h, ntddpar.h, ntddpcm.h,
	ntddscsi.h, ntddser.h, ntddstor.h, ntddtape.h, ntddtdi.h,
	ntddvdeo.h, ntddvol.h, ntpoapi.h, parallel.h, pfhook.h, poclass.h,
	scsi.h, scsiscan.h, smbus.h, srb.h, storport.h, tdiinfo.h,
	tdikrnl.h, tvout.h, upssvc.h, usb.h, usb100.h, usbdi.h, usbioctl.h,
	usbiodef.h, usbscan.h, usbuser.h, videoagp.h, winddi.h, winddk.h,
	winnt4.h, ws2san.h): Fixed packing.
	* include/ddk/atm.h (ATM_TRAFFIC_DESCRIPTOR_IE): Fixed declaration.
	* include/ddk/hidclass.h (HID_INTERFACE_HIDPARSE,
	HID_INTERFACE_NOTIFY_PNP): Likewise.
	* include/ddk/ndis.h (NDIS_DMA_BLOCK, CO_FLOW_PARAMETERS): Likewise.
	(NdisQueryPacketLength): Added macro. Thanks to Art Yerkes
	<ayerkes@speakeasy.net>.
	* include/ddk/usb100.h (USB_CONFIGURATION_DESCRIPTOR): Fixed
	declaration.
	* include/ddk/winddi.h (PATHDATA, GLYPHPOS): Likewise.
	* include/ddk/winddk.h (PDRIVER_CONTROL, PDRIVER_LIST_CONTROL,
	PDRIVER_ADD_DEVICE, PIO_COMPLETION_ROUTINE, PDRIVER_CANCEL,
	PKDEFERRED_ROUTINE, PDRIVER_DISPATCH, PIO_DPC_ROUTINE,
	PMM_DLL_INITIALIZE, PMM_DLL_UNLOAD, PDRIVER_ENTRY,
	PDRIVER_INITIALIZE, PKSERVICE_ROUTINE, PIO_TIMER_ROUTINE,
	PDRIVER_REINITIALIZE, PDRIVER_STARTIO, PKSYNCHRONIZE_ROUTINE,
	PDRIVER_UNLOAD, DRIVER_OBJECT): Fixed callback declarations.
	(struct FILE_BASIC_INFORMATION): Renamed to _FILE_BASIC_INFORMATION.
	(SYNCH_LEVEL): Added definition.
	(KPCR, KPCR_TIB): Fixed declaration.
	(Interlocked[Push/Pop]EntrySList): Declare only if winbase.h isn't
	included and _WIN32_WINNT >= 0x0501.
	(RtlEqualLuid): Fixed macro definition.
	(KfLowerIrql, KfRaiseIrql): Declare and use instead of KeLowerIrql and
	KeRaiseIrql on i386 architectures.

2004-09-06  Hosaka Yuji  <hos@tamanegi.org>
 
	* include/mshtml.h (IHTMLDocument2): Correct get_selection
	declaration.
	(IHTMLSelectionObject): Correct get_type declaration.
	(IHTMLFramesCollection2, IHTMLWindow2, IHTMLFrameBase,
	IHTMLFrameBase2, IHTMLFrameBase3, IHTMLBodyElement,
	IHTMLBodyElement2): Add interfaces.
	(LPHTMLIMAGEELEMENTFACTORY, LPHTMLEVENTOBJ, LPHTMLSCREEN,
	LPHTMLOPTIONELEMENTFACTORY, LPOMHISTORY, LPOMNAVIGATOR): Add
	typedefs.
	* lib/mshtml-uuid.c (IID_IHTMLFrameBase2, IID_IHTMLFrameBase3):
	Add IIDs.

2004-09-05  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Increment version to 3.1.
	* Makefile.in: Ditto.

2004-09-05  Hosaka Yuji  <hos@tamanegi.org>

	* include/winuser.h (MonitorFromPoint, MonitorFromRect,
	MonitorFromWindow): Add prototypes.
	* lib/user32.def (MonitorFromPoint, MonitorFromRect,
	MonitorFromWindowMonitorFromWindow): Add stubs.
	* include/shellapi.h (DuplicateIcon): Add prototype.

2004-09-05   Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (WINUSERAPI): New define.
	Use it to mark user32.dll imports, throughout.

2004-09-05  Hosaka Yuji  <hos@tamanegi.org>
 
	* lib/ddk/hid.def (HidD_FlushQueue, HidD_FreePreparsedData,
	HidD_GetAttributes, HidD_GetConfiguration, HidD_GetFeature,
	HidD_GetHidGuid, HidD_GetIndexedString, HidD_GetInputReport,
	HidD_GetManufacturerString, HidD_GetMsGenreDescriptor,
	HidD_GetNumInputBuffers, HidD_GetPhysicalDescriptor,
	HidD_GetPreparsedData, HidD_GetProductString,
	HidD_GetSerialNumberString, HidD_SetConfiguration,
	HidD_SetFeature, HidD_SetNumInputBuffers, HidD_SetOutputReport,
	HidP_GetButtonCaps, HidP_GetValueCaps): Add exports.

2004-08-25  Lars Rune Nøstdal  <daysleper@users.sourceforge.net>

	* include/wincon.h (CONSOLE_FULLSCREEN_MODE, CONSOLE_WINDOWED_MODE):
	Add XP defines.
	(PCOORD): Add typedef.
	(GetConsoleDisplayMode, SetConsoleDisplayMode): Add prototypes.

2004-08-25   Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winldap.h: Don't check value of UNICODE.
	Thanks to: "Jean-Do"  <spab@users.sourceforge.net>

2004-08-25   Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (WINBASEAPI): Guard with __INSIDE_CYGWIN__.

2004-08-24  Sam Robb  <samrobb@users.sourceforge.net>

	* include/winbase.h (GetFileSizeEx): Add _WIN32_WINNT >= 0x0500
	guard.

2004-08-24   Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h: Add WINBASEAPI token to prototypes, throughout.

2004-08-15  Ken Fitlike  <kenfitlike@users.sourceforge.net>

	* include/commctrl.h (WC_TREEVIEWA): Remove parenthenses.

2004-08-10  Sebastian Nowak  <snowak1@users.sourceforge.net>

	* include/ws2spi.h (LPWSPSELECT): Correct typedef.

2004-08-10   Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wincrypt.h: Correct _WIN32_WINNT typo.

2004-08-10  Ed Schaller  <schallee@darkmist.net>

	* include/wincrypt.h (MS_ENH_RSA_AES_PROV_A, MS_ENH_RSA_AES_PROV_W)
	(ALG_SID_AES_128, ALG_SID_AES_192, ALG_SID_AES_256, ALG_SID_AES 17)
	(CALG_AES_128, CALG_AES_192, CALG_AES_256, CALG_AES,PROV_RSA_AES):
	Add defines.
	(CALG_SHA1): Add define.
	(HP_HMAC_INFO): Add define.
	(HMAC_INFO): Add struct.
	(BLOBHEADER): Add typedef.

2004-07-26  Hartmut Honisch  <hhonisch@users.sourceforge.net>

	* include/commctrl.h (TreeView_SetItemState): Define macro.

2004-07-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (CMYK): Correct macro. Group CMYK/RGB
        macros together.

2004-07-24  Brodie Thiesfield  <brofield@users.sourceforge.net>

	* include/shlobj.h (FILEDESCRIPTOR): Unicode it.
	(FILEGROUPDESCRIPTOR): LIkewise.

2004-07-06  Corinna Vinschen  <corinna@vinschen.de>

	* winbase.h (IsWow64Process): Add missing WINAPI qualifier.

2004-06-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (IMAGE_ORDINAL_FLAG): Map to ...
	(IMAGE_ORDINAL_FLAG{32,64}: New defines.
	(IMAGE_SNAP_BY_ORDINAL): Map to ...
	(IMAGE_SNAP_BY_ORDINAL{32,64}: New defines.
	(IMAGE_ORDINAL): Map to ...
	(IMAGE_ORDINAL{32,64}: New defines.
	(IMAGE_THUNK_DATA):  Map to ...
	(IMAGE_THUNK_DATA{32,64}: New structures.
	(IMAGE_THUNK_DATA): Map to ...
	(IMAGE_THUNK_DATA{32,64}: New structures.
	(IMAGE_IMPORT_DESCRIPTOR):  Map to ...
	(IMAGE_IMPORT_DESCRIPTOR{32,64}: New structures.
	(IMAGE_IMAGE_TLS_DIRECTORY)  Map to ...
	(IMAGE_IMAGE_TLS_DIRECTORY{32,64}: New structures.

2004-06-16  Bang Jun-Young <junyoung@NetBSD.org>

	* w32api/include/winnt.h (WAITORTIMERCALLBACKFUNC): Protect with
	_WIN32_WINNT >= 0x0500.

2004-06-05  Luke Dunstan  <infidel@users.sourceforge.net>

	* include/winbase.h (GetWriteWatch): Correct prototype.
	(WRITE_WATCH_FLAG_RESET): Define.
	Thanks to Sergey Philippov <phis@users.sourceforge.net>.

2004-06-02  Rocher Laurent  <lrocher@users.sourceforge.net>

	* include/commctrl.h (Animate_OpenEx): Define.
	(DateTime_GetSystemTime, DateTime_SetSystemTime): Correct names.
	(ListView_GetNumberOfWorkAreas): Correct macro.
	(ListView_SetUnicodeFormat, ListView_GetUnicodeFormat,
	ListView_SetItemCountEx, ListView_GetISearchString,
	TreeView_GetLastVisible, Header_CreateDragImage,
	Header_SetImageList, Header_GetImageList): Define.
	(LVM_SETUNICODEFORMAT, LVM_GETUNICODEFORMAT,
	MCM_GETUNICODEFORMAT, MCM_SETUNICODEFORMAT,
	TBSTATE_ELLIPSES): Define.
	(MonthCal_SetRange): Correct macro.
	(ImageList_Duplicate): Declare.

2004-05-29  Filip Navara  <xnavara@volny.cz>

	* include/winnt.h (IMAGE_EXPORT_DIRECTORY): Fixed declaration.

2004-05-25  Al Slater  <al.slater@scluk.com>

	* include/httpext.h (HSE_SEND_HEADER_EX_INFO,
	HSE_REQ_SEND_RESPONSE_HEADER_EX): Define.

2004-05-15  Filip Navara  <xnavara@volny.cz>

	* include/ddk/kbdmou.h: New file.
	* lib/ddk/videoprt.def (VideoPortMapBankedMemory,
	VideoPortMapDmaMemory, VideoPortMapMemory): Correct suffix.
	* lib/ddk/ntoskrnl.def (_snprintf, _snwprintf, _vsnprintf,
	_vsnwprintf, sprintf, swprintf): Export.

2004-05-15  Filip Navara  <xnavara@volny.cz>

	* include/ddk/ntddk.h: Don't set 4-byte alignment on included
	headers.

2004-05-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h: Correct non-unicode typedefs of
	ENUMLOGFONTEXDV, PENUMLOGFONTEXDV, LPENUMLOGFONTEXDV.

2004-05-07  Pascal Obry  <obry@act-europe.fr>

	* include/winsock.h (IN_CLASSA): Fix macro.
	* include/winsock2.h (IN_CLASSA): Fix macro.

2004-04-29  Bart Oldeman  <bartoldeman@users.sourceforge.net>

	* include/objbase.h (STGOPTIONS): Correct pwcsTemplateFile type.
	* include/aclui.h: Remove '\r', throughout.
	* include/msacm.h: Likewise.
	* lib/aclui.def: Likewise.

2004-04-28  Luke Dunstan  <infidel@users.sourceforge.net>

	* lib/comctl32.def (SetWindowSubclass): Add stub.
	Thanks to Eugene <egladysh@users.sourceforge.net>.

2004-04-24  Luke Dunstan  <infidel@users.sourceforge.net>

	* include/winbase.h (EXECUTION_STATE): Add typedef.
	(SetThreadExecutionState): Declare.
	* include/wingdi.h (_WINGDI_): Define.
	* include/objbase.h (_OBJBASE_H_): Define.

2004-04-24  Luke Dunstan  <infidel@users.sourceforge.net>

	* include/winuser.h (SM_IMMENABLED, SM_CXFOCUSBORDER,
	SM_CYFOCUSBORDER, SM_TABLETPC, SM_MEDIACENTER): Add defines.
	(SM_CMETRICS): Adjust value.
	* include/winnt.h (PROCESSOR_ARCHITECTURE_MSIL): Correct define.
	(PROCESSOR_ARCHITECTURE_AMD64, PROCESSOR_ARCHITECTURE_IA32_ON_WIN64):
	Add defines.
	Thanks to Benoit Blanchon <bblanchon@users.sourceforge.net>

2004-04-24  Justin Forest  <vhex@users.sourceforge.net>

	* include/winsock2.h (LUP_DEEP, LUP_CONTAINERS,
	LUP_NOCONTAINERS, LUP_NEAREST, LUP_RETURN_NAME,
	LUP_RETURN_TYPE, LUP_RETURN_VERSION, LUP_RETURN_COMMENT,
	LUP_RETURN_ADDR, LUP_RETURN_BLOB, LUP_RETURN_ALIASES,
	LUP_RETURN_QUERY_STRING, LUP_RETURN_ALL, LUP_RES_SERVICE,
	LUP_FLUSHCACHE, LUP_FLUSHPREVIOUS): Add defines.

2004-04-24  Luke Dunstan  <infidel@users.sourceforge.net>

	* include/windns.h (DNSREC_QUESTION, DNSREC_ANSWER, DNSREC_AUTHORITY,
	DNSREC_ADDITIONAL): Add defines.

2004-04-23  Robert Wruck  <wruck@tweerlei.de>

	* include/commctrl.h (LPNMLVDISPINFO): Add defines.

2004-04-23  Robert Wruck  <wruck@tweerlei.de>

	* include/aclui.h: New file.
	* lib/aclui.def: New file.
	* lib/test.c: Add aclui.h to includes.

2004-04-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (SPI_GETACTIVEWINDOWTRACKING,
	SPI_GETACTIVEWNDTRKZORDER, SPI_SETACTIVEWINDOWTRACKING,
	SPI_SETACTIVEWNDTRKZORDER): Remove duplicate defines.

2004-04-20  Christopher Faylor  <cgf@alum.bu.edu>

	* include/wingdi.h: Protect non-unicode case of below.

2004-04-20  Christopher Faylor  <cgf@alum.bu.edu>

	* include/wingdi.h: Protect use of ENUMLOGFONTEXDV, PENUMLOGFONTEXDV,
	LPENUMLOGFONTEXDV with appropriate version check.

2004-04-18  Hans Leidekker  <hans@it.vu.nl>

	* lib/directx/dxguid.c (CLSID_DirectSoundPrivate,
	DSPROPSETID_DirectSoundDevice): Add defines.

2004-04-20  Adrian Sandor  <aditsu@users.sourceforge.net>

	* include/msacm.h: New file.

2004-01-09  Stuart Cunningham  <stuart_hc@users.sourceforge.net>

	* include/objbase.h (STGFMT): Declare enum.
	(STGOPTIONS): Declare structure.
	(StgCreateStorageEx, StgOpenStorageEx): Declare.
	(STGOPTIONS_VERSION): Define.
	* lib/ole32.def (StgCreateStorageEx, StgOpenStorageEx): Add stubs.

2004-04-13  Filip Navara  <xnavara@volny.cz>

	* include/winuser.h (IS_INTRESOURCE, MB_CANCELTRYCONTINUE,
	WM_NCXBUTTONDOWN, WM_NCXBUTTONUP, WM_NCXBUTTONDBLCLK,
	WM_XBUTTONDOWN, WM_XBUTTONUP, WM_XBUTTONDBLCLK,
	DCX_INTERSECTUPDATE, MK_XBUTTON1, MK_XBUTTON2,
	HELP_SETWINPOS): Define.
	(WM_MOUSELAST): Different value for _WIN32_WINNT >= 0x0500.
	(SPI_*): Add new definitions for WINVER >= 0x500.
	(CallMsgFilter[AW], SetWindowsHookA): Correct prototype.
	(InternalGetWindowText, SetWindowsHookW): Declare.
	* include/winbase.h (InitializeSListHead): Avoid conflicting
	definition with DDK headers.

2004-04-13  Gé van Geldorp  <gvg@reactos.com>

	* include/winuser.h (GetLastError): Move from here...
	* include/winbase.h: ... to here.

2004-04-13  Filip Navara  <xnavara@volny.cz>

	* include/winspool.h (DocumentPropertiesW): Correct prototype.

2004-04-13  Filip Navara  <xnavara@volny.cz>

	* include/wingdi.h (ENHMETAHEADER): Add definitions for
	WINVER >= 0x400.
	(WCRANGE, GLYPHSET, LPPOLYTEXT[AW]): Declare.
	(ENUMLOGFONTEXW): Fix definition.
	(ENUMLOGFONTEXDV[AW]): Declare.

2004-04-13  Filip Navara  <xnavara@volny.cz>

	* include/wingdi.h: Declare the DirectDraw structures only if
	the DirectDraw kernel mode headers aren't included.
	(EMFINFO): Declare.
	(EngStretchBlt, EngTextOut, FONTOBJ_cGetGlyphs,
	STROBJ_bEnumPositionsOnly): Correct prototypes.

2004-04-13  Filip Navara  <xnavara@volny.cz>

	* include/objidl.h (PRPCOLEMESSAGE): Declare.
	* include/rpc.h	(RPCRTAPI): Define.
	* include/rpcdce.h (RpcServerRegisterIf2): Declare.
	* include/rpcdcep.h (RPC_BLOCKING_FN, I_RpcSend): Declare.
	(RPC_BLOCKING_FUNCTION): Remove, replaced by RPC_BLOCKING_FN.
	(I_RpcBindingSetAsync): Correct prototype.
	* include/rpcndr.h (MIDL_STUB_MESSAGE): Rename 'Reserved' field
	to w2kReserved.
	(USER_MARSHAL_SIZING_ROUTINE, USER_MARSHAL_MARSHALLING_ROUTINE,
	USER_MARSHAL_UNMARSHALLING_ROUTINE, USER_MARSHAL_FREEING_ROUTINE,
	USER_MARSHAL_ROUTINE_QUADRUPLE, NDR_NOTIFY_ROUTINE, IDL_CS_CONVERT,
	CS_TYPE_NET_SIZE_ROUTINE, CS_TYPE_LOCAL_SIZE_ROUTINE,
	CS_TYPE_TO_NETCS_ROUTINE, CS_TYPE_FROM_NETCS_ROUTINE,
	CS_TAG_GETTING_ROUTINE, NDR_CS_SIZE_CONVERT_ROUTINES,
	NDR_CS_ROUTINES, NdrUserMarshalMarshall, NdrUserMarshalUnmarshall,
	NdrUserMarshalBufferSize, NdrUserMarshalMemorySize,
	NdrUserMarshalFree): Declare.
	(MIDL_STUB_DESC): Add new fields that were added in W2K.
	* include/rpcproxy.h (CStdStubBuffer): Ditto.

2004-04-13  Filip Navara  <xnavara@volny.cz>, David Welch  <welch@cwcom.net>

	* include/ddk/ntapi.h (NtCurrentProcess, NtCurrentThread,
	LPC_MESSAGE_BASE_SIZE):	Define.
	* include/ddk/ntifs.h: Move the pack pragma under header inclusion.

2004-04-13  Filip Navara  <xnavara@volny.cz>

	* include/commctrl.h (TB_MARKBUTTON, NMTBGETINFOTIP[AW]):
	Declare.

2004-04-18  Allan Bazinet  <bazineta@users.sourceforge.net>

	* include/winuser.h (MONITORINFOEX[AW]): Change to be derived from
	MONITORINFO when compiling as C++.

2004-04-17  Luke Dunstan  <infidel@users.sourceforge.net>

	* README.w32api: List separate copyright conditions for some headers.
	* include/(winsock2.h, wsipx.h): Minor change to copyright header.

2004-04-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (RGB): Correct macro.

2004-04-14  Robert Wruck  <rwruck@users.sourceforge.net>

	* include/ddk/winddk.h (RtlEqualLuid): Correct macro.

2004-04-06  Luke Dunstan  <infidel@users.sourceforge.net>

	* include/ocidl.h (QACONTAINERFLAGS): Correct typedef.

2004-03-29  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/Makefile.in: Add directx to .PHONY target.
	* lib/directx/dxerr.c: Remove dependence on mingw runtime.
	Don't include stdio.h or tchar.h.
	Replace _T() macro with TEXT() macro, throughout.
	Replace _stprintf with wsprintf, throughout.

2004-03-27  Hosaka Yuji  <hos@tamanegi.org>

	* include/dbt.h (DBT_DEVTYP_DEVICEINTERFACE, DBT_DEVTYP_HANDLE):
	Add define.
	(DEV_BROADCAST_DEVICEINTERFACE, DEV_BROADCAST_HANDLE): Add struct.
	* include/winuser.h (UnregisterDeviceNotification): Add prototype.
	* lib/user32.def (UnregisterDeviceNotification): Add export stub.

2004-03-27  Filip Navara  <xnavara@volny.cz>

	* include/directx: New subdir.
	* lib/directx: Ditto.
	* include/directx/(d3d9.h, d3d9caps.h, d3d9types.h, dxerr8.h,
	dxerr9.h): New files.
	* lib/directx/(Makefile.in, d3d8.def, d3d9.def, d3dim.def, d3drm.def,
	d3dx8d.def, d3dx9d.def, d3dxof.def, ddraw.def, dinput.def,
	dinput_joy.c, dinput_joy2.c, dinput_kbd.c, dinput_mouse.c,
	dinput_mouse2.c, dinput_private.h, dinput8.def, dmoguids.c, dplayx.def,
	dpnaddr.def, dpnet.def, dpnlobby.def, dpvoice.def, dsetup.def,
	dsound.def, dxerr.c, dxerr8.c, dxerr8w.c, dxerr9.c, dxerr9w.c,
	dxguid.c, ksproxy.def, ksuser.c, ksuser.def, msdmo.def, quartz.def,
	strmiids.c, test.c): Ditto.
	* lib/(d3dim.def, d3drm.def, d3dxof.def, ddraw.def, dinput.c,
	dinput.def, dplayx.def, dsetup.def, dsound.def, dxguid.c): Removed.

2004-03-25  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/GL/glu.h (GLU_AUTO_LOAD_MATRIX, GLU_CULLING,
	GLU_SAMPLING_TOLERANCE, GLU_DISPLAY_MODE, GLU_PARAMETRIC_TOLERANCE,
	GLU_SAMPLING_METHOD, GLU_U_STEP, GLU_V_STEP): Define.

2004-03-24  Filip Navara  <xnavara@volny.cz>

	* include/commctrl.h (TB_GETSTRING[AW]): Add defines.
	(RBBS_HIDETITLE, RBBS_TOPALIGN): Ditto.

2004-03-24  Filip Navara  <xnavara@volny.cz>

	* include/ddk/srb.h (_PORT_CONFIGURATION_INFORMATION):	Rename
	TaggedQueueing to TaggedQueuing.
	(_HW_INITIALIZATION_DATA): Likewise.

2004-03-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/docobj.h (IOleDocumentView::GetDocument): Correct
	prototype.	
	Thanks to Buster Copley  <consequent@users.sourceforge.net>

2004-03-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/ddk/ntoskrnl.def (MmAllocatePagesForMdl): Correct suffix.
	(MmMapIoSpace): Likewise.
	Thanks to Dan Aloni  <da-x@colinux.org>

2004-03-16  Martin Fuchs  <martin-fuchs@gmx.net>

	* include/shellapi.h (NIM_* NIS_*): Define constants for
	notification icons with _WIN32_IE >= 0x0500.
	(NOTIFYICONDATA): Add new structure members for notification
	icons with _WIN32_IE >= 0x0500.

2004-03-13  Danny Smith  <dannysmith@users.sourceforge.net>

	*include/wininet.h (CACHEGROUP_SEARCH_ALL, CACHEGROUP_SEARCH_BYURL):
	Add defines.
	(INTERNET_CACHE_GROUP_ADD, INTERNET_CACHE_GROUP_REMOVE): Add defines.
	(GROUPID) Add typedef.
	(INTERNET_CACHE_GROUP_INFO[AW]): Define structures.
	(CreateUrlCacheGroup): Add prototype.
	(DeleteUrlCacheGroup): Add prototype.
	(FindFirstUrlCacheGroup): Add prototype.
	(FindNextUrlCacheGroup): Add prototype.
	(GetUrlCacheGroupAttribute[AW]): Add prototypes.
	(SetUrlCacheGroupAttribute[AW]): Add prototypes.

2004-03-10  Al Slater  <al.slater@scluk.com>

	* include/winsock2.h: Add missing LPFN_ typdefs for
	function pointers.
	Clean up whitespace.

2004-03-05  Filip Navara  <xnavara@volny.cz>

	* include/ddk/scsi.h: Replace assert with ASSERT.
	* include/ddk/video.h: Ditto.
	* include/ddk/winddk.h: Ditto. Remove the assert macro.
	* include/ddk/tdi.h: Correct packing.

2004-03-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wtypes.h (DECIMAL_SETZERO): Add definition for
	NONAMELESSUNION case.

2004-03-03  Martin Fuchs  <martin-fuchs@gmx.net>

	* include/oleauto.h (V_UNION, V_VT, V_DECIMAL): Use
	__VARIANT_NAME_ constants.

2004-03-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/uxtheme.h: Include <commctrl.h>

2004-03-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/basetyps.h (GUID_SECT): Define to nothing for GCC >= 2.95.

2004-03-02  Martin Fuchs  <martin-fuchs@gmx.net>

	* include/oleauto.h (VAR_VALIDDATE, VAR_FORMAT_NOSUBSTITUTE,
	VAR_FOURDIGITYEARS): Define new constants. Group VAR_*  defines
	together.
	(V_UI2, V_UI4, V_UI4REF, V_UI, V_UI8REF): Define macros.
	(V_I8, V_I8REF): Correct macros.
	(V_DECIMAL): Correct macro definitions.
	(V_INT_PTR, V_UINT_PTR, V_INT_PTRREF, V_UINT_PTRREF): Define
	constants.
	(VTBIT_*): Define constants.
	(UDATE): Add structure definition.
	(VarDateFromUdate, VarDateFromUdateEx, VarUdateFromDate): Declare
	functions.
	(SafeArrayCreateVector): Correct parameter type from UINT to ULONG
	(SafeArrayCreateVectorEx): Declare function.
	(Var*): declare VARIANT manipulation functions.
	* include/ocidl.h (IPicture_*): Define IPicture COBJ macros.
	* include/oaidl.h (IRecordInfo_*): Define IRecordInfo COBJ
	macros.

2004-03-01  Martin Fuchs  <martin-fuchs@gmx.net>

	* include/oaidl.h (FADF_*): Define missing constants.
	(IDispatch_*): Define COBJ macros.
	(VARIANT): Add missing union members llVal and ullVal.
	(wireVARIANT): Likewise.
	(ITypeinfo_*): Define COBJ macros.
	* include/oleauto.h (Var*FromDisp): Correct parameter type from
	LPDISPATCH* to LPDISPATCH.
	(VARCMP_*, VAR_LOCALBOOL, LOCALE_USE_NLS, VARIANT_*,
	VAR_CALENDAR_*): Add missing constants.
	(SafeArray[Get/Set]*): Add prototypes.
	(Var*From*):  Add missing prototypes.
	(NUMPRS_*): Add defines.
	(NUMPARSE): Define structure.
	(VarParseNumFromStr,VarNumFromParseNum): Add prototypes.
	* include/winerror.h (DISP_E_DIVBYZERO): Define constant.
	* include/winuser.h (COLOR_*): Define missing constants.
	* include/wtypes.h (enum VARENUM): Add VT_INT_PTR, VT_UINT_PTR.
 	(VT_INT_PTR, VT_UINT_PTR): Remove macro definitions.

2004-02-23  Filip Navara  <xnavara@volny.cz>

	* include/ddk/video.h: Corrected packing.

2004-02-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/GL/glu.h (GLU_ERROR): Define.
	Thanks to Philip Lamb  <phil at rave dot co dot nz> 

2004-02-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/GL/glu.h: Include <stddef.h>.
	Thanks to Greg Couch <gregcouch@users.sourceforge.net>

2004-02-15  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Increment version to 3.0.
	* Makefile.in: Ditto.
	* README.win32api: Modify license to Public Domain per agreement as
	found in the mingw-dvlpr list archive.

2004-02-13  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/ddk/winddk.h (DIRECTORY_QUERY): Add define.
	(DIRECTORY_TRAVERSE): Ditto.
	(DIRECTORY_CREATE_OBJECT): Ditto.
	(DIRECTORY_CREATE_SUBDIRECTORY): Ditto.
	(DIRECTORY_ALL_ACCESS): Ditto.
	Thanks to Konstantin Stepaniuk <skostia@users.sourceforge.net>

2004-02-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/basetypes.h (_REFIID_DEFINED): Correct typo.

	* include/winuser.h (NCCALCSIZE_PARAMS): Define structure.
	Thanks to Mike Nordell <tamlin at algonet dot se>.

2004-02-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/dnsapi.def: New file.
	* lib/test.c: Include windns.h.
 
2004-02-11  Pierre A. Humblet  <Pierre.Humblet@ieee.org>

	* include/windns.h: New file.

2004-02-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sqlucode.h (SQLGetStmtAttr[AW]): Remove duplicate
	defines.
	(SQLSetStmtAttr[AW]): Move into ODBCVER >= 0x0300 block.
	(SQLSetDescFieldW): Correct prototype.
	(SQLSetDescFieldA): Add prototype.
	(SQLGetDescFieldW): Add prototype.

2004-02-11  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* include/winuser.h (DFC_POPUPMENU): Add define.

2004-02-07  Dan Aloni  <da-x@gmx.net>

	* lib/ddk/ntoskrnl.def (KeSetTimer,KeSetTimerEx): Correct
	suffix.

2004-02-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/oleacc.h (LIBID_Accessibility): Declare.
	* lib/uuid.c (LIBID_Accessibility): Define.

2004-02-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winioctl.h (NTFS_VOLUME_DATA_BUFFER): Add structure.
	(FSCTL_GET_NTFS_VOLUME_DATA): Add macro.

2004-02-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (ICC_STANDARD_CLASSES, ICC_LINK_CLASS): Add
	defines.

2004-01-31  Jiri Malak  <Jiri.Malak@geac.cz>

	* include/winuser.h (RT_MANIFEST): Make conditional on
	RC_INVOKED.
	(CREATEPROCESS_MANIFEST_RESOURCE_ID,
	ISOLATIONAWARE_MANIFEST_RESOURCE_ID,
	ISOLATIONAWARE_NOSTATICIMPORT_MANIFEST_RESOURCE_ID): Add
	defines.

2004-01-16 Martin Fuchs  <martin-fuchs@gmx.net>

	* include/shlobj.h (SHGDN_INCLUDE_NONFILESYS): Add define.

2004-01-15  Filip Navara  <xnavara@volny.cz>

	* include/ddk/mcd.h: Don't care about value of DBG define.
	* include/ddk/srb.h: Ditto.
	* include/ddk/storport.h: Ditto.
	* include/ddk/video.h: Ditto.
	* include/nspapi.h (SetServiceW, GetAddressByNameA,
	GetAddressByNameW): Correct protoype.
	* include/ntsecapi.h (PCUNICODE_STRING): Define.

2004-01-05  Filip Navara  <xnavara@volny.cz>

	* include/prsht.h (LPCPROPSHEETPAGEW): Fix definition.
	* include/shlwapi.h (SHRegQueryInfoUSKey[AW]): Fix prototype.
	* include/cpl.h (CPL_STARTWPARMS[AW]): Correct.
	* include/shellapi.h (ABS_AUTOHIDE, ABS_ALWAYSONTOP,
	SEE_MASK_NO_CONSOLE, SEE_MASK_ASYNCOK, SEE_MASK_HMONITOR,
	FOF_NOCOPYSECURITYATTRIBS): Add defines.
	* include/shlobj.h (BFFM_SETOKTEXT, BFFM_SETEXPANDED,
	CSIDL_FLAG_DONT_VERIFY, CSIDL_FLAG_CREATE, CSIDL_FLAG_MASK,
	CFSTR_INETURL[AW], SHGDN_FOREDITING, SHGDN_FORADDRESSBAR,
	SSF_*): Add defines.
	(SHCNF_PATH[AW], SHCNF_PRINTER[AW], CFSTR_FILENAME[AW],
	CFSTR_FILENAMEMAP[AW], CFSTR_FILEDESCRIPTOR[AW], CFSTR_SHELLURL,
	CMDSTR_NEWFOLDER[AW], CMDSTR_VIEWLIST[AW], CMDSTR_VIEWDETAILS[AW]):
	Correct.
	(IEnumIDList): Add COBJMACROS.
	* include/winuser.h (MIM_*): Add define.

2004-01-04  Filip Navara  <xnavara@volny.cz>

	* include/shlguid.h (IID_IPersistFolder2, IID_IPersistFolder3,
	IID_IShellFolder2, IID_IFileSystemBindData): Add declarations.
	* include/shlobj.h (EXTRASEARCH, SHCOLSTATEF, SHELLDETAILS,
	PERSIST_FOLDER_TARGET_INFO): Define structures.
	(IEnumExtraSearch, IShellFolder2, IFileSystemBindData,
	IPersistFolder2, IPersistFolder3): Add COM interface
	definitions.
	(IExtractIcon[AW], IShellLink[AW], IPersistFolder, IShellView,
	ICommDlgBrowser, IShellFolder2, IPersistFolder2, IPersistFolder3):
	Add COBJMACROS.
	(SHCreateDirectoryEx[AW], SHBindToParent): Add prototypes.
        * lib/shell32.c	(IID_IPersistFolder2, IID_IPersistFolder3,
	IID_IShellFolder2, IID_IFileSystemBindData): Add definitions.

2004-01-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/mshtml.h (IHTMLDocument2): Correct write, writeln
	declarations.
	Thanks to: Rene Nyffenegger <renenyffenegger@users.sf.net>.

2004-01-03  Filip Navara  <xnavara@volny.cz>

	* include/cguid.h (CLSID_StdGlobalInterfaceTable): Declare IID.
	* include/oaidl.h (ITypeLib2, ITypeInfo2): Define interfaces,
	declare IID's.
	(IErrorInfo): Add COBJMACROS.
	* include/objbase.h (STGM_NOSNAPSHOT): Add define.
	(CoGetPSClsid): Add protototype,
	(CoRegisterPSClsid): Likewise.
	* include/objidl.h (IMarshal): Correct methods.
	(IMallocSpy): Likewise,
	(LPPSFACTORYBUFFER): Add typedef.
	(IGlobalInterfaceTable): Define interface and COBJMACROS. Declare
	IID.
	(IStorage_CreateStorage, IRpcStubBuffer_Invoke): Fix macros.
	* include/ocidl.h (PROPBAG2_TYPE): Define enum.
	(PROPBAG2, QACONTAINERFLAGS, QACONTAINER, QACONTROL): Define
	structures.
	(IPropertyBag2, IPersistPropertyBag2,IAdviseSinkEx, IPointerInactive,
	IOleUndoUnit, IOleParentUndoUnit, IEnumOleUndoUnits, IOleUndoManager,
	IQuickActivate): Define interfaces. Declare IID's.
	(IPersistPropertyBag2): Add COBJMACROS.
	(LPOLEUNDOMANAGER): Add typedef.
	(LPPROPERTYBAG2): Likewise.
	* include/oleidl.h (LPPARSEDISPLAYNAME): Fix definiton.
	(BINDSPEED): Add definition.
	(IParseDisplayName, IOleItemContainer, IOleObject, IDropSource,
	IDropTarget): Add COBJMACROS.
	* include/wtypes.h (MEMCTX, MSHCTX): Fix enum.
	* include/winerror.h (CO_S_NOTALLINTERFACES): Add define.
	* lib/uuid.c (IID_IGlobalInterfaceTable, IID_IOleUndoManager,
	IID_IPersistPropertyBag2, IID_IPropertyBag2, IID_IRpcProxyBuffer):
	Add IID definitions.

2004-01-02  Filip Navara  <xnavara@volny.cz>

	* include/ddk/winddk.h: Don't care about value of
	DBG define.

2004-01-02  Danny Smith  <dannysmith@users.sourceforge.net>
	    Filip Navara  <xnavara@volny.cz>
	    
	* include/ddk/winddk.h (_DDK_DUMMYUNION_MEMBER,
	_DDK_DUMMYUNION_N_MEMBER): New macros.
	(ExAllocateFromPagedLookasideList,ExFreeToPagedLookasideList,
	ExAllocateFromNPagedLookasideList, ExFreeToNPagedLookasideList):
	Use them.

2004-01-01  Filip Navara  <xnavara@volny.cz>

	* include/objbase.h: Don't care about value of DBG define.
	* include/objidl.h: Add some COBJMACROS.
	* include/ocidl.h: Ditto.
	* include/oleidl.h: Ditto.
	* include/servprov.h: Ditto.
	* include/shlobj.h: Ditto.
	* include/shlobj.h (IContextMenu2): Correct parent in
	DECLARE_INTERFACE.
	* include/oleidl.h (IOleCache, IOleCache2, IOleCacheControl):
	Define interfaces.
	* include/setupapi.h (SetupGetLineTextA): Correct prototype.
	Add new constants for _SETUPAPI_VER >= 0x501.

2004-01-01  Filip Navara  <xnavara@volny.cz>

	* include/winnt.h (NtCurrentTeb): Add inline definition.

2004-01-01  Martin Fuchs  <martin-fuchs@gmx.net>

	* include/shlobj.h (SHCoCreateInstance): Add prototype.
	* lib/shell32.def (SHCoCreateInstance): Add export stub.

2004-01-01  Igor Pechtchanski  <pechtcha@cs.nyu.edu>

	* lib/setupapi.def (CM_Request_Device_Eject[AW]): Add export.
	(CM_Request_Device_Eject_Ex[AW]): Likwise.
	* include/ddk/cfg.h (DN_*): Add defines.

2004-01-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/ddk/cfgmgr32.def: Remove duplicate symbol names.

2004-01-01  Mattia Barbon  <mbarbon@users.sourceforge.net>

	* include/commctrl.h (TVN_GETINFOTIP): Add UNICODE mappings.
	(NMTVGETINFOTIP): Add structure.

2003-12-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (DISPLAY_DEVICE_*): Remove defines.
	* include/wingdi.h (DISPLAY_DEVICE_REMOVABLE,
	DISPLAY_DEVICE_MODESPRUNED): Add defines.

2003-12-08  Hartmut Honisch  <hhonisch@users.sourceforge.net>

	* include/commctrl.h (ListView_Get_State, ListView_Check_State):
	Add macros.
	* include/wingdi.h  (DISPLAY_DEVICE_*): Add multi-monitor
	constants.
	* include/shlobj.h (SHCOLUMNINIT): Add structure.
	(SHCOLUMNDAT): Likwise.
	(SHCOLUMNID): Likewise.
	(SHCOLUMNINFO): Likewise.
	(SHCOLSTATE): Add enum.
	(IColumnProvider): Add COM interface.
	(IQueryInfo): Likewise.
	(IShellIconOverlayIdentifier): Likewise.
  	* include/shlguid.h (IID_IColumnProvider) Declare.
	(IID_IQueryInfo): Likweise.
	(IID_IShellIconOverlayIdentifier): Likwise.
	* lib/shell32.c (IID_IColumnProvider) Define.
	(IID_IQueryInfo): Likweise.
	(IID_IShellIconOverlayIdentifier): Likwise.

2003-12-08  Roald Ribe <rrib@users.sourceforge.net>

	* include/winuser.h (RT_MANIFEST): Add define.

2003-12-08  Pascal Buhler <pbuhler@users.sourceforge.net>

	* include/oleidl.h (IViewObject2): Inherit from IViewObject.

2003-12-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (GetCurrentFiber): Remove duplicate prototype.
	(GetFiberData): Likewise.
	(GetCurrentFiber): Change volatile to __volatile__.
	(GetFiberData): Likewise.

2003-11-27  Christopher Faylor  <cgf@redhat.com>

	* lib/Makefile.in: Use make function to locate .mri file to allow
	building in directory other than source directory.

2003-11-27  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/vfw32.def: Remove, replacing with ...
	* lib/msvfw32.def: New file.
	* lib/avicap32.def: New file.
	* lib/avifil32.def: New file.
	* lib/vfw32.mri: New file.
	* Makefile.in: (MRI_FILES, MIMPLIBS): New vars for
	import libs with multiple dll's.
	(LIBS): Add MIMPLIBS.
	(DISTFILES): Add MRI_FILES.
	(libvfw32.a): Build using mri script.

2003-11-23  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (PAGE_*): Group defines together. Change
	constants to hex notation.

2003-11-15  Manu B  <manubee@users.sourceforge.net>

	* include/commctrl.h (TabCtrl_GetImageList): Add macro.

2003-11-13 Martin Fuchs  <martin-fuchs@gmx.net>

	* include/shlobj.h (ILAppendID, ILClone, ILCloneFirst, ILCombine,
	ILFindChild, ILFindLastID, ILFree, ILGetNext, ILGetSize, ILIsEqual,
	ILIsParent, ILLoadFromStream, ILRemoveLastID, ILSaveToStream):
	Add prototypes.
	* lib/shell32.def: Add stubs.

	* include/commctrl.h (ListView_FindItem): Add type cast to avoid
	compiler warnings.

2003-11-13  Hans Leidekker <hans@it.vu.nl>

	* include/winbase.h (WIN32_STREAM_ID): Correct typedef.

2003-10-13  Andre Auzi  <aauzi@users.sourceforge.net>

	* include/windows.h (CopyCursor): Define as macro.

2003-10-13  Steven Edwards  <Steven_Ed4153@yahoo.com>

	* include/winnt.h (CONTAINING_RECORD): Add macro.

2003-10-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h: (FILE_SUPERSEDED, FILE_OPENED, FILE_CREATED,
	FILE_OVERWRITTEN, FILE_EXISTS, FILE_DOES_NOT_EXIST): Remove
	defines.

2003-10-13  Filip Navara  <xnavara@volny.cz>

	* include/commctrl.h (DSA_*): Add prototypes, typedefs and
	defines for Dynamic Storage Arrays.
	(DPA_*): Likewise, for Dynamic Pointer Arrays.
	(FlatSB_*, InitializeFlatSB, InitializeFlatSB): Add prototypes
	and defines for Flat ScrollBars.
	(SetWindowSubclass, GetWindowSubclass, RemoveWindowSubclass,
	DefSubclassProc): Add prototypes for subclassing.
	(DrawShadowText): Add prototype.
	(COMCTL32_VERSION): Define.

2003-10-13  Martin Fuchs  <Martin-Fuchs@gmx.net>

	* include/shlobj.h (CFSTR_FILENAME, CFSTR_FILEDESCRIPTOR,
	CFSTR_FILENAMEMAP, CFSTR_SHELLURL): Correct UNICODE definitions.

2003-10-13  Pierre Humblet  <pierre.humblet@ieee.org>

	* include/winnt.h (SM_REMOTESESSION): Add define.
	* include/winuser.h (SE_CREATE_GLOBAL_NAME): Ditto.

2003-10-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wincrypt (KP_IV, KP_SALT, KP_PADDING, KP_MODE,
	KP_MODE_BITS, KP_PERMISSIONS, KP_ALGID, KP_BLOCKLEN): Remove
	duplicate definitions.
	(KP_X, KP_Y): Correct typos.

2003-10-11  Manu B  <manubee@users.sourceforge.net>

	* include/afxres.h: New file.

	* include/richedit.h (ES_NOOLEDRAGDROP, ENM_DRAGDROPDONE,
	ENM_IMECHANGE, ENM_LANGCHANGE, ENM_OBJECTPOSITIONS,
	ENM_SCROLLEVENTS): Add constants.

	* include/richedit.h (ES_SELECTIONBAR, ENM_LINK): Sort constants.

2003-10-09  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/errorep.h: New file.

	* lib/faultrep.def: New file.

2003-10-09  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h (AddVectoredExceptionHandler): Define if
	_WIN32_WINNT >= 0x0500.

	* include/winnt.h (PVECTORED_EXCEPTION_HANDLER): Define if
	_WIN32_WINNT >= 0x0500.

2003-10-08  Corinna Vinschen  <corinna@vinschen.de>

	* include/winbase.h (AddVectoredExceptionHandler): Only define if
	_WIN32_WINNT >= 0x0501.

2003-10-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h [_WIN32_WINNT >= 0x0500] (SetComputerNameEx[AW],
	UnregisterWaitEx): Add functions.

	* include/winbase.h [_WIN32_WINNT >= 0x0500]
	(AddVectoredExceptionHandler, RemoveVectoredExceptionHandler): Add
	or guard function. The MSDN says it is available on Windows XP and
	better, and then it says it is declared for _WIN32_WINNT >= 0x0500.
	Huh?

	* include/winbase.h [_WIN32_WINNT >= 0x0501] (AddRefActCtx,
	CreateActCtx[AW], SetFileShortName[AW], SetFileValidData,
	ZombifyActCtx, QueryActCtxW): Add functions.

	* include/winbase.h [_WIN32_WINNT >= 0x0501]
	(QUERY_ACTCTX_FLAG_USE_ACTIVE_ACTCTX,
	QUERY_ACTCTX_FLAG_ACTCTX_IS_HMODULE,
	QUERY_ACTCTX_FLAG_ACTCTX_IS_ADDRESS): Add constants.

	* include/winbase.h [_WIN32_WINNT >= 0x0502] (SetDllDirectory[AW],
	SetFirmwareEnvironmentVariable[AW]): Add functions.

	* include/winnt.h [_WIN32_WINNT >= 0x0500] (VER_BUILDNUMBER,
	VER_MAJORVERSION, VER_MINORVERSION, VER_PLATFORMID,
	VER_SERVICEPACKMAJOR, VER_SERVICEPACKMINOR, VER_SUITENAME,
	VER_PRODUCT_TYPE, VER_EQUAL, VER_GREATER, VER_GREATER_EQUAL,
	VER_LESS, VER_LESS_EQUAL, VER_AND, VER_OR): Add constants.

	* include/winnt.h [_WIN32_WINNT >= 0x0501]
	(PVECTORED_EXCEPTION_HANDLER): Add callback.

	* include/winnt.h [_WIN32_WINNT >= 0x0501]
	(ACTIVATION_CONTEXT_INFO_CLASS,
	ACTIVATION_CONTEXT_ASSEMBLY_DETAILED_INFORMATION,
	ACTIVATION_CONTEXT_DETAILED_INFORMATION,
	ACTIVATION_CONTEXT_QUERY_INDEX, ASSEMBLY_FILE_DETAILED_INFORMATION):
	Add structures.

	* lib/user32.def (AddRefActCtx, AddVectoredExceptionHandler,
	CreateActCtx[AW], SetComputerNameEx[AW], SetDllDirectory[AW],
	SetFileShortName[AW], SetFileValidData,
	SetFirmwareEnvironmentVariable[AW], UnregisterWaitEx,
	VerSetConditionMask, ZombifyActCtx, QueryActCtxW): Add functions.

2003-10-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h (GetWriteWatch, IsSystemResumeAutomatic,
	ResetWriteWatch): Add function.

	* include/winbase.h [_WIN32_WINNT >= 0x0500]
	(GetSystemWindowsDirectory[AW], ProcessIdToSessionId, ReplaceFile[AW]):
	Add functions.

	* include/winbase.h [_WIN32_WINNT >= 0x0501]
	(GetSystemWow64Directory[AW], HeapQueryInformation,
	HeapSetInformation, InitializeSListHead, InterlockedFlushSList,
	InterlockedPopEntrySList, InterlockedPushEntrySList, IsProcessInJob,
	IsWow64Process, QueryMemoryResourceNotification, ReleaseActCtx,
	RemoveVectoredExceptionHandler): Add functions.

	* include/winnt.h [_WIN32_WINNT >= 0x0501] (HEAP_INFORMATION_CLASS):
	Add enumeration.

	* include/winbase.h [_WIN32_WINNT >= 0x0502] (GetThreadIOPendingFlag):
	Add function.

	* include/winbase.h [_WIN32_WINNT >= 0x0510] (RestoreLastError):
	Add function. The MSDN Magazine of June 2003 reads:
		RestoreLastError is an enigma. It's code is identical to
		SetLastError. It's unclear to me why it was made into a
		separate API.

	* lib/user32.def (GetSystemWindowsDirectory[AW],
	GetSystemWow64Directory[AW], GetThreadIOPendingFlag,
	HeapQueryInformation, HeapSetInformation, InitializeSListHead,
	InterlockedFlushSList, InterlockedPopEntrySList,
	InterlockedPushEntrySList, IsSystemResumeAutomatic, IsWow64Process,
	ProcessIdToSessionId, QueryMemoryResourceNotification, ReleaseActCtx,
	RemoveVectoredExceptionHandler, ReplaceFile[AW], ResetWriteWatch,
	RestoreLastError): Add functions.

2003-10-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h [_WIN32_WINNT >= 0x0500] (GetComputerNameEx[AW],
	GetProcessIoCounters): Add functions.

	* include/winbase.h [_WIN32_WINNT >= 0x0500] (COMPUTER_NAME_FORMAT):
	Move around, needed by GetComputerNameEx.

	* include/winbase.h [_WIN32_WINNT >= 0x0501] (FindActCtxSectionGuid,
	FindActCtxSectionString[AW], GetCurrentActCtx, GetNativeSystemInfo):
	Add functions.

	* include/winbase.h [_WIN32_WINNT >= 0x0501]
	(ACTCTX_SECTION_KEYED_DATA): Add structure.

	* include/winbase.h [_WIN32_WINNT >= 0x0502] (GetDllDirectory[AW],
	GetFirmwareEnvironmentVariable[AW], GetProcessHandleCount,
	GetProcessId, GetSystemRegistryQuota): Add functions, available on
	Windows XP SP1 and better.

	* include/winnt.h [_WIN32_WINNT >= 0x0501]
	(ACTIVATION_CONTEXT_SECTION_ASSEMBLY_INFORMATION,
	ACTIVATION_CONTEXT_SECTION_DLL_REDIRECTION,
	ACTIVATION_CONTEXT_SECTION_WINDOW_CLASS_REDIRECTION,
	ACTIVATION_CONTEXT_SECTION_COM_SERVER_REDIRECTION,
	ACTIVATION_CONTEXT_SECTION_COM_INTERFACE_REDIRECTION,
	ACTIVATION_CONTEXT_SECTION_COM_TYPE_LIBRARY_REDIRECTION,
	ACTIVATION_CONTEXT_SECTION_COM_PROGID_REDIRECTION,
	ACTIVATION_CONTEXT_SECTION_CLR_SURROGATES): Add constants.

	* lib/user32.def (FindActCtxSectionGuid, FindActCtxSectionString[AW],
	GetComputerNameEx[AW], GetCurrentActCtx, GetDllDirectory[AW],
	GetFirmwareEnvironmentVariable[AW], GetModuleHandleEx[AW],
	GetNativeSystemInfo, GetProcessHandleCount, GetProcessIoCounters):
	Add functions.

2003-10-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h [_WIN32_WINNT >= 0x0501]
	(CheckRemoteDebuggerPresent, DebugActiveProcessStop, DebugBreakProcess,
	DebugSetProcessKillOnExit): Add functions.

	* include/winbase.h [_WIN32_WINNT >= 0x0500] (DeleteTimerQueue,
	DeleteTimerQueueEx, DeleteTimerQueueTimer,
	DnsHostnameToComputerName[AW]): Add functions.

	* lib/user32.def (CheckRemoteDebuggerPresent, DebugActiveProcessStop,
	DebugBreakProcess, DebugSetProcessKillOnExit, DeleteTimerQueueEx,
	DeleteTimerQueueTimer, DnsHostnameToComputerName[AW]): Add functions.

2003-10-07  Kobun Fujimori  <kobun@users.sourceforge.net>

	* include/winbase.h (GetVolumePathNamesForVolumeName): Available
	on Windows XP and later.

2003-10-07  Manu B  <manubee@users.sourceforge.net>

	* include/commctrl.h (TreeView_Select): Returns BOOL.

2003-10-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h (CancelDeviceWakeupRequest): Add function.

	* include/winbase.h [_WIN32_WINNT >= 0x0501]
	(CreateMemoryResourceNotification, DeactivateActCtx): Add functions.

	* include/winbase.h [_WIN32_WINNT >= 0x0500] (CreateTimerQueue,
	CreateTimerQueueTimer): Add function.

	* include/winbase.h [_WIN32_WINNT >= 0x0501]
	(MEMORY_RESOURCE_NOTIFICATION_TYPE): Add enumeration.

	* include/winbase.h [_WIN32_WINNT >= 0x0501]
	(DEACTIVATE_ACTCTX_FLAG_FORCE_EARLY_DEACTIVATION): Add constant.

	* include/winnt.h (WT_*): Add constants.

	* lib/user32.def (CancelDeviceWakeupRequest,
	CreateMemoryResourceNotification, CreateTimerQueueTimer,
	DeactivateActCtx): Add functions.

2003-10-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h [_WIN32_WINNT >= 0x0400] (ConvertFiberToThread):
	Add function. Sometimes I don't understand MSDN. This function is
	available on Windows XP and Server 2003, but the SDK is supposed to
	make it available when _WIN32_WINNT >= 0x0400, or so says the MSDN.
	Mmmh...

	* include/winbase.h [_WIN32_WINNT >= 0x0400] (CreateFiberEx):
	Guard function. Same remark as above.

	* lib/user32.def (ConvertFiberToThread, CreateFiberEx):
	Add functions.

2003-10-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h [_WIN32_WINNT >= 0x0501] (ACTCTX_FLAG_*):
	Add constants.

	* include/winbase.h [_WIN32_WINNT >= 0x0501] (ACTCTX[AW]): Add
	structures.

	* include/winbase.h [_WIN32_WINNT >= 0x0501] (ActivateActCtx): Add
	function. MSDN says the first argument is HACTCTX but I'm not sure
	where such a specialized handle is defined, so use HANDLE instead.

	* include/winbase.h [_WIN32_WINNT >= 0x0501] (AttachConsole,
	CheckNameLegalDOS8Dot3[AW]): Add functions.

	* lib/user32.def (ActivateActCtx, AttachConsole,
	CheckNameLegalDOS8Dot3[AW]): Add functions.

	* lib/user32.def (AddLocalAlternateComputerName[AW]): Add functions.
	Unfortunately I don't know which header to put the declarations in.

2003-10-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnls.h (CTRY_KYRGYZSTAN, CTRY_MALDIVES, CTRY_MONGOLIA):
	Add constants.

	* include/winnls.h (NLS_FUNCTION, SYSGEOCLASS, SYSGEOTYPE): Add
	constants for National Language Support.

	* include/winnls.h (NLSVERSIONINFO): Add structure for National
	Language Support.

	* include/winnls.h (GEO_ENUMPROC): Add callback for National
	Language Support.

	* include/winnls.h (EnumSystemGeoID, GetCalendarInfo[AW],
	GetGeoInfo[AW], GetUserGeoID, SetCalendarInfo[AW], SetUserGeoID):
	Add functions.

	* include/winnls.h (IsNLSDefinedString, GetNLSVersion): Add
	functions. Strange... I am unable to find which library contains
	these functions. Can't find anything with pexports. Any clue?

	* lib/user32.def (EnumSystemGeoID, GetGeoInfo[AW], GetUserGeoID,
	SetUserGeoID): Add functions.

2003-10-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnt.h (LANG_KYRGYZ, LANG_MONGOLIAN, LANG_GALICIAN,
	LANG_SYRIAC, LANG_INVARIANT, SUBLANG_KASHMIRI_SASIA): Add constants.

	* include/winnt.h (SUBLANG_AZERI_LATIN, SUBLANG_AZERI_CYRILLIC,
	SUBLANG_ENGLISH_ZIMBABWE, SUBLANG_ENGLISH_PHILIPPINES): Fix wrong
	value for constants.

2003-10-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wincrypt.h (SCHANNEL_MAC_KEY, SCHANNEL_ENC_KEY,
	INTERNATIONAL_USAGE, KP_SCHANNEL_ALG): Add constants. Specifying
	the algorithms.

2003-10-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wincrypt.h (CRYPT_FLAGS_*): Add constants. Protocol flags.

2003-10-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wincrypt.h (KP_*): Add constants. Needed by
	CryptSetKeyParam() and other functions.

2003-10-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [_WIN32_WINNT >= 0x0501] (EVENT_*, CONSOLE_*):
	Add constants, related to Console Accessibility.

2003-10-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [WINVER >= 0x0500] (EVENT_MAX): Ooops...
	wrong value for constant.

2003-10-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [WINVER >= 0x0500] (EVENT_*): Add constants.

	* include/uxtheme.h: Cleanup.
	* include/tmschema.h: Cleanup.

2003-10-02  Luke Dunstan  <infidel@users.sourceforge.net>

	* include/winspool.h (GetDefaultPrinter[AW]): Add functions.
	* lib/winspool.def (GetDefaultPrinter[AW]): Add stubs.

2003-10-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (INVALID_FILE_ATTRIBUTES): Fix define.

2003-09-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (BSF_*, BSM_*):  Sync constants defined in
	both winuser.h and dbt.h.
	* include/dbt.h (BSF_*, BSM_*): Likewise.

	* include/winuser.h (struct tagRAWINPUT): Remove
	_ANONYMOUS_UNION tag from named union.
	(struct tagRAWMOUSE): Add _ANONYMOUS_STRUCT to nameless struct.

2003-09-30  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/dhcpcdsk.h: New file.
	Note that MSDN is confused about whether it should start constant
	and structure names with DHCPCAPI or DHCPAPI. It's using both but
	experience suggests it's DHCPCAPI with `C'.

	* lib/dhcpcsvc.def: New file.

2003-09-30  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [_WIN32_WINNT >= 0x0501] (RIM_INPUT,
	RIM_INPUTSINK): Add constants, for use by WM_INPUT notification.

	* include/winuser.h [_WIN32_WINNT >= 0x0501] (RIDEV_REMOVE,
	RIDEV_EXCLUDE, RIDEV_PAGEONLY, RIDEV_NOLEGACY, RIDEV_INPUTSINK,
	RIDEV_CAPTUREMOUSE, RIDEV_NOHOTKEYS, RIDEV_APPKEYS): Add constants,
	for use in RAWINPUTDEVICE.

	* include/winuser.h [_WIN32_WINNT >= 0x0501]
	(GetRawInputDeviceInfo[AW]): Ooops... there are
	ANSI/Unicode versions of this function.

	* lib/user32.def (GetRawInputDeviceInfo[AW]): Ooops... there
	are ANSI/Unicode versions of this function.

2003-09-29  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [_WIN32_WINNT >= 0x0501] (RIM_TYPEMOUSE,
	RIM_TYPEKEYBOARD, RIM_TYPEHID, MOUSE_MOVE_RELATIVE,
	MOUSE_MOVE_ABSOLUTE, MOUSE_VIRTUAL_DESKTOP,
	MOUSE_ATTRIBUTES_CHANGED, RI_MOUSE_LEFT_BUTTON_DOWN,
	RI_MOUSE_LEFT_BUTTON_UP, RI_MOUSE_RIGHT_BUTTON_DOWN,
	RI_MOUSE_RIGHT_BUTTON_UP, RI_MOUSE_MIDDLE_BUTTON_DOWN,
	RI_MOUSE_MIDDLE_BUTTON_UP, RI_MOUSE_BUTTON_1_DOWNT_BUTTON_DOWN,
	RI_MOUSE_BUTTON_1_UP, RI_MOUSE_BUTTON_2_DOWNHT_BUTTON_DOWN,
	RI_MOUSE_BUTTON_2_UP, RI_MOUSE_BUTTON_3_DOWNDLE_BUTTON_DOWN,
	RI_MOUSE_BUTTON_3_UP, RI_MOUSE_BUTTON_4_DOWN,
	RI_MOUSE_BUTTON_4_UP, RI_MOUSE_BUTTON_5_DOWN,
	RI_MOUSE_BUTTON_5_UP, RI_MOUSE_WHEEL, KEYBOARD_OVERRUN_MAKE_CODE,
	RI_KEY_MAKE, RI_KEY_BREAK, RI_KEY_E0, RI_KEY_E1,
	RI_KEY_TERMSRV_SET_LED, RI_KEY_TERMSRV_SHADOW, RID_INPUT,
	RID_HEADER, RIDI_PREPARSEDDATA, RIDI_DEVICENAME, 
	RIDI_DEVICEINFO): Add constants.

	* include/winuser.h [_WIN32_WINNT >= 0x0501] (RAWINPUTHEADER,
	RAWMOUSE, RAWKEYBOARD, RAWHID, RAWINPUT, RAWINPUTDEVICE,
	RAWINPUTDEVICELIST): Add structures.

	* include/winuser.h [_WIN32_WINNT >= 0x0501] (DefRawInputProc,
	GetRawInputBuffer, GetRawInputData, GetRawInputDeviceInfo,
	GetRawInputDeviceList, GetRegisteredRawInputDevices): Add functions.

	* lib/user32.def (DefRawInputProc, GetRawInputBuffer,
	GetRawInputData, GetRawInputDeviceInfo, GetRawInputDeviceList,
	GetRegisteredRawInputDevices): Add functions.

2003-09-26  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winable.h (BlockInput): Add function.

	* include/winable.h (WS_ACTIVECAPTION): Add constant.
	For use with WINDOWINFO structure.

	* include/winuser.h [_WIN32_WINNT >= 0x0500] (LockWorkStation):
	Add function.

	* include/winuser.h [_WIN32_WINNT >= 0x0501] (IsWinEventHookInstalled):
	Add function.

	* include/winuser.h [WINVER >= 0x0500] (UnhookWinEvent):
	Add function...

	* include/winable.h [WINVER < 0x0500] (UnhookWinEvent):
	...and duplicate.

	* include/winuser.h [_WIN32_WINNT >= 0x0403] (SendInput):
	Guard function...

	* include/winable.h [_WIN32_WINNT < 0x0403] (SendInput):
	...and duplicate.

	* include/winuser.h [WINVER >= 0x0500] (NotifyWinEvent):
	Guard function...

	* include/winable.h [WINVER < 0x0500] (NotifyWinEvent):
	...and duplicate.

	* include/winuser.h [WINVER >= 0x0500] (MOUSEINPUT, KEYBDINPUT,
	HARDWAREINPUT, INPUT): Guard structures...

	* include/winable.h [WINVER < 0x0500] (MOUSEINPUT, KEYBDINPUT,
	HARDWAREINPUT, INPUT): ...and duplicate.

	* include/winuser.h [_WIN32_WINNT >= 0x0403] (INPUT_MOUSE,
	INPUT_KEYBOARD, INPUT_HARDWARE): Guard constants...

	* include/winable.h [_WIN32_WINNT < 0x0403] (INPUT_MOUSE,
	INPUT_KEYBOARD, INPUT_HARDWARE): ...and duplicate.

	* include/winuser.h: Move around some lines. Reformat according
	to recommended or dominant style. Remove FAR keyword.

	* include/winable.h: Move around some lines.

	* lib/user32.def (BlockInput, IsWinEventHookInstalled,
	LockWorkStation, UnhookWinEvent): Add functions.

2003-09-26  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [_WIN32_WINNT >= 0x0501] (PrintWindow,
	PW_CLIENTONLY): Add function and constant.

	* lib/user32.def (PrintWindow): Add function.

2003-09-26  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (RealGetWindowClassA[AW]): Add function.

	* lib/user32.def (RealGetWindowClassA[AW]): Add function.

2003-09-26  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [WINVER >= 0x0500] (RegisterDeviceNotification[AW],
	DEVICE_NOTIFY_WINDOW_HANDLE, DEVICE_NOTIFY_SERVICE_HANDLE,
	DEVICE_NOTIFY_ALL_INTERFACE_CLASSES): Add function and constants.

	* lib/user32.def (RegisterDeviceNotification[AW]): Add function.

2003-09-26  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [WINVER >= 0x0500] (SetWinEventHook, WINEVENTPROC,
	WINEVENT_OUTOFCONTEXT, WINEVENT_SKIPOWNTHREAD, WINEVENT_SKIPOWNPROCESS,
	WINEVENT_INCONTEXT): Add function, typedef, and constants.

	* include/winable.h [WINVER < 0x0500] (SetWinEventHook, WINEVENTPROC,
	WINEVENT_OUTOFCONTEXT, WINEVENT_SKIPOWNTHREAD, WINEVENT_SKIPOWNPROCESS,
	WINEVENT_INCONTEXT): Add function, typedef, and constants.

	* include/winuser.h [_WIN32_WINNT >= 0x0500] (UserHandleGrantAccess):
	Add function.

	* lib/user32.def (SetWinEventHook, UserHandleGrantAccess):
	Add functions.

2003-09-26  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnt.h (ACE_INHERITED_OBJECT_TYPE_PRESENT,
	ACE_OBJECT_TYPE_PRESENT): Add constants.
	For use with OBJECTS_AND_NAME structure.

2003-09-26  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/aclapi.h [_WIN32_WINNT >= 0x0501] (GetInheritanceSource[AW]):
	Add functions. Don't know what PFN_OBJECT_MGR_FUNCTS is so use
	void* instead.

	* include/accctrl.h [_WIN32_WINNT >= 0x0501] (INHERITED_FROM[AW],
	PINHERITED_FROM[AW]): Add structures.

	* lib/user32.def (GetInheritanceSource[AW]): Add functions.

2003-09-26  Corinna Vinschen  <corinna@vinschen.de>

	* include/winuser.h (FLASHWINFO, PFLASHWINFO): Define for 98/Me, too.

2003-09-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/version.def (LIBRARY): Quote name.

2003-09-25  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (GetClipboardSequenceNumber): Add functions
	and constants.

	* include/winuser.h (GetGuiResources, GR_GDIOBJECTS,
	GR_USEROBJECTS): Add functions and constants.

	* include/winuser.h (GetMouseMovePointsEx, GMMP_USE_DISPLAY_POINTS,
	GMMP_USE_HIGH_RESOLUTION_POINTS): Add functions and constants.

	* include/winuser.h (InSendMessageEx, ISMEX_NOSEND, ISMEX_CALLBACK,
	ISMEX_NOTIFY, ISMEX_REPLIED, ISMEX_SEND): Add functions and
	constants.

	* lib/user32.def (GetClipboardSequenceNumber, GetGuiResources,
	GetMouseMovePointsEx, InSendMessageEx): Add functions.

2003-09-25  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (BroadcastSystemMessage, BroadcastSystemMessageA,
	BroadcastSystemMessageW, BroadcastSystemMessageEx,
	BroadcastSystemMessageExA, BroadcastSystemMessageExW,
	BSMINFO, BSF_ALLOWSFW, BSF_SENDNOTIFYMESSAGE, BSF_LUID,
	BSF_RETURNHDESK): Add functions and constants.

	* include/winuser.h (EnumDisplaySettingsEx, EnumDisplaySettingsExA,
	EnumDisplaySettingsExW, EDS_RAWMODE): Add functions and constant.

	* include/winuser.h (IsGUIThread, IsHungAppWindow, FlashWindowEx,
	GetProcessDefaultLayout, SetProcessDefaultLayout,
	RealChildWindowFromPoint, SetProcessDefaultLayout,
	SwitchToThisWindow): Add functions.

	* lib/user32.def (BroadcastSystemMessageA, BroadcastSystemMessageW,
	BroadcastSystemMessageExA, BroadcastSystemMessageExW,
	EnumDisplaySettingsExA, EnumDisplaySettingsExW, FlashWindowEx,
	GetProcessDefaultLayout, IsGUIThread, IsHungAppWindow,
	RealChildWindowFromPoint, SetProcessDefaultLayout,
	SwitchToThisWindow): Add function.

2003-09-25  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (DeregisterShellHookWindow): Add function.

	* include/winuser.h [_WIN32_WINNT >= 0x0500] (EndTask): Add function.

	* lib/user32.def (EndTask): Add function.

	* include/winuser.h (WINVER, _WIN32_WINNT): It's better (?) to
	use _WIN32_WINNT instead of WINVER to test for Windows 2000.

	* include/winable.h: Reorder target macros.

	* lib/*.def: Cleanup.

2003-09-25  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [WINVER >= 0x0500] (AnimateWindow): Add
	function.

	* lib/user32.def (AnimateWindow): Add function. By the way
	there are ~ 140 symbols missing from this file when comparing
	to user32.dll on Windows XP.

2003-09-25  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [WINVER >= 0x0500] (AW_SLIDE, AW_ACTIVATE,
	AW_BLEND, AW_HIDE, AW_CENTER, AW_HOR_POSITIVE, AW_HOR_NEGATIVE,
	AW_VER_POSITIVE, AW_VER_NEGATIVE): Add constants. For use by
	AnimateWindow().

2003-09-25  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [WINVER >= 0x0500] (GetGUIThreadInfo,
	LPGUITHREADINFO): Add function and associated typedef...

	* include/winable.h [WINVER < 0x0500] (GetGUIThreadInfo,
	LPGUITHREADINFO): ...and duplicate them in <winable.h> as
	seems to be required on older versions of Windows.

2003-09-24  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/GL/glu.h (gluErrorUnicodeStringWIN): Add macro
	function. MSDN suggests using gluErrorUnicodeStringWIN
	instead of gluErrorString, as it allows both ANSI and Unicode
	error strings.

	* include/GL/glu.h (gluErrorUnicodeStringEXT): Make the
	returned pointer const for consistency reasons.

2003-09-24  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/GL/glu.h (gluErrorUnicodeStringEXT): Add function.
	Function exists in glu32.def but is undocumented on MSDN.
	A Google search came up with this declaration.

2003-09-24  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/GL/glu.h: Rewritten from scratch. Started from GLU 1.3
	headers from OpenGL Sample Implementation. Windows ships with
	GLU 1.2 so some constants and functions were removed. Then some
	typedef's and function declarations were reworked to look like
	the previous GL/glu.h.

2003-09-24  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/uxtheme.h (PROPERTYORIGIN): the documentation of
	PROPERTYORIGIN suggests it's `PROPERTYORIGIN' but experimentation
	suggests it's actually `enum PROPERTYORIGIN'. Keep both.

	* include/uxtheme.h (THEME_SIZE, THEMESIZE): MSDN suggests
	it's either `THEME_SIZE' or `THEMESIZE' but experimentation
	suggests it's actually `enum THEMESIZE'. Keep `THEME_SIZE'
	and `enum THEMESIZE'.

2003-09-24  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/uxtheme.h: New file.
	* include/tmschema.h: New file.
	* include/uxtheme.def: New file.
	* lib/test.c: Include uxtheme.h, tmschema.h.

2003-09-23  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (KEYEVENTF_UNICODE, KEYEVENTF_SCANCODE):
	Add defines.

2003-09-23  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winable.h [_WIN32_WINNT < 0x0403] (INPUT_MOUSE,
	INPUT_KEYBOARD, INPUT_HARDWARE): Duplicate defines in
	<winable.h> as seems to be required on older versions of
	Windows.

2003-09-23  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [WINVER >= 0x0500] (CHILDID_SELF,
	GUI_CARETBLINKING, GUI_INMOVESIZE, GUI_INMENUMODE,
	GUI_SYSTEMMENUMODE, GUI_POPUPMENUMODE, GUI_16BITTASK):
	Add defines, the last one only on Windows XP...

	* include/winable.h [WINVER < 0x0500] (CHILDID_SELF,
	GUI_CARETBLINKING, GUI_INMOVESIZE, GUI_INMENUMODE,
	GUI_SYSTEMMENUMODE, GUI_POPUPMENUMODE): ...and duplicate
	them in <winable.h> as seems to be required on older
	versions of Windows.

2003-09-23  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h [WINVER >= 0x0500] (GUITHREADINFO,
	OBJID_WINDOW, OBJID_SYSMENU, OBJID_TITLEBAR, OBJID_MENU,
	OBJID_CLIENT, OBJID_VSCROLL, OBJID_HSCROLL, OBJID_SIZEGRIP,
	OBJID_CARET, OBJID_CURSOR, OBJID_ALERT, OBJID_SOUND): Bring
	back into <winuser.h>...

	* include/winable.h [WINVER < 0x0500] (GUITHREADINFO,
	OBJID_WINDOW, OBJID_SYSMENU, OBJID_TITLEBAR, OBJID_MENU,
	OBJID_CLIENT, OBJID_VSCROLL, OBJID_HSCROLL, OBJID_SIZEGRIP,
	OBJID_CARET, OBJID_CURSOR, OBJID_ALERT, OBJID_SOUND): ...and
	comment out in <winable.h>. MSDN may say <winable.h> but this
	breaks many programs. It seems it used to be <winable.h> on
	older versions of Windows.

2003-09-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (UpdateLayeredWindow): Protect against NOGDI.
	Thanks to Will Levine  <willll@users.sourceforge.net>

2003-09-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ws2spi.h (LPWSPBIND): Change CONST LPSOCKADDR to
	const struct sockaddr*.
	(LPWSPCONNECT): Likewise.
	(LPWSPJOINLEAF): Likewise.
	(LPWSPSENDTO): Likewise.
	Tanks to Sebastian Nowak  <snowak1@users.spourceforge.net>

2003-09-15  Filip Navara  <xnavara@volny.cz>

	* include/commctrl.h (TCIS_BUTTONPRESSED, TCIS_HIGHLIGHTED):
	Add definitions.

2003-09-15  Sascha Brawer  <brawer@dandelis.ch>

	* include/winuser.h (DISPLAY_DEVICE_ATTACHED_TO_DESKTOP,
	DISPLAY_DEVICE_PRIMARY_DEVICE, DISPLAY_DEVICE_MIRRORING_DRIVER,
	DISPLAY_DEVICE_VGA_COMPATIBLE, DISPLAY_DEVICE_REMOVABLE,
	DISPLAY_DEVICE_MODESPRUNED): Define constants.
	(ChangeDisplaySettingsEx[A,W]): Add prototype.

	* lib/user32.def (ChangeDisplaySettingsEx[A,W]): Add exports.
	(EnumDisplayDevices[A,W]): Likewise.

2003-09-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* include.commctrl.h (_WIN32_WINNT): Change _WXP to 0x0501,
	throughout.

2003-09-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/olectl.h (TEXTMETRICOLE, LPERRORLOG, LPPROPERTYBAG,
	LPENUMCONNECTIONPOINTS, LPCONNECTIONPOINT, LPENUMCONNECTIONS,
	LPPROPERTYPAGESITE, LPFONT, LPFONTDISP, OLE_COLOR, HIMETRIC,
	OLE_YPOS_HIMETRIC, OLE_XSIZE_HIMETRIC, OLE_YSIZE_HIMETRIC,
	OLE_YSIZE_CONTAINER, OLE_HANDLE, POINTF,LPPOINTF, CONTROLINFO,
	LPCONTROLINFO, CONNECTDATA, LPCONNECTDATA, LICINFO, LPLICINFO,
	CAUUID, LPCAUUID, CALPOLESTR, LPCALPOLESTR, CADWORD, LPCADWORD,
	PROPPAGEINFO, LPPROPPAGEINFO): Remove from here ...
	* include/ocidl.h: (TEXTMETRICOLE, LPERRORLOG, LPPROPERTYBAG,
	LPENUMCONNECTIONPOINTS, LPCONNECTIONPOINT, LPENUMCONNECTIONS,
	LPPROPERTYPAGESITE, LPFONT, LPFONTDISP, OLE_COLOR, HIMETRIC,
	OLE_YPOS_HIMETRIC, OLE_XSIZE_HIMETRIC, OLE_YSIZE_HIMETRIC,
	OLE_YSIZE_CONTAINER, OLE_HANDLE, POINTF, LPPOINTF, CONTROLINFO,
	LPCONTROLINFO, CONNECTDATA, LPCONNECTDATA, LICINFO, LPLICINFO,
	CAUUID, LPCAUUID, CALPOLESTR, LPCALPOLESTR, CADWORD, LPCADWORD,
	PROPPAGEINFO, LPPROPPAGEINFO): ... to here, for consistency
	with documentation.
	* include/olectl.h: Do #include <ocidl.h>.
	* include/ocidl.h: Don't #include <olectl.h>.

2003-09-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (_WIN32_WINNT, _WIN32_WINDOWS, WINVER):
	Change guards to use numeric constants, throughout.

2003-09-15  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Increment version to 2.5.
	* Makefile.in: Ditto.

2003-09-08  Justin Forest <vhex@users.sourceforge.net>

	* include/winuser.h (PM_QS_INPUT, PM_QS_POSTMESSAGE,
	PM_QS_PAINT, PM_QS_SENDMESSAGE): Add defines.

2003-09-08  Filip Navara  <xnavara@volny.cz>

	* include/wingdi.h (GRADIENT_FILL_RECT_H, GRADIENT_FILL_RECT_V,
	GRADIENT_FILL_TRIANGLE, GRADIENT_FILL_OP_FLAG): Add defines.

2003-09-05  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h (_NT5, etc): Reverse the changes of 2003-07-01.
	* include/winbase.h (_NT5, etc): Ditto.
	
2003-09-02  Bart Oldeman  <bartoldeman@users.sourceforge.net>

	* lib/snmpapi.def (LIBRARY) Add library name.
	Remove '\r', throughout.
	* lib/wsnmp32.def: Remove '\r', throughout.
	* lib/igmpagnt.def: Likewise.

2003-08-29  Steve Cleary  <scleary@jerviswebb.com>

	* include/winuser.h (QS_ALLPOSTMESSAGE, QS_RAWINPUT): Add defines.
	(QS_INPUT, QS_ALLINPUT, QS_ALLEVENTS): Adjust by OR'ing	with
	QS_RAWINPUT for _WIN32_WINNT >= 0x0501.
	(MWMO_*): Add flags.

	* include/wincrypt.h (MS_ENHANCED_PROV[AW], MS_STRONG_PROV[AW],
	MS_DEF_RSA_SIG_PROV[AW], MS_DEF_RSA_SCHANNEL_PROV[AW],
	MS_DEF_DSS_PROV[AW], MS_DEF_DSS_DH_PROV[AW], MS_ENH_DSS_DH_PROV[AW],
	MS_DEF_DH_SCHANNEL_PROV[AW], MS_SCARD_PROV[AW]): Add definitions.

2003-08-26  Danny Smith <dannysmith@users.sourceforge.net>

	* lib/test.c: Add vfw.h to includes.
	* include/mmsystem.h: Add #ifndef guard to definition of
	mmioFOURCC macro.
	* include/vfw.h: Protect __OBJC__ from COM declarations.

2003-08-26  Filip Navara  <xnavara@volny.cz>

	* include/vfw.h: New file.

2003-08-26  Filip Navara  <xnavara@volny.cz>

	* include/ddk/winddk.h (RTL_REGISTRY_*): Add defines.
	(IoSetCompletionRoutine): Cast _CompletionRoutine arg to
	PIO_COMPLETION_ROUTINE.

2003-08-26  Danny Smith <dannysmith@users.sourceforge.net>

	* lib/test.c: Add snmp.h, winsnmp.h amd mgmtapi.h to
	includes.

2003-08-26  Filip Navara  <xnavara@volny.cz>

	* include/snmp.h: New file.
	* include/winsnmp.h: New file.
	* include/mgmtapi.h: New file.
	* lib/snmpapi.def: New file.
	* lib/wsnmp32.def: New file.
	* lib/igmpagnt.def: New file.
	* lib/mgmtapi.def (SnmpMgrCtl) Add stub.
	(SnmpMgrGetTrapEx): Ditto.
	(SnmpMgrMIB2Disk): Remove.
	(dbginit): Remove.

2003-08-25  Steven Edwards  <Steven_Ed4153@yahoo.com>

	* include/ddk/ntifs.h: Change all C++ style comments to C.
	* include/GL/gl.h: Ditto.

2003-08-25  Martin Fuchs  <Martin-Fuchs@gmx.net>

	* include/shlobj.h (SFGAO_GHOSTED): Correct.
	(SFGAO_HIDDEN): Add define.

2003-08-25  Filip Navara  <xnavara@volny.cz>

	* include/commctrl.h (ILCF_*): Add defines.
	(ILD_*): Ditto.
	(HDS_*): Ditto.
	(IPN_FIRST, IPN_LAST): Cast to UINT.
	(SBN_FIRST, SBN_LAST): Add defines.
	(PGN_*): Ditto.
	(HDF_JUSTIFYMASK): Fix typo.
	(HDM_*): Add defines.
	(HICF_*): Ditto.
	(I_INDENTCALLBACK,I_IMAGENONE): Ditto.
	(TBSTATE_MARKED): Add define.
	(TBSTYLE_EX_*): Add defines.
	(TBCDRF_*): Ditto.
	(IDB_HIST_SMALL_COLOR,IDB_HIST_LARGE_COLOR): Ditto.
	(TB_*): Ditto.
	(TBN_*): Ditto.
	(TBNRF_*): Ditto.
	(TTF_*): Ditto.
	(TBCD_*): Ditto.
	(TBDDRET_*): Ditto.
	(TBIMHT_*): Ditto.
	(TTM_*): Ditto.
	(UDM_*): Ditto.
	(TBIF_BYINDEX): Define as hex constant.
	(CDIS_*): Add defines.
	(CDDS_SUBITEM): Add define.
	(LVIF_*): Add defines.
	(LVM_*): Ditto.
	(LVGIT_UNFOLDED): Add define.
	(TVM_): Add defines.
	(TVE_EXPANDPARTIAL): Add define.
	(TVGN_LASTVISIBLE): Ditto.
	(TVN_*): Add defines.
	(TVNRET_*): Add defines.
	(TCIF_STATE): Add define.
	(NM_TOOLTIPSCREATED): Ditto.
	(CCM_*): Add defines.
	(INFOTIPSIZE): Add numeric value.
	(ODT_LISTVIEW): Ditto.
	(MCM_GETMAXTODAYWIDTH): Ditto.
	(MCHT_*): Add defines.
	(UDM_SETRANGE32,UDM_GETRANGE32): Define in terms of WM_USER.
	(PGF_*): Add defines.
	(PGM_*): Ditto.
	(TBINSERTMARK): Add structure.
	(LPIMAGEINFO) Add typedef.
	(LPHDHITTESTINFO): Ditto.
	(NMLVGETINFOTIP[AW]: Add structures.
	(NMTBCUSTOMDRAW): Add structure.
	(TTTOOLINFOA_V*_SIZE): Add macros.
	(TTTOOLINFOW_V1_SIZE): Ditto.
	(IMAGELISTDRAWPARAMS): Add new members for WXP.
	(LVITEM[AW]: Ditto.
	(TCITEM[AW]):Ditto.
	(CCSIZEOF_STRUCT): Correct macro definition.
	(ListView_*): Add new macros.
	(HIMAGELIST): Correct typedef.
	(HTREEITEM): Ditto.

2003-08-25   Danny Smith <dannysmith@users.sourceforge.net>

	* commctrl.h (TC_HITTESTINFO): Remove. Add defines for
	TCHITTESTINFO for backward compatibility.
	(TC_ITEM[AW]): Rename to TCITEM[AW]. Add defines for backward
	compatibility.

2003-08-24   Danny Smith <dannysmith@users.sourceforge.net>

	* include/objidl.h (COBJMACROS): Define macros only
	if using C interace.
	* include/unknwn.h: Ditto.
	* include/comcat.h: Ditto.

2003-08-24  Filip Navara  <xnavara@volny.cz>

	* include/prsht.h (PSH_WIZARDHASFINISH, PSH_WIZARD_LITE,
	PSH_NOCONTEXTHELP): Define.
	(PSH_WIZARD97): Fix definition for _WIN32_IE >= 0x500.
	* include/winuser.h (DFCS_TRANSPARENT, DFCS_HOT): Define.
	(LPDLGTEMPLATE[AW]): Add typedefs.

2003-08-22  Filip Navara  <xnavara@volny.cz>

	* include/aclapi.h (BuildImpersonateExplicitAccessWithName[AW]):
	Add prototypes.
	BuildImpersonateTrustee[AW]): Add prototypes.
	GetMultipleTrustee[AW]): Add prototypes.
	GetMultipleTrusteeOperation[AW]): Add prototypes.

2003-08-22   Danny Smith <dannysmith@users.sourceforge.net>

        * include/winnt.h (IMAGE_SUBSYSTEM_XBOX): Add define.

2003-08-22  Mihai Preda <mihai_preda@users.sourceforge.net>

	* include/shlobj.h (IPersistFolder::GetClassID):
	Correct declaration.
	(CMF_*) Add missing defines.

2003-08-22   Danny Smith <dannysmith@users.sourceforge.net>

        * include/winuser.h (DC_BUTTONS): Add define.

2003-08-22  Andrew Greenwood  <lists@silverblade.co.uk>

        * include/winuser.h (DC_GRADIENT): Add define.

2003-08-22  Martin Fuchs  <Martin-Fuchs@gmx.net>

	* include/commctrl.h (BTNS_*): Define BTNS_* as successors to the
	older TBSTYLE_* constants.

2003-08-18  Danny Smith <dannysmith@users.sourceforge.net>

	* include/commctrl.h (TB_*) Group defines together.

2003-08-18  Martin Fuchs  <Martin-Fuchs@gmx.net>

	* include/winuser.h (ICON_SMALL2): Define.
	* include/commctrl.h (TB_SETBUTTONWIDTH, TB_SETDRAWTEXTFLAGS):
	Define.
	* include/shlobj.h (SHDRAGIMAGE): Define structure.
	(IDragSourceHelper) Define interface.
  	(IDropTargetHelper): Likewise.
	(IExtractIcon): Unicode it.
	(ICommDlgBrowser): Use IShellView type as param in OnDefaultCommand,
	OnStateChange and IncludeObject methods.

2003-08-17  Martin Fuchs  <Martin-Fuchs@gmx.net>

	* include/commctrl.h (TreeView_GetScrollTime,
	TreeView_SetScrollTime): Define macros.
	* include/winuser.h (GetShellWindow): Add prototype.
	* include/objidl.h (STGMEDIUM): Correct lpszFileName type.

2003-08-15  Martin Fuchs  <Martin-Fuchs@gmx.net>

	* include/shguid.h (CLSID_DragDropHelper, IID_IDropTargetHelper,
	IID_IDragSourceHelper): Declare.
	* lib/shell32.c (CLSID_DragDropHelper, IID_IDropTargetHelper,
	IID_IDragSourceHelper): Define.

2003-08-15  Andrew Greenwood  <lists@silverblade.co.uk>

	* include/wingdi.h (DEVMODE[AW]) Correct structure definition.
	* include/ddk/ntapi.h (LPC_TYPE): Add LPC_CONNECTION_REFUSED.
	* include/ddk/winddk.h (IRP_*): Add constants as anonymous enum.

2003-08-10  Danny Smith <dannysmith@users.sourceforge.net>

	* lib/uuid.c (CGID_Explorer, CGID_ShellDocView,
	CGID_ShellServiceObject): Remove definitions.
	* lib/shell32.c (CGID_ShellServiceObject): Add definition.

2003-08-10  Danny Smith <dannysmith@users.sourceforge.net>

	* include/shlobj.h (SHELLSTATE): Add structure.
	(SHGetSetSettings): Add prototype.
	(SHGetSettings): Add prototype.
	* lib/shell32.def (SHGetSetSettings): Add stub.

2003-08-10  Phil Krylov  <likewolf@users.sourceforge.net>

	* include/commctrl.h (HDM_ORDERTOINDEX): Add define.
	(Header_OrderToIndex): Add macro.
	(Header_GetOrderArray): Add macro.

	* include/commdlg.h (FR_MATCHALEFHAMZA,
	FR_MATCHDIAC, FR_MATCHKASHIDA): Add defines.

2003-08-10  Martin Fuchs  <Martin-Fuchs@gmx.net>

	* include/commctrl.h (TVM_GETSCROLLTIME,
	TVM_SETSCROLLTIME): Add defines.

2003-08-01  Danny Smith <dannysmith@users.sourceforge.net>

	* include/shlobj.h (SHELLFLAGSTATE): Add structure.
	(SHGetInstanceExplorer): Correct return type.
	(SHGetFolderPath[AW]): Likewise.
	Thanks to Magnus Olsen  <greatlord@sourceforge.users.net>
	for report.

2003-08-01  Danny Smith <dannysmith@users.sourceforge.net>

	* lib/test.c: Include winldap.h, ntldap.h, winber.h.

2003-08-01  Filip Navara  <xnavara@volny.cz>

	* include/winldap.h: New file.
	* include/ntldap.h: New file.
	* include/winber.h: New file.
	* lib/winldap32.def: New file.

2003-08-01  Danny Smith <dannysmith@users.sourceforge.net>

	* include/ddk/atm.h: Remove stray '.';

2003-08-01  Gisle Vanem  <gvanem@broadpark.no>

	* include/ddk/winddk.h: Remove trailing ';' from macros,
	throughout. Add () around defines with cast returns, throughout.

2003-07-31  Martin Fuchs  <Martin-Fuchs@gmx.net>

	* include/shlobj.h (SFGAO_COMPRESSED): Add define.
	(SFGAOF, SHGDNF): Add typedef's.
	(SHCONTF): Extend enum.

2003-07-31  Danny Smith <dannysmith@users.sourceforge.net>

	* include/shellapi.h: Include all structs within pshpack2.h/
	poppack.h block.

2003-07-26  Danny Smith <dannysmith@users.sourceforge.net>

	* include/winuser.h (ASFW_ANY, LSFW_LOCK, LSFW_UNLOCK,
	LWA_COLORKEY, LWA_ALPHA): Guard with _WIN32_WINNT,
	_WIN32_WINDOWS, not WINVER.
	(AllowSetForegroundWindow,LockSetForegroundWindow,
	SetLayeredWindowAttributes): Likewise.
	(GetLayeredWindowAttributes,UpdateLayeredWindow): Add prototypes.
	* lib/user32.def (GetLayeredWindowAttributes,UpdateLayeredWindow):
	Add stubs.

2003-07-26  Eric R. Krause  <ekrause_98@users.sourceforge.net>

	* include/objidl.h (IMalloc): Fix typo.

2003-07-24  Danny Smith <dannysmith@users.sourceforge.net>

	* include/dkk/ntifs.h: Fix typo in guard for
	#pragma GCC system_header.

2003-07-22  Danny Smith <dannysmith@users.sourceforge.net>

	* include/objidl.h (PropVariant): Add CHAR cVal field
	to union.
	(FMTID_SummaryInformation, FMTID_DocSummaryInformation,
	FMTID_UserDefinedProperties): Declare.

2003-07-22  Danny Smith <dannysmith@users.sourceforge.net>

	* include/winbase.h (GetModuleHandleEx[AW]): Add prototypes.

2003-07-22  Danny Smith <dannysmith@users.sourceforge.net>

	* include/winbase.h (DUPLICATE_CLOSE_SOURCE,
	DUPLICATE_SAME_ACCESS): Remove defines.
	(HANDLE_FLAG_INHERIT, HANDLE_FLAG_PROTECT_FROM_CLOSE): Sync with
	ddk/ntapi.h defines.
	(SEM_*) : Likewise.
	* include/winnt.h (COMPRESSION_*, ACCESS_*, SYSTEM_*): Sync with 
	ddk/ntifs.h defines.
	(FILE_*): Likewise.
	(MEM_IMAGE, SEC_*): Likewise.
	(DUPLICATE_CLOSE_SOURCE, DUPLICATE_SAME_ACCESS, 
	DUPLICATE_SAME_ATTRIBUTES): Sync with ddk/winddk.h defines.
	(TOKEN_*): Sync with ddk/ntifs.h defines.
	* include/ddk/ntapi.h: Add comments noting definitions in
	winbase.h.
	* include/ddk/ntifs.h: Add comments noting definitions in
	winnt.h.
	* include/ddk/winddk.h: Add comments noting definitions in
	winnt.h.
 
2003-07-18  Danny Smith <dannysmith@users.sourceforge.net>

	* include/winnt.h (FILE_*): Sync with ddk/winddk.h.
	* include/winioctl.h (FILE_*): Sync with ddk/winddk.h.

2003-07-17  Pierre Humblet  <pierre.humblet@ieee.org>

	* include/mmsystem.h (TIME_KILL_SYNCHRONOUS): Add define.

2003-07-17  Danny Smith <dannysmith@users.sourceforge.net>

	Clean up warnings in ddk.

	* include/ddk/atm.h (_ATM_AAL_OOB_INFO): Add _ANONYMOUS_UNION,
	conditional on  __cplusplus.
	* include/ddk/scsi.h: Add _ANONYMOUS_UNION and _ANONYMOUS_STRUCT
	defines, throughout.
	(_CDB): Add _ANONYMOUS_UNION, conditional on __cplusplus.
	* include/ddk/cfg.h (_PNP_VETO_TYPE): Remove extra comma.
	* include/ddk/cfgmgr32.h: Change C++ comment style to ISO C.
	* include/ddk/ddkmapi.h (_DDLOCKOUT): Add _ANONYMOUS_UNION defines.
	* include/ddk/hidpi.h: Add _ANONYMOUS_UNION and _ANONYMOUS_STRUCT
	defines, throughout.
	* include/ddk/ndis.h: Add _ANONYMOUS_UNION and _ANONYMOUS_STRUCT
	defines, throughout. Remove trailing semicolon from *_S 'structure'
	macro expansion, throughout. Remove trailing semicolon from
	DECLARE_UNKNOWN_STRUCT macro expansion.
	* include/ddk/ndiswan.h (_NDIS_WAN_COMPRESS_INFO): Add
	_ANONYMOUS_UNION.
	* include/ddk/ntapi.h (_PROCESS_DEVICEMAP_INFORMATION,
	_PROCESS_SESSION_INFORMATION): Add _ANONYMOUS_UNION.
	* include/ddk/ntddcdrm.h (CDROM_TOC_CD_TEXT_DATA_BLOCK): 
	Add _ANONYMOUS_UNION.
	* include/ddk/ntdddisk.h: Add _ANONYMOUS_UNION, throughout.
	* include/ddk/ntddmou.h:  Add _ANONYMOUS_UNION, throughout.
	* include/ddk/ntifs.h:  Add _ANONYMOUS_UNION, throughout.
	(ZwQueryObject): Change 2nd param to OBJECT_INFORMATION_CLASS, to
	match proto in ntapi.h.
	(ZwSetInformationObject): Likewise.
	* include/ddk/srb.h (SCSI_REQUEST_BLOCK): Add _ANONYMOUS_UNION.
	(SCSI_ADAPTER_CONTROL_TYPE): Add __extension__.
	* include/ddk/tdikrnl.h (TDI20_CLIENT_INTERFACE_INFO): Add
	_ANONYMOUS_UNION and _ANONYMOUS_STRUCT.
	* include/ddk/usb.h (USB): Add _ANONYMOUS_UNION.
	* include/ddk/usbcamdi.h (USBCAMD_CamControlFlags): Remove
	last comma.
	* include/ddk/video.h (STATUS_BLOCK): Add _ANONYMOUS_UNION.
	* include/ddk/winddk.h (DECLARE_INTERNAL_OBJECT): Remove
	trailing semicolon when expanding macro.
	(GENERAL_LOOKASIDE_S): Likewise.
	Add _ANONYMOUS_UNION and _ANONYMOUS_STRUCT, throughout.
	Change inline to __inline, throughout.
	* include/ddk/winnt4.h: Change inline to __inline, throughout.

2003-07-13  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/ddk/ntifs.h (KeInsertQueueApc): Make return type
	BOOLEAN. Name parameter 4 PriorityBoost and make it of type
	KPRIORITY.
	* include/ddk/winddk.h (_KPCR): Put IDT field on next line.
	* include/ddk/winddk.h (_IO_STATUS_BLOCK, _IRP, _OWNER_ENTRY,
	_ERESOURCE, _IMAGE_INFO, _CREATE_DISK, _DISK_SIGNATURE, _KPCR_TIB):
	Apply _ANONYMOUS_UNION to anonymous unions and _ANONYMOUS_STRUCT
	to anonymous structs.

2003-07-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (PVOID): Move to before HANDLE typedef.

	* include/winuser.h (mouse_event): Correct type of fifth param,
	Thanks to: Andrew Jones <guln at users dot sourceforge dot net>

2003-07-11  Earnie Boyd  <earnie@users.sf.net>

	* include/winnt.h (HANDLE): Define based on STRICT filter.
	(THREAD_BASE_PRIORITY_MIN): Use parens around negative value.
	(THREAD_BASE_PRIOIRTY_IDLE): Ditto.

2003-07-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (NMTVDISPINFO[AW]): Replace obsolete struct
	names _TV_DISPINFO[AW] and typedefs. Add defines for backward
	compatability. Thanks to Magnus Olsen <greatlord@users.sf.net>
	for report.

2003-07-03  Earnie Boyd  <earnie@users.sf.net>

	* config.guess, config.sub: Update with new versions from ftp.gnu.org.

2003-07-03  Luke Dunstan  <infidel@users.sf.net>

	* include/commdlg.h (CommDlg_OpenSave_*): Add parentheses around
	macro arguments. Thanks to Tom Bishop <tombishop@users.sf.net>.
	* include/winuser.h (MONITOR_DEFAULTTONULL, MONITOR_DEFAULTTOPRIMARY,
	MONITOR_DEFAULTTONEAREST, MONITORINFOF_PRIMARY): Add defines.
	(TPM_RECURSE): Add guard for Win98/Win2K.
	Thanks to Magnus Olsen <greatlord@users.sf.net>.

2003-07-01  Earnie Boyd  <earnie@users.sf.net>

	* include/basetyps.h (small, hyper): Change to __small and __hyper to
	avoid user namespace conflicts.

2003-07-01  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h (_NT4, _W98, _WME, _NT5, _W2000, _WXP, _W2003,
	_IE3, _IE4, _IE5, _IE6): Add definitions.
	* include/winbase.h (GetLongPathName[AW]): Add guard for OS >= NT5 or
	>= Win98.
	Change existing guards to use the above macro names as appropriate.
	* include/basetyps.h (__int32, __int16, __int8, small, hyper): Define.
	Note: Also added to mingw/include/_mingw.h.

2003-06-28  Steven Edwards  <Steven_Ed4153@yahoo.com>

	* include/shlwapi.h (UrlGetLocationA, UrlGetLocationW,
	PathFindSuffixArrayA, PathFindSuffixArrayW,
	PathFindExtensionA, PathFindExtensionW, StrStrW
	StrStrA): Change unicode-macro'd LP[C]TSTR return values to
	explicit type.

2003-06-26  Mattia Barbon  <mbarbon@dsi.unive.it>

	* include/richedit.h (PARAFORMAT2): Add definition.
	* include/richedit.h (PFA_*, PFE_*, PFM_*): Add some
	missing constants.

2003-06-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shellapi.h (SHQUERYRBINFO): Add structure,
	(SHQueryRecycleBin[AW]. SHEmptyRecycleBin[AW]):Add prototypes.
	(SHERB_NOCONFIRMATION, SHERB_NOPROGRESSUI, SHERB_NOSOUND):
	Add defines. Thanks to Brett Hart <brett at ncubedtech dot com>

2003-06-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (GlobalCompact, GlobalFix, GlobalFlags,
	GlobalUnfix, GlobalUnWire, GlobalWire, LocalCompact,
	LocalFlags, LocalShrink, LockSegment, UnlockSegment): Add comment
	that these are obsolete no-ops.

2003-06-17  Bang Jun-Young  <junyoung@netbsd.org>

	* include/winbase.h (GetProcessWorkingSetSize,
	GlobalCompact, LocalAlloc, LocalCompact, LocalReAlloc,
	LocalShrink, SignalObjectAndWait, WriteProcessMemory):
	Correct prototypes.

2003-06-18  Steven Edwards  <Steven_Ed4153@yahoo.com>

	* include/winuser.h (TPM_RECURSE): Add define.

2003-06-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/test.c: #include <powrprof.h>.

2003-06-06  James E. Lucas  <xelloss@sourceforge.net>

	* include/powerprof.h: New file.
	* lib/powerprof.def: New file.

2003-06-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt (SLIST_HEADER): Add C90 anonymous struct
	protection.

2003-06-05  Luke Dunstan  <infidel@users.sourceforge.net>

	* include/winuser.h (WNDCLASS[AW], WNDCLASSEX[AW]): Change type of
	hInstance members to HINSTANCE.
	Thanks to: Brenden T. <brenden@rcsis.com>

2003-06-05  Bart Oldeman  <bartoldeman@users.sourceforge.net>

	* include/lmaccess.h (UF_MNS_LOGON_ACCOUNT): Add define.
	* include/wingdi.h (LPRGBTRIPLE, LPRGBQUAD): Add typedefs.

2003-06-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/ntpoapi.h (POWER_INFORMATION_LEVEL): Remove.
	* include/winnt.h (POWER_INFORMATION_LEVEL): Add.
	* include/ddk/winddk.h (SINGLE_LIST_ENTRY,SLIST_HEADER):
	Remove.
	* include/ddk/ndis.h (NdisAllocateSpinLock): Add missing '\'.

2003-05-30  Mattia Barbon  <mbarbon@dsi.unive.it>

	* lib/oleacc.def: New file.
	* include/winable.h: New file.
	* include/oleacc.h: Add extern "C" guard.
	(NAVDIR_*, ROLE_*, STATE_*): Add missing constants.
	(AccessibleChildren, AccessibleObjectFromEvent,
	AccessibleObjectFromPoint, AccessibleObjectFromWindow,
	CreateStdAccessibleProxy[AW], GetOleaccVersionInfo, GetRoleText[AW],
	GetStateText[AW], LresultFromObject, ObjectFromLresult,
	WindowFromAccessibleObject): Add prototypes and UNICODE mappings.
	* include/winuser.h (NotifyWinEvent): Add prototype.
	(OBJID_WINDOW, OBJID_SYSMENU, OBJID_TITLEBAR,
	OBJID_MENU, OBJID_CLIENT, OBJID_VSCROLL, OBJID_HSCROLL,
	OBJID_SIZEGRIP, OBJID_CARET, OBJID_CURSOR, OBJID_ALERT,
	OBJID_SOUND): Move from here to...
	* include/winable.h (OBJID_WINDOW, OBJID_SYSMENU, OBJID_TITLEBAR,
	OBJID_MENU, OBJID_CLIENT, OBJID_VSCROLL, OBJID_HSCROLL,
	OBJID_SIZEGRIP, OBJID_CARET, OBJID_CURSOR, OBJID_ALERT,
	OBJID_SOUND): Here, as per documentation.
	* lib/test.c: Include winable.h.
	* lib/user32.def (NotifyWinEvent): Add missing export.

2003-05-30  Bang Jun-Young  <junyoung@netbsd.org>

	* include/winbase.h (HeapCompact): Correct prototype.
	* include/winnt.h (SINGLE_LIST_ENTRY, SLIST_ENTRY,
	SLIST_HEADER): Add.

2003-05-27  Andrew C. Stadt <acstadt@sympatico.ca>

	* include/winuser.h (LWA_COLORKEY, LWA_ALPHA): Add defines.

2003-05-25  Bill C. Riemers  <cygwin@docbill.net>

	* include/winuser.h (EnumDisplayDevicesW): Fix typo.

2003-05-23  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (EnumDisplayDevices[AW]): Add prototypes.
	* include/wingdi.h (DISPLAY_DEVICE): UNICODE it.

2003-05-23  Andrew Dunbar <hippietrail@users.sourceforge.net>

	* include/wingdi.h (GCP_RESULTS[AW]) Correct type of
	lpGlyphs field to LPWSTR.

2003-05-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wincrypt.h (PLAINTEXTKEYBLOB, OPAQUEKEYBLOB,
	PUBLICKEYBLOBEX, SYMMETRICWRAPKEYBLOB) Add defines.
	(PP_*): Add defines.
	(CryptContextAddRef): Add prototype.
	Thanks to: Shura Zam  <debil_urod@users.sourceforge.net>

2003-05-18  Manu B  <manubee@users.sourceforge.net>
	
	* include/commctrl.h (TVSORTCB): Rename old TV_SORTCB structure.

2003-05-18  Bang Jun-Young <junyoung@netbsd.org>

	* include/winbase.h (CREATE_DEFAULT_ERROR_MODE,
	DEBUG_PROCESS, DEBUG_ONLY_THIS_PROCESS, CREATE_SUSPENDED,
	DETACHED_PROCESS, CREATE_NEW_CONSOLE, NORMAL_PRIORITY_CLASS,
	IDLE_PRIORITY_CLASS, HIGH_PRIORITY_CLASS, REALTIME_PRIORITY_CLASS,
	CREATE_NEW_PROCESS_GROUP, CREATE_UNICODE_ENVIRONMENT,
	CREATE_SEPARATE_WOW_VDM, CREATE_SHARED_WOW_VDM, CREATE_FORCEDOS,
	CREATE_NO_WINDOW): Convert to hexadecimal form for better
	readability.
	(BELOW_NORMAL_PRIORITY_CLASS, ABOVE_NORMAL_PRIORITY_CLASS,
	CREATE_BREAKAWAY_FROM_JOB, CREATE_WITH_USERPROFILE): Add.

2003-05-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/ndis.h (NDIS30_MINIPORT_CHARACTERISTICS_S):
	Unname anonymous unions if NONAMELESSUNION not defined.

2003-05-14  Bang Jun-Young  <junyoung@netbsd.org>

	* include/winbase.h (GMEM_VALID_FLAGS): Add.

2003-05-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/prsht.h (PROPSHEETHEADER[AW]: Mark
	anonymous unions as GCC extension.

2003-05-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/oleidl.h  (LPENUMOLEDOCUMENTVIEWS): Remove typedef.
	(IEnumOleDocumentViews): Remove commented out DECLARE_ENUMERATOR.
	* include/docobj.h  (LPENUMOLEDOCUMENTVIEWS): Add typedef (previously
	commented out).
	(IEnumOleDocumentViews): Add definition using DECLARE_ENUMERATOR.

2003-05-12  Earnie Boyd  <earnie@users.sf.net>

	* include/commctrl.h: (MCSC_BACKGROUND, MCSC_TEXT, MCSC_TITLEBK,
	MCSC_TITLETEXT, MCSC_MONTHBK, MCSCTRAILTEXT): Define.
	Thanks to: Robert Wishlaw  <rwishlaw @ shaw . ca>

2003-05-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/olectl.h (IOleControl,IOleControlSite,ISimpleFrameSite,
	IErrorLog,IPropertyBag,IPersistPropertyBag,IPersistStreamInit,
	IPersistMemory,IPropertyNotifySink,IProvideClassInfo,
	IProvideClassInfo2,IConnectionPointContainer,
	IEnumConnectionPoints,IConnectionPoint,IEnumConnections,
	IClassFactory2,ISpecifyPropertyPages,IPerPropertyBrowsing,
	IPropertyPageSite,IPropertyPage,IPropertyPage2,IFont,IFontDisp,
	IPicture,IPictureDisp): Move from here to...
	* include/ocidl.h (IOleControl,IOleControlSite,ISimpleFrameSite,
	IErrorLog,IPropertyBag,IPersistPropertyBag,IPersistStreamInit,
	IPersistMemory,IPropertyNotifySink,IProvideClassInfo,
	IProvideClassInfo2,IConnectionPointContainer,
	IEnumConnectionPoints,IConnectionPoint,IEnumConnections,
	IClassFactory2,ISpecifyPropertyPages,IPerPropertyBrowsing,
	IPropertyPageSite,IPropertyPage,IPropertyPage2,IFont,IFontDisp,
	IPicture,IPictureDisp): Here, as per documentation.

2003-05-12  Mattia Barbon  <mbarbon@dsi.unive.it>

	* include/oleauto.h (VarR8FromDec, VarDecFromR8): Add prototypes.
	* include/winbase.h (TerminateJobObject,
	AssignProcessToJobObject): Likewise.
	* include/servprov.h: New header.
	* lib/test.c: Include servprov.h.

2003-05-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shlguid.h (CGID_ShellServiceObject): Declare.
	* lib/uuid.c (CGID_ShellServiceObject): Define guid.
	Thanks to Chris Sutcliffe  <ir0nh34d#users.sourceforge.net> 
	* include/winuser.h (SetLayeredWindowAttributes): Add prototype.
	* lib/user32.def (SetLayeredWindowAttributes): Add stub.
	* lib/uuid.c (CGID_Explorer, CGID_ShellDocView): Define guids.

2003-05-05  Danny Smith  <dannysmith@users.sourceforge.net>

 	* include/commctrl.h (STATUSCLASSNAME, TOOLBARCLASSNAME,
	TOOLTIPS_CLASS, TRACKBAR_CLASS, UPDOWN_CLASS, PROGRESS_CLASS,
	HOTKEY_CLASS): Remove dupicate defines for UNICODE case.

2003-05-02  Steven Edwards  <Steven_Ed4153@yahoo.com>

	* include/richedit.h (EM_FINDTEXTEXW, EM_FINDTEXTW,
	EM_GETAUTOURLDETECT, EM_GETBIDIOPTIONS, EM_GETEDITSTYLE,
	EM_GETIMECOLOR, EM_GETIMEOPTIONS, EM_GETPUNCTUATION,
	EM_GETWORDWRAPMODE, EM_RECONVERSION, EM_SETBIDIOPTIONS,
	EM_SETEDITSTYLE, EM_SETIMECOLOR, EM_SETIMEOPTIONS,
	EM_SETPALETTE, EM_SETPUNCTUATION, EM_SETTEXTEX,
	EM_SETWORDWRAPMODE, RICHEDIT_CLASS10A): Add defines.

2003-05-02  Francois Ferrand  <typz@sourceforge.users.net>

	* include/commctrl.h (TBM_*): Add missing trackbar defines.

2003-05-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/cplext.h (CPLPAGE_MOUSE_WHEEL,
	CPLPAGE_DISPLAY_BACKGROUND): Add defines.

2003-04-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (DC_PEN, DC_BRUSH): Add defines.
	(SetDCPenColor, SetDCBrushColor): Add prototypes.
	* lib/gdi32.def (SetDCPenColor, SetDCBrushColor): Add stubs.

2003-04-26  Bang Jun-Young  <junyoung@netbsd.org>

	* include/winioctl.h (DEVICE_TYPE_FROM_CTL_CODE): Add macro.

2003-04-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/oaidl.h (ITypeMarshal): Add interface.

2003-04-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winioctl.h: Clean up formatting.
	(RETRIEVAL_POINTERS_BUFFER): Add fields to Extents[1] struct.
	(CREATE_DISK): Add _ANONYMOUS_UNION macro.
	(DISK_CACHE_INFORMATION): Likewise.
	(DISK_DETECTION_INFO): Likewise.
	(DISK_PARTITION_INFO): Likewise.
	(PARTITION_INFORMATION_EX): Likewise.
	(DRIVE_LAYOUT_INFORMATION_EX): Likewise.

2003-04-26  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/winbase.h (DeleteVolumeMountPoint[AW],
	FindFirstVolumeMountPoint[AW], FindNextVolumeMountPoint[AW],
	FindVolumeMountPointClose, GetVolumeNameForVolumeMountPoint[AW],
	GetVolumePathName[AW], GetVolumePathNamesForVolumeName[AW],
	SetVolumeMountPoint[AW]): Add prototypes.
	* include/winioctl.h (IOCTL_DISK_GET_PARTITION_INFO_EX,
	IOCTL_DISK_SET_PARTITION_INFO_EX,
	IOCTL_DISK_GET_DRIVE_LAYOUT_EX,
	IOCTL_DISK_SET_DRIVE_LAYOUT_EX, IOCTL_DISK_CREATE_DISK,
	IOCTL_DISK_GET_LENGTH_INFO, IOCTL_DISK_PERFORMANCE_OFF,
	IOCTL_DISK_GET_DRIVE_GEOMETRY_EX, IOCTL_DISK_GROW_PARTITION,
	IOCTL_DISK_GET_CACHE_INFORMATION,
	IOCTL_DISK_SET_CACHE_INFORMATION,
	IOCTL_DISK_DELETE_DRIVE_LAYOUT, IOCTL_DISK_UPDATE_PROPERTIES,
	FSCTL_GET_VOLUME_BITMAP, FSCTL_GET_RETRIEVAL_POINTERS,
	FSCTL_MOVE_FILE): Define.
	(CREATE_DISK_GPT, CREATE_DISK_MBR, CREATE_DISK,
	DISK_CACHE_INFORMATION,
	DETECTION_TYPE, DISK_INT13_INFO, DISK_EX_INT13_INFO,
	DISK_DETECTION_INFO, DISK_GEOMETRY_EX, DISK_GROW_PARTITION,
	DISK_PARTITION_INFO, DISKQUOTA_USER_INFORMATION,
	GET_LENGTH_INFORMATION, DISK_EXTENT, VOLUME_DISK_EXTENTS,
	DRIVE_LAYOUT_INFORMATION_GPT, DRIVE_LAYOUT_INFORMATION_MBR,
	PARTITION_INFORMATION_MBR, PARTITION_INFORMATION_GPT,
	PARTITION_INFORMATION_EX, DRIVE_LAYOUT_INFORMATION_EX,
	MOVE_FILE_DATA,
	RETRIEVAL_POINTERS_BUFFER, STARTING_LCN_INPUT_BUFFER,
	STARTING_VCN_INPUT_BUFFER, VOLUME_BITMAP_BUFFER): Add structs.
	(PARTITION_STYLE, DISK_CACHE_RETENTION_PRIORITY): Add enums.
	(MEDIA_TYPE): Add F3_120M_512, F3_640_512, F5_640_512,
	F5_720_512, F3_1Pt2_512, F3_1Pt23_1024, F5_1Pt23_1024,
	F3_128Mb_512, F3_230Mb_512, F8_256_128, F3_200Mb_512,
	F3_240M_512, and F3_32M_512.
	* lib/kernel32.def (GetVolumePathNamesForVolumeName[AW]): Add
	stubs.

2003-04-16  Earnie Boyd  <earnie@users.sf.net>

	* include/wingdi.h (DM_SPECVERSION): Define.
	Thanks to Sinitsyn Valentime <valentine.sinitsyn@usu.ru>
	* include/rpcdce.h (UuidCreateSequential): Properly guard with
	appropriate _WIN32_WINNT values.

2003-04-15  Chris January <chris@atomice.net>

	* include/rpcdce.h: Add declaration for UuidCreateSequential.
	* lib/rpcrt4.def: Add entry for UuidCreateSequential.

2003-04-14  Phil Krylov  <likewolf@users.sourceforge.net>

	* include/winuser.h (VK_*): Add missing defines.

2003-04-14  Vincent Béron  <papineau@users.sourceforge.net>

	* include/commctrl.h (NMUPDOWN, LPNMUPDOWN): Use currently
	documented typedefs for struct _NM_UPDOWN.
	Add defines for backward comapatibility.
	* include/commdlg.h (OFN_ENABLESIZING): Add define.
	* include/wininet.h (IRF_*): Add missing defines.

2003-04-14  Bang Jun-Young  <junyoung@netbsd.org>

	* lib/ntdll.def (Csr*, Dbg*, Ki*, Ldr*, Rtl*): Add W2K exports.

2003-04-11  Earnie Boyd  <earnie@users.sf.net>

	* include/sspi.h: Add comment for FreeCredentialsHandle.

2003-04-07  Marcel Telka <telka@users.sourceforge.net>

	* include/ddk/winddk.h (KIRQL): Typedef as UCHAR, not ULONG.

2003-03-30  Hans E. Molin  <kvasi@users.sourceforge.net>

	* include/olectl.h (OleLoadPicturePath): Correct prototype.

2003-03-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/uuid.c (IID_IHTML*): Move definitions to...
	* lib/mshtml-uuid.c: New file.
	* lib/Makefile.in: Add mshtml-uuid.o to libuuid.a

2003-03-30  Michael Sazonov  <traip@comset.net>

	* lib/uuid.c (IID_IHTML*): Add new GUID definitions.
	* include/mshtml.h (IHTMLElementCollection, IHTMLLinkElement,
	IHTMLImgElement): Add interface definitions.

2003-03-29  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (ANIMATE_CLASS,HOTKEY_CLASS,PROGRESS_CLASS,
	STATUSCLASSNAME,TOOLBARCLASSNAME,TOOLTIPS_CLASS,TRACKBAR_CLASS,
	UPDOWN_CLASS,WC_COMBOBOXEX,WC_HEADER,WC_IPADDRESS,WC_LISTVIEW,
	WC_TABCONTROL,WC_TREEVIEW): Move UNICODE mappings out of
	RC_INVOKED guard. 
 	(WC_PAGESCROLLER,WC_NATIVEFONTCTL,WC_BUTTON,WC_STATIC,WC_EDIT,
	WC_LISTBOX,WC_COMBOBOX,WC_SCROLLBAR): Add defines.

2003-03-28  Bang Jun-Young  <junyoung@netbsd.org>

	* include/winnt.h (WAITORTIMERCALLBACKFUNC): Add typedef.

2003-03-27  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/secext.h (GetComputerObjectName[AW],GetUserNameEx[AW],
	TranslateName[AW]): Add prototypes.
	* lib/sec32.def (GetComputerObjectName[AW],GetUserNameEx[AW],
	TranslateName[AW]): Add stubs.
	* lib/test.c: Include secext.h.

2003-03-27  Vladimir Michl  <michlv@users.sourceforge.net>

	* include/ddk/ndis.h (NdisAllocateSpinLock,NdisFreeSpinLock,
	NdisAcquireSpinLock,NdisReleaseSpinLock,NdisDprAcquireSpinLock,
	NdisDprReleaseSpinLock): Change macro argument from SpinLock to
	_SpinLock.

2003-03-26  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Increment version to 2.4.
	* Makefile.in: Ditto.

2003-03-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/batclass.h (BATTERY_REPORTING_SCALE)
	Move structure from here...
	* include/winnt.h (BATTERY_REPORTING_SCALE): To here.

	* include/ddk/ntapi.h (JOBOBJECT_*):
	Remove structures and enums definitions.
  	(JOB_OBJECT*): Move defines from here...
	* include/winnt.h (JOB_OBJECT* ): To here.

	* include/ddk/ntpoapi.h (LATENCY_TIME, POWER_ACTION_POLICY,
	SYSTEM_POWER_LEVEL, SYSTEM_POWER_POLICY,
	PROCESSOR_POWER_POLICY_INFO, PROCESSOR_POWER_POLICY,
	ADMINISTRATOR_POWER_POLICY, SYSTEM_POWER_INFORMATION,
	PROCESSOR_POWER_INFORMATION, SYSTEM_BATTERY_STATE,
	SYSTEM_POWER_CAPABILITIES): Move enums, structures
	and associated defines from here ...
	* include/winnt.h: (LATENCY_TIME, POWER_ACTION_POLICY,
	SYSTEM_POWER_LEVEL, SYSTEM_POWER_POLICY,
	PROCESSOR_POWER_POLICY_INFO, PROCESSOR_POWER_POLICY,
	ADMINISTRATOR_POWER_POLICY, SYSTEM_POWER_INFORMATION,
	PROCESSOR_POWER_INFORMATION, SYSTEM_BATTERY_STATE,
	SYSTEM_POWER_CAPABILITIES):To here.

	* include/ddk/winddk.h (DEVICE_POWER_STATE,
	SYSTEM_POWER_STATE, POWER_ACTION): Move enums
	from here...
	* include/winnt.h (DEVICE_POWER_STATE,
	SYSTEM_POWER_STATE, POWER_ACTION): To here.

2003-03-19  Danny Smith  <dannysmith@users.sourceforge.net>

	*lib/ndis.def (NdisAllocateMemory): Correct stdcall suffix.
	Thanks to: Vladimir Michl <michlv@users.sourceforge.net>
	(NdisUpdateSharedMemory): Likewise.
	(NdisMFreeSharedMemory: Likewise.
	(NdisMMapIoSpace: Likewise.

2003-03-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/lmaccess.h (UF_LOCKOUT): Correct name from UF_LOCK.
	Thanks to: Fabricio D. Rossi  <gurusoda@users.sourceforge.net>
 	(UF_SETTABLE_BITS): Correct UF_LOCKOUT here too.

2003-03-17  Bang Jun-Young  <junyoung@netbsd.org>

	* include/winbase.h (EnumResourceLanguages[AW]): Correct prototypes.
	(EnumResourceNames[AW]): Ditto.
	(EnumResourceTypes[AW]): Ditto.
	* include/wincon.h (CONSOLE_FONT_INFO): Add struct.

2003-03-16  Toby Malone  <malone@users.sourceforge.net>

	* include/winuser.h (SendInput): Add prototype.
	* lib/user32.def (SendInput): Add stub.

2003-03-16  Vadim Yegorov  <zg@bmg.lv>

	* winioctl.h (FSCTL_SET_REPARSE_POINT: Correct macro.
	(FSCTL_DELETE_REPARSE_POINT): Likewise.

2003-03-15  Bang Jun-Young  <junyoung@netbsd.org>

	* winnt.h (JOBOBJECTINFOCLASS): Define enum.
	(JOBOBJECT_*): Define corresponding structures.

2003-03-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/winddk.h (PCUNICODE_STRING): Remove incorrect
	typedef.

2003-03-13  Bang Jun-Young  <junyoung@netbsd.org>

	* lib/kernel32.def (Module32{First,Next}{,W}): Add missing exports.
	(Process32{First,Next}{,W}): Ditto.
	(Thread32{First,Next}): Ditto.
	* include/ntdef.h (PCUNICODE_STRING): Add typedef.

2003-03-12  Earnie Boyd  <earnie@users.sf.net>

	* include/mswsock.h: Correct invalid filter for _WINSOCK2_H.
	Thanks to Jim Barton <jmbarton@users.sf.net>.

2003-03-12  Ranjit Mathew  <rmathew@hotmail.com>

        * include/winnt.h (_IMAGE_SEPARATE_DEBUG_HEADER): Expose
        member SectionAlignment.

2003-03-11  Earnie Boyd  <earnie@users.sf.net>

	* include/winsvc.h (SERVICE_NO_CHANGE): Use hex constant to avoid
	warnings.
	Thanks to Fabricio D. Rossi <gurusoda@users.sf.net>.
	* Makefile.in (bindist): Correct process.
	* lib/Makefile.in (install): Ditto.
	Thanks to Jeff Bonnggren <jbon@users.sf.net>.

2003-03-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/rasdlg.h: New file.
	* lib/rasdlg.def: New file.
	* lib/test.c: Include rasdlg.h.

2003-03-06  Christopher January  <chris@atomice.net>

	* include/winbase.h (FindFirstVolume): Add declaration.
	(FindNextVolume): Add declaration.
	(FindVolumeClose): Add declaration.
	(GetSystemTimes): Add declaration.
	* include/winnt.h: Add define for PF_XMMI64_INSTRUCTIONS_AVAILABLE.

2003-03-06  Danny Smith  <dannysmith@users.sourceforge.net>

	*lib/kernel32.def (GetSystemTimes): Add stub.

2003-03-04  Heiko Gerdau  <hg@technosis.de>

	* oleidl.h (IOleObject): Correct GetUserType prototype.
	(IViewObject2): Correct GetExtent prototype.
	* olectl.h (DISPIP_): Add new defines
	* ocidl.h (IOleInPlaceSiteWindowless): Add new interface.

2003-03-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/olectl.h (OleLoadPictureEx) Add prototype.
	(OleLoadPictureFile): Ditto.
	(OleLoadPictureFileEx): Ditto.
	(OleLoadPicturePath): Ditto.
	(OleSavePictureFile): Ditto.

2003-03-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/objbase.h (CoAddRefServerProcess): Add prototype.
	(CoAddReleaseServerProcess): Ditto.
	(CoResumeClassObjects): Ditto.
	(CoSuspendClassObjects): Ditto.
	* include/oleauto.h (V_I1): Define.
	Thanks to: "Timofei"  <mmttmm@users.sourceforge.net>

2003-03-01  Heiko Gerdau  <hg@technosis.de> 

	* include/oleidl.h (USERCLASSTYPE): Add enum.
	* include/ocidl.h (IObjectWithSite): Add interface.

2003-02-28  Roland Schwingel  <roland.schwingel@onevision.de>

	Fixup UNICODE thinko in 2003-02-22 patch.
	* include/wingdi.h (AddFontMemResourceEx): Add.
	(RemoveFontMemResourceEx): Ditto.
	(AddFontMemResourceEx[AW]): Remove.
	(RemoveFontMemResourceEx[AW]): Ditto
	* lib/gdi32.def: (AddFontResourceEx): Add.
	(RemoveFontMemResourceEx): Ditto.
	(AddFontMemResourceEx[AW]): Remove.
	(RemoveFontResourceEx[AW]): Ditto.

2003-02-23  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (EVENTLOG_SUCCESS): Add define.
	Thanks to: Thomas Weber  <thomasweber@sourceforge.net>

2003-02-22  Roland Schwingel  <roland.schwingel@onevision.de>

	* include/wingdi.h (AddFontMemResourceEx[AW]): Add.
	(RemoveFontMemResourceEx[AW]): Ditto
	* lib/gdi32.def (AddFontMemResourceEx[AW]): Add.
	(RemoveFontMemResourceEx[AW]): Ditto.

2003-02-22  Bang Jun-Young  <junyoung@netbsd.org>

	* lib/ntdll.def (NT*, RTL*, ZW*): Add missing exports.
	(NtCurrentTeb): Remove.

2003-02-22  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wsahelp.h: Remove ';' after closing
	#ifdef __cplusplus brace.
	* include/ws2spi.h: Likewise.

2003-02-22  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (MEMORYSTATUSEX): Add structure.
	(GlobalMemoryStatusEx): Add prototype.
	* lib/kernel32.def (GlobalMemoryStatusEx): Add stub.

2003-02-17 Vaclav Haisman <V.Haisman@sh.cvut.cz>

	* include/winioctl.h (FSCTL_SET_SPARSE): Define.

2003-02-12  Roland Schwingel  <roland.schwingel@onevision.de>

	* include/wingdi.h (AddFontResourceEx[AW]): Add.
	(RemoveFontResourceEx[AW]): Ditto
	(FR_PRIVATE): Define.
	(FR_NOT_ENUM): Define.
	* lib/gdi32.def (AddFontResourceEx[AW]): Add.
	(RemoveFontResourceEx[AW]): Ditto.

2003-02-10  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Increment version to 2.3.
	* Makefile.in: Ditto.

2003-02-09  Earnie Boyd  <earnie@users.sf.net>

	* lib/ddk/ntoskrnl.def (Ke386IoSetAccessProcess): Activate export.
	(Ke386QueryToAccessMap): Ditto.
	(Ke386SetIoAccessMap): Ditto.
	Thanks to Marcel Telka <telka@users.sf.net>
	* include/secext.h: New file. Declare EXTENDED_NAME_FORMAT.
	* include/security.h: Include secext.h.
	* include/winbase.h: Declare COMPUTER_NAME_FORMAT.
	Thanks to Dimitri Papadopoulos <dimitri_at@users.sf.net>
	* include/GL/gl.h: Remove include of glext.h.
	Thanks to Greg Couch <gregcouch@users.sf.net>

2003-02-05  Earnie Boyd  <earnie@users.sf.net>

	* include/basetypes.h (_GUID_DEFINED): Add deprecation warning, start
	using GUID_DEFINED instead.
	* include/sqltypes.h: Ditto.
	* include/winnt.h: Ditto.
	* include/ddk/scsiwmi.h: Ditto.

2003-02-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shlwapi.h (PathRelativePathTo[AW]): Correct
	prototypes.
	Thanks to: John Dallaway  <jld@ecoscentric.com>.

2003-02-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (TCM_*): Add missing defines.

2003-02-01  Jesus Alvarez  <jesus_alvarez@users.sourceforge.net>
	    Danny Smith  <dannysmith@users.sourceforge.net>

	* include/prsht.h (PSP_*, PSH_*): Add missing defines.
	(PROPSHEETPAGE[AW]): Add pszHeaderTitle, pszHeaderSubTitle
	for (_WIN32_IE >= 0x0400).
	(PROPSHEETHEADER[AW]): Add hplWatermark and anonymous union
	fields for (_WIN32_IE >= 0x0400).

2003-01-31  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (CreateFiber): Change first parameter
	to SIZE_T.
	(CreateJobObject[AW], CreateHardLink[AW]):Guard with
	if (_WIN32_WINNT >= 0x0500).

2003-01-31  Bang Jun-Young  <junyoung@netbsd.org>

	* include/winbase.h (PWIN32_FIND_DATAA, PWIN32_FIND_DATAW):
	Add missing typedefs.
	(CreateFiberEx, CreateJobObjectA,CreateJobObjectW): Add missing
	prototypes.
	(CreateHardLinkA, CreateHardLinkW): Return BOOL, not HANDLE.

2003-01-27  Krzysztof Nikiel  <kni@poczta.onet.pl>

	* include/mmsystem.h (MIXERCONTROL_CONTROLF_MULTIPLE): Correct
	define.
	* lib/largeint.c (LargeIntegerAdd): Add, don't multiply.

2003-01-27  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/rpcnterr.h (RPC_X_INVALID_PIPE_OPERATION): Add
	define.
	* include/winbase.h (WAIT_TIMEOUT): Guard against prior
	definition.
	(WAIT_FAILED): Cast to DWORD.
	* include/winerror.h (WAIT_TIMEOUT): Guard against prior
	definition.

2003-01-27  Bang Jun-Young  <junyoung@netbsd.org>

	* include/winerror.h: Protect against multiple
	definition of WSA* error codes.
	* include/winsock.h: Likewise.
	* include/winsock2.h: Likewise.

2003-01-27  Bang Dong-Heui
	    Bang Jun-Young  <junyoung@netbsd.org>

	* include/winerror.h (ERROR_*, SEC_E_*,RPC_S_*, FRS_ERR_*,
	DNS_*, WSA*, WAIT_TIMEOUT): Add missing error codes.
	(RPC_X_INVALID_PIPE_OPERATION): Remove define.


2003-01-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ras.h (RASCONN[AW]): Add dwSessionId for
	(WINVER >= 0x501).

2003-01-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ras.h (RASCONN[AW]): Guard szDeviceType,
	szDeviceName fields with (WINVER >= 0x400). Add dwFlags, luid
	fields for (WINVER >= 0x501).

2003-01-23  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/ws2_32.def (getaddrinfo, freeaddrinfo and getnameinfo):
	Add stubs.
	* include/ws2tcpip.h (IPV6_*) Add IPPROTO_IPV6 level socket
	options.

2003-01-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (IMAGE_FILE_AGGRESIVE_WS_TRIM
	IMAGE_FILE_LARGE_ADDRESS_AWARE): Add defines.

2003-01-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/accctrl.h (enum _SE_OBJECT_TYPE): Add
	SE_REGISTRY_WOW64_32KEY.
	Reported by: Dimitri Papadopoulos  <dimitri_at@sourceforge.users.net>

2003-01-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (HDN_GETDISPINFO[AW]: Add defines.
	(tagNMHDDISPINFO[AW}: Add structures and typedefs.
	Reported by: Mat Nieuwenhoven  <matnieuw@users.sourceforge.net>

2003-01-10  Christopher Faylor  <cgf@redhat.com>

	* include/winsock2.h: Remove gethostname from INSIDE_CYGWIN protection.

2003-01-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/dxguid.c: Don't #include <objbase.h>.
	* include/unknwn.h: Partially revert change of 2002-12-26.
	Don't include <ole2.h>.

2003-01-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/dinput.c: Don't #include <objbase.h>.

2003-01-08  Bart Oldeman  <bartoldeman@users.sourceforge.net>

	* include/windows.h (ole2.h):Do #include for
	__WATCOMC__.

2003-01-05  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (SPI_SETWHEELSCROLLLINES) Add define.
	* include/zmouse.h (WHEEL_DELTA): Guard against prior
	definition.
	(WHEEL_PAGESCROLL): Likewise.
	(SPI_SETWHEELSCROLLLINES): Define, if not already done.

2003-01-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (SPI_GETWHEELSCROLLLINES) Add define.
	(WHEEL_PAGESCROLL): Add define.

2003-01-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (tagNMTOOLBAR[AW]): Replace obsolete struct
	names tagTBNOTIFY[AW] and typedefs. Add defines for backward
	compatability. Add RECT field. Add UNICODE mappings for new
	names.
	(tagNMREBARCHEVRON): Add struct and typedefs for
	_WIN32_IE >= 0x0500.

2003-01-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (TOOLINFO[AW]): Update structures.
	(LVHITTESTINFO): Likewise.

	* include/wingdi.h (GRADIENT_TRIANGLE): Add structure.
	(GRADIENT_RECT): Likewise.

2003-01-03  Bang Jun-Young  <junyoung@netbsd.org>

	* include/winerror.h (ERROR_OPLOCK_NOT_GRANTED,
	ERROR_INVALID_OPLOCK_PROTOCOL, ERROR_SOURCE_ELEMENT_EMPTY,
	ERROR_DESTINATION_ELEMENT_FULL, ERROR_ILLEGAL_ELEMENT_ADDRESS,
	ERROR_MAGAZINE_NOT_PRESENT, ERROR_DEVICE_REINITIALIZATION_NEEDED,
	ERROR_DEVICE_REQUIRES_CLEANING, ERROR_DEVICE_DOOR_OPEN,
	ERROR_DEVICE_NOT_CONNECTED, ERROR_NOT_FOUND, ERROR_NO_MATCH,
	ERROR_SET_NOT_FOUND, ERROR_NO_TRACKING_SERVICE,
	ERROR_JOURNAL_DELETE_IN_PROGRESS, ERROR_JOURNAL_NOT_ACTIVE,
	ERROR_JOURNAL_ENTRY_DELETED, ERROR_ONLY_IF_CONNECTED,
	ERROR_NOT_SUPPORTED_ON_SBS, ERROR_SERVER_SHUTDOWN_IN_PROGRESS,
	ERROR_MUTUAL_AUTH_FAILED, ERROR_TIME_SKEW, ERROR_DEVICE_REMOVED,
	RPC_S_INVALID_ASYNC_HANDLE, RPC_S_INVALID_ASYNC_CALL,
	RPC_X_PIPE_CLOSED, RPC_X_PIPE_DISCIPLINE_ERROR, RPC_X_PIPE_EMPTY,
	ERROR_CANT_ACCESS_FILE, ERROR_CANT_RESOLVE_FILENAME,
	ERROR_WMI_GUID_NOT_FOUND, ERROR_WMI_INSTANCE_NOT_FOUND,
	ERROR_WMI_ITEMID_NOT_FOUND, ERROR_WMI_TRY_AGAIN, ERROR_WMI_READ_ONLY,
	ERROR_WMI_SET_FAILURE, ERROR_TRANSPORT_FULL, ERROR_FILE_OFFLINE,
	ERROR_REMOTE_STORAGE_NOT_ACTIVE, ERROR_REMOTE_STORAGE_MEDIA_ERROR,
	ERROR_NOT_A_REPARSE_POINT, ERROR_REPARSE_ATTRIBUTE_CONFLICT,
	ERROR_INVALID_REPARSE_DATA, ERROR_REPARSE_TAG_INVALID,
	ERROR_REPARSE_TAG_MISMATCH, ERROR_FILE_ENCRYPTED,
	ERROR_FILE_NOT_ENCRYPTED, ERROR_NOT_EXPORT_FORMAT,
	ERROR_CTX_WINSTATION_NAME_INVALID, ERROR_CTX_INVALID_PD,
	ERROR_CTX_PD_NOT_FOUND, ERROR_CTX_WD_NOT_FOUND,
	ERROR_CTX_CLOSE_PENDING, ERROR_CTX_NO_OUTBUF,
	ERROR_CTX_MODEM_INF_NOT_FOUND, ERROR_CTX_INVALID_MODEMNAME,
	ERROR_CTX_MODEM_RESPONSE_ERROR, ERROR_CTX_MODEM_RESPONSE_TIMEOUT,
	ERROR_CTX_MODEM_RESPONSE_NO_CARRIER,
	ERROR_CTX_MODEM_RESPONSE_NO_DIALTONE, ERROR_CTX_MODEM_RESPONSE_BUSY,
	ERROR_CTX_MODEM_RESPONSE_VOICE, ERROR_CTX_TD_ERROR,
	ERROR_CTX_WINSTATION_NOT_FOUND, ERROR_CTX_WINSTATION_ALREADY_EXISTS,
	ERROR_CTX_WINSTATION_BUSY, ERROR_CTX_BAD_VIDEO_MODE,
	ERROR_CTX_GRAPHICS_INVALID, ERROR_CTX_NOT_CONSOLE,
	ERROR_CTX_CLIENT_QUERY_TIMEOUT, ERROR_CTX_CONSOLE_DISCONNECT,
	ERROR_CTX_CONSOLE_CONNECT, ERROR_CTX_SHADOW_DENIED,
	ERROR_CTX_WINSTATION_ACCESS_DENIED, ERROR_CTX_INVALID_WD,
	ERROR_CTX_SHADOW_INVALID, ERROR_CTX_SHADOW_DISABLED,
	ERROR_CTX_CLIENT_LICENSE_IN_USE, ERROR_CTX_CLIENT_LICENSE_NOT_SET,
	ERROR_CTX_LICENSE_NOT_AVAILABLE, ERROR_CTX_LICENSE_CLIENT_INVALID,
	ERROR_CTX_LICENSE_EXPIRED, ERROR_DS_MEMBERSHIP_EVALUATED_LOCALLY,
	ERROR_DS_NO_ATTRIBUTE_OR_VALUE, ERROR_DS_INVALID_ATTRIBUTE_SYNTAX,
	ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED, ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS,
	ERROR_DS_BUSY, ERROR_DS_UNAVAILABLE, ERROR_DS_NO_RIDS_ALLOCATED,
	ERROR_DS_NO_MORE_RIDS, ERROR_DS_INCORRECT_ROLE_OWNER,
	ERROR_DS_RIDMGR_INIT_ERROR, ERROR_DS_OBJ_CLASS_VIOLATION,
	ERROR_DS_CANT_ON_NON_LEAF, ERROR_DS_CANT_ON_RDN,
	ERROR_DS_CANT_MOD_OBJ_CLASS, ERROR_DS_CROSS_DOM_MOVE_ERROR,
	ERROR_DS_GC_NOT_AVAILABLE, ERROR_SHARED_POLICY,
	ERROR_POLICY_OBJECT_NOT_FOUND, ERROR_POLICY_ONLY_IN_DS,
	ERROR_DS_ADMIN_LIMIT_EXCEEDED, ERROR_DS_DS_REQUIRED,
	ERROR_DS_SAM_INIT_FAILURE, ERROR_DS_SENSITIVE_GROUP_VIOLATION,
	ERROR_DS_CANT_MOD_PRIMARYGROUPID, ERROR_DS_INVALID_GROUP_TYPE,
	ERROR_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN,
	ERROR_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN,
	ERROR_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER,
	ERROR_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER,
	ERROR_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER,
	ERROR_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER,
	ERROR_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER,
	ERROR_DS_HAVE_PRIMARY_MEMBERS, ERROR_DS_SAM_NEED_BOOTKEY_PASSWORD,
	ERROR_DS_SAM_NEED_BOOTKEY_FLOPPY, ERROR_DS_CANT_START,
	ERROR_DS_INIT_FAILURE, ERROR_SAM_INIT_FAILURE, ERROR_DS_GC_REQUIRED,
	ERROR_DS_LOCAL_MEMBER_OF_LOCAL_ONLY,
	ERROR_DS_NO_FPO_IN_UNIVERSAL_GROUPS,
	ERROR_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED):
	Add missing error codes.

2003-01-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/kernel32.c (GetCurrentFiber): Remove blank input field in
	asm code.
	(GetFiberData): Likewise.

2003-01-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (GetCurrentFiber): Remove blank input field in
	asm code.
	(GetFiberData): Likewise.

2003-01-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winerror.h (ERROR_DIFFERENT_SERVICE_ACCOUNT,
	ERROR_EXE_MACHINE_TYPE_MISMATCH, ERROR_HOOK_TYPE_NOT_ALLOWED,
	ERROR_INVALID_KEYBOARD_HANDLE, ERROR_INVALID_PRINT_MONITOR,
	ERROR_PRINT_MONITOR_IN_USE, ERROR_PRINTER_HAS_JOBS_QUEUED,
	ERROR_REQUIRES_INTERACTIVE_WINDOWSTATION,
	ERROR_SUCCESS_REBOOT_REQUIRED, ERROR_SUCCESS_RESTART_REQUIRED,
	ERROR_TIMEOUT, OR_INVALID_OID, OR_INVALID_OXID,
	OR_INVALID_SET, RPC_X_INVALID_PIPE_OPERATION): Add missing
	error codes.
	Re-sort codes.

2003-01-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winspool.h (PRINTER_INFO_6): Add.
	Reported by: Mat Nieuwenhoven  <matnieuw@users.sourceforge.net>

2002-12-30  Hartmut Honisch <hhonisch@users.sourceforge.net>

	* include/winbase.h (NMPWAIT_WAIT_FOREVER): Cast to DWORD.

	* lib/ntdll.def (NtConnectPort, NtOpenEvent,
	NtRequestWaitReplyPort, NtWaitForSingleObject,ZwConnectPort,
	ZwOpenEvent, ZwRequestWaitReplyPort, ZwWaitForSingleObject):
	Add stubs.

2002-12-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (wglGetLayerPaletteEntries): Correct
	prototype. Thanks to: Joe Krahn  <jkrahn at nc dot rr dot com>.

2002-12-26  Dimitri Papadopoulos  <dimitri_at@sourceforge.users.net>

	* include/wingdi.h (DOCINFOA): Replace LPCTSTR with LPCSTR.

2002-12-26  Dimitri Papadopoulos  <dimitri_at@sourceforge.users.net>

	* include/wingdi.h (BALTIC_CHARSET, JOHAB_CHARSET,
	VIETNAMESE_CHARSET): Remove duplicate defines. 
	* lib/comctl32.def (ImageList_SetImageCount): Add stub.

2002-12-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/dbt.h (DEV_BROADCAST_PORT): Add UNICODE version.
	Thanks to: Dimitri Papadopoulos  <dimitri_at@sourceforge.users.net>

2002-12-26  Danny Smith  <dannysmith@users.sourceforge.net>

 	* include/unknwn.h: Include windows.h and ole2.h before header
	guard to avoid circular inclusion of COM headers.

2002-12-26  Dimitri Papadopoulos  <dimitri_at@sourceforge.users.net>

	* include/dde.h (PackDDElParam, UnpackDDElParam,FreeDDElParam,
	ReuseDDElParam): Use __WIN64 compatible typedefs.

2002-12-26  Dimitri Papadopoulos  <dimitri_at@sourceforge.users.net>

	* include/accctrl.h (ACTRL_ACCESS_ENTRY[AW]): Make
	lpInheritProperty member const.
	(ACTRL_PROPERTY_ENTRY[AW]): Make lpProperty member
	const.

2002-12-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commcat.h: Don't include windows.h or ole2.h ifdef
	COM_NO_WINDOWS_H.
	* include/unknwn.h: Ditto.
	
2002-12-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/imm.h (ImmGetCompositionFont[AW],
	ImmSetCompositionFont[AW]): Add NOGDI guard.

2002-12-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/hidusage.h: Remove unneccessary #pragma pack's.
	* include/ddk/miniport.h (EMULATOR_PORT_ACCESS_TYPE): Define
	before using.
	(VIDEO_ACCESS_RANGE): Guard against prior definition.
	* include/ddk/minitape.h (INQUIRYDATA): Guard against prior
	definition.
	* include/ddk/ndis.h (DECLARE_UNKNOWN_PROTOTYPE): Correct macro.
	* include/ddk/ndisguid.h: Remove unneccessary #pragma pack's.
	* include/ddk/scsi.h (INQUIRYDATA): Guard against prior
	definition.
	* include/ddk/scsiwmi.h (GUID): Define if not already done.
	(LPCGUID): Likewise.
	* include/ddk/tdi.h: Close "Listen flags" comment.
	* include/ddk/tdistat.h: Remove unneccessary #pragma pack's.
	* include/ddk/video.h:	Add #pragma pack(push,4) to balance.
	(VIDEO_ACCESS_RANGE): Guard against prior definition.
	* include/ddk/videoagp.h:Add #pragma pack(push,4) to balance.
	* include/ddk/win2k.h: Likewise.
	* include/ddk/winddi.h: Likewise.
	* include/ddk/winddk.h: Likewise.
	* include/ddk/winnt4.h: Likewise.
	* include/ddk/ws2san.h: Likewise.
	* include/ddk/xfilter.h: Remove unbalanced #pragma pack(pop).
	* include/ddk/video.h: Don't process rest of file ifdef
	__WINDDI_H.
	* include/ddk/winddi.h: Don't process rest of file ifdef
	__VIDEO_H.
	* include/ddk/usb.h: Don't process rest of file ifdef
	__USBDI_H.
	* include/ddk/usbdi.h: Don't process rest of file ifdef
	__USB_H.
	* include/ddk/usbcamdi.h: Don't process rest of file if
	!defined(__USB_H) && !defined(__USBDI_H)

2002-12-18  James E. Lucas  <xelloss@users.sourceforge.net>

	* include/winnetwk.h (WNetResourceInformation[AW]): Correct
	prototypes.
	* include/winuser.h (GetAncestor) Add prototype.
	(GA_PARENT, GA_ROOT, GA_ROOTOWNER): Add defines.
	(EWX_FORCEIFHUNG): Add define for _WIN32_WINNT >= 0x0500.
	(SPI_GETACTIVEWINDOWTRACKING, SPI_GETACTIVEWNDTRKZORDER,
	SPI_GETACTIVEWNDTRKTIMEOUT, SPI_SETACTIVEWINDOWTRACKING
	SPI_SETACTIVEWNDTRKZORDER, SPI_SETACTIVEWNDTRKTIMEOUT): Add
	defines.
	* lib/user32.def (GetAncestor@8): Add stub.

2002-12-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/windows.h: Guard inclusion of wingdi.h,
	commdlg.h, winspool.h, ole2.h with NOGDI.
 	* include/winuser.h (ICONMETRICS, NONCLIENTMETRICS,
	ChangeDisplaySettings, CreateDesktop, EnumDisplaySettings):
	Guard with NOGDI.

2002-12-12  Dimitri Papadopoulos  <dimitri_at@sourceforge.users.net>

	* include/oleacc.h (SELFLAG_*): Change to enum.

2002-12-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shlobj.h (IShellLinkW::GetPath): Correct prototype.
	Thanks to: Dimitri Papadopoulos <dimitri_at@sourceforge.users.net>

2002-12-09  Danny Smith  <dannysmith@users.sourceforge.net>
	
	* include/shellapi.h (ExtractIconEx[AW]): Correct return type
	to UINT.
	Thanks to: Dimitri Papadopoulos <dimitri_at@sourceforge.users.net>

2002-12-07  Danny Smith  <dannysmith@users.sourveforge.net>
	
	* include/winuser.h (AllowSetForegroundWindow,
	LockSetForegroundWindow): Add prototypes.
	(ASFW_ANY, LSFW_LOCK, LSFW_UNLOCK) Add defines.
	Thanks to:  Pat Thoyts  <patthoyts@users.sourceforge.net>
	* lib/winuser.def (AllowSetForegroundWindow,
	LockSetForegroundWindow): Add stubs.

2002-12-06  Ken Fitlike  <kenfitlike@users.sourceforge.net>

	* include/commctrl.h (TN_GETDISPINFO[AW]): Add defines and
	UNICODE mappings.
	(tagNMTTDISPINFO[AW]): Replace obsolete struct names
	tagTOOLTIPTEXT[AW] and typedefs. Add defines for backward
	compatability. Add lParam field. Add UNICODE mappings for new
	names.

2002-12-02  Andrew Stadt  <acstadt@sympatico.ca>

	* include/shellapi.h (_SHFILEOPSTRUCTA,_SHFILEOPSTRUCTW):
	Wrap with pshpack2.h/poppack.h to correct alignment.

2002-12-02  Ken Fitlike  <kenfitlike@users.sourceforge.net>

	* include/commctrl.h (LVBKIF_*): Add defines.
	(LVM_SETIMAGE[AW]): Add defines and UNICODE mappings.
	(LVM_GETIMAGE[AW]): Add defines and UNICODE mappings.
	(LVBKIMAGE[AW]): Add defines and UNICODE mappings.
	(LPLVBKIMAGE[AW]): Add defines and UNICODE mappings.
	(LVM_GETBKIMAGE[AW]): Add defines and UNICODE mappings.
	(LVM_SETBKIMAGE[AW]): Add defines and UNICODE mappings.
	(ListView_GetBkImage): Add define.
	(ListView_SetBkImage): Add define.
	(LVBKIMAGE): Add structures and typedefs.

2002-11-25  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Increment to version 2.2
	* Makefile.in: Ditto.

2002-11-25  Earnie Boyd  <earnie@users.sf.net>

	* lib/Makefile.in (dist, install): Correct the install destinations.
	* lib/ddk/Makefile.in (dist, install): Ditto.

2002-11-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/uuid.c (CATID_InternetAware,CLSID_HttpSProtocol,
	CLSID_PSUrlMonProxy,CLSID_StdURLMoniker,IID_IObjectWithSite,
	IID_IPersistMoniker,IID_IProgressNotify): Correct off-by-one bug
	in definitions.
	(CLSID_CFontPropPage00, GUID_FONTUNDERSCORE11,
	IID_IOleControlSite89): Remove.

2002-11-15  Christopher Faylor  <cgf@redhat.com>

	* lib/uuid.c (IID_IRunnableObject): Remove duplicate definition.
	(IID_IStdMarshalInfo): Ditto.

2002-11-15  Christopher Faylor  <cgf@redhat.com>

	* lib/uuid.c (IID_IOleInPlaceSite): Remove duplicate definition.
	(IID_IPersistStorage): Ditto.

2002-11-15  Weiqi Gao  <weiqigao@users.sourceforge.net>

	* lib/uuid.c (CLSID_PSClassObject, CLSID_PSEnumerators,
	IID_IClassActivator, IID_IClientSecurity, IID_ICreateTypeInfo,
	IID_ICreateTypeLib2, IID_IOleInPlaceSite, IID_IPersistStorage,
	IID_IRunnableObject, IID_IServerSecurity, IID_IStdMarshalInfo):
	Correct definitions.

2002-11-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/(atm.h, batclass.h, cfg.h, cfgmgr32.h, d4drvif.h,
	d4iface.h, ddkmapi.h, hidclass.h, hidpi.h, hidusage.h, mcd.h,
	miniport.h, minitape.h, mountdev.h, mountmgr.h, ndis.h,
	ndisquid.h, ndistapi.h, ndisvan.h, netevent.h, netpnp.h,
	netdev.h, ntapi.h, ntdd8042.h, ntddbeep.h, ntddcdrm.h,
	ntddcdvd.h, ntddchgr.h, ntdddisk.h, ntddk.h, ntddkbd.h,
	ntddmou.h, ntddndis.h, ntddpar.h, ntddpcm.h, ntddscsi.h,
	ntddser.h, ntddstor.h, ntddtape.h, ntddtdi.h, ntddvdeo.h,
	ntddvol.h, ntifs.h, ntpoapi.h, ntstatus.h, parallel.h, pfhook.h,
	poclass.h, scsi.h, scsiscan.h, scsiwmi.h, smbus.h, srb.h,
	storport.h, tdi.h, tdiinfo.h, tdikrnl.h, tdistat.h, tvout.h,
	upssvc.h, usb.h, usb100.h, usbcamdi.h, usbdi.h, usbioctl.h,
	usbiodef.h, usbscan.h, usbuser.h, video.h, videoagp.h, win2k.h,
	winddi.h, winddk.h, winnt4.h, winxp.h, ws2san.h, 
	xfilter.h): Change comment to refer w32api package, not MinGW.

2002-11-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/ntddk.h: Include winnt.h as system header.

2002-11-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ddk/(atm.h, batclass.h, cfg.h, cfgmgr32.h, d4drvif.h,
	d4iface.h, ddkmapi.h, hidclass.h, hidpi.h, hidusage.h, mcd.h,
	miniport.h, minitape.h, mountdev.h, mountmgr.h, ndis.h,
	ndisquid.h, ndistapi.h, ndisvan.h, netevent.h, netpnp.h,
	netdev.h, ntapi.h, ntdd8042.h, ntddbeep.h, ntddcdrm.h,
	ntddcdvd.h, ntddchgr.h, ntdddisk.h, ntddk.h, ntddkbd.h,
	ntddmou.h, ntddndis.h, ntddpar.h, ntddpcm.h, ntddscsi.h,
	ntddser.h, ntddstor.h, ntddtape.h, ntddtdi.h, ntddvdeo.h,
	ntddvol.h, ntifs.h, ntpoapi.h, ntstatus.h, parallel.h, pfhook.h,
	poclass.h, scsi.h, scsiscan.h, scsiwmi.h, smbus.h, srb.h,
	storport.h, tdi.h, tdiinfo.h, tdikrnl.h, tdistat.h, tvout.h,
	upssvc.h, usb.h, usb100.h, usbcamdi.h, usbdi.h, usbioctl.h,
	usbiodef.h, usbscan.h, usbuser.h, video.h, videoagp.h, win2k.h,
	winddi.h, winddk.h, winnt4.h, winxp.h, ws2san.h, 
	xfilter.h): Fix typo in disclaimer comment.

2002-11-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/exdisp.h: Include oaidl.h as system header.

2002-11-12  Earnie Boyd <earnie@users.sf.net>

	* include/w32api.h (__W32API_VERSION): Fix.

2002-11-09  Weiqi Gao  <weiqigao@users.sourceforge.net>

	* lib/uuid.c (IID_ICatInformation): Correct definition.

2002-11-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/oleauto.h (DeregisterTypeLib): Remove.
	(UnRegisterTypeLib): Add prototype.

2002-11-07  Christopher January  <chris@atomice.net>

	* include/winioctl.h: Add definition for IOCTL_DISK_UPDATE_DRIVE_SIZE.

2002-11-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (VerSetConditionMask): Add prototype.
	* lib/kernel32.def (VerifyVersionInfo[AW]): Add stubs.

2002-10-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (MONITORINFOEX[AW]): Add structure
	definitions and ANSI/UNICODE mappings.
	Cleanup whitespace.

2002-10-14  Earnie Boyd  <earnie@users.sf.net>

	* Makefile.in: Add components for lib/ddk.  Adjust for autoconf-2.53.
	* configure.in: Ditto.
	* lib/Makefile.in: Ditto.
	* lib/ddk/Makefile.in: Correct installation procedure.  Adjust for
	autoconf-2.53.
	* configure: Regenerate.

2002-10-14  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/windows.h: Don't include basetyps.h.
	* include/objfwd.h: Do include basetyps.h.

2002-10-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/objbase.h: Include rpc.h and rpcndr.h
	before header guard.

2002-10-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/olectl.h (PROPPAGEINFO): Change type of
	field cb to ULONG.

2002-10-11  Steven Edwards  <Steven_Ed4153@yahoo.com>

	* lib/ntdll.def (RtlAcquireResourceExclusive,
	RtlAcquireResourceShared, RtlDeleteResource,
	RtlInitializeResource, RtlReleaseResource,
	RtlTimeToSecondsSince1970) : Added missing exports.

2002-10-08  Heiko Gerdau  <hg@technosis.de>

	* include/oleacc.h: New file.
	* include/winuser.h (ENDSESSION_LOGOFF) Add define.
	(OBJID_*) Add defines.
	* lib/uuid.c: Add DEFINE_GUID for IID_IAccessible.
	* lib/test.c: Include oleacc.h.

2002-10-06  Casper Hornstrup  <chorns@it.dk>

	* include/ddk: New subdir.
	* lib/ddk: Ditto.
	* include/ddk/(atm.h, batclass.h, cfg.h, cfgmgr32.h, d4drvif.h,
	d4iface.h, ddkmapi.h, hidclass.h, hidpi.h, hidusage.h, mcd.h,
	miniport.h, minitape.h, mountdev.h, mountmgr.h, ndis.h,
	ndisquid.h, ndistapi.h, ndisvan.h, netevent.h, netpnp.h,
	netdev.h, ntapi.h, ntdd8042.h, ntddbeep.h, ntddcdrm.h,
	ntddcdvd.h, ntddchgr.h, ntdddisk.h, ntddk.h, ntddkbd.h,
	ntddmou.h, ntddndis.h, ntddpar.h, ntddpcm.h, ntddscsi.h,
	ntddser.h, ntddstor.h, ntddtape.h, ntddtdi.h, ntddvdeo.h,
	ntddvol.h, ntifs.h, ntpoapi.h, ntstatus.h, parallel.h, pfhook.h,
	poclass.h, scsi.h, scsiscan.h, scsiwmi.h, smbus.h, srb.h,
	storport.h, tdi.h, tdiinfo.h, tdikrnl.h, tdistat.h, tvout.h,
	upssvc.h, usb.h, usb100.h, usbcamdi.h, usbdi.h, usbioctl.h,
	usbiodef.h, usbscan.h, usbuser.h, video.h, videoagp.h, win2k.h,
	winddi.h, winddk.h, winnt4.h, winxp.h, ws2san.h, 
	xfilter.h): New files.
	* lib/ddk/(Makefile.in, apcups.def, cfgmgr32.def, dxapi.def,
	hal.def, hid.def, hidparse.def, mcd.def, ndis.def, ntoskrnl.def,
	scsiport.def, tdi.def, usbcamd.def, usbcamd2.def, videoprt.def,
	win32k.def): Ditto.

2002-10-04  Steven Edwards  <Steven_Ed4153@yahoo.com>

	* lib/ntdll.def (NtAccessCheck, NtAdjustPrivilegesToken,
	NtCreateKey, NtDeleteKey, NtDeleteValueKey, NtEnumerateKey,
	NtEnumerateValueKey, NtOpenKey, NtOpenProcessToken,
	NtOpenThreadToken, NtQueryInformationToken, NtQueryKey,
	NtQueryValueKey, NtSetSecurityObject, NtSetValueKey,
	RtlAddAccessAllowedAce, RtlCreateAcl,
	RtlCreateSecurityDescriptor, RtlCreateUnicodeStringFromAsciiz,
	RtlGetAce, RtlGetControlSecurityDescriptor,
	RtlGetDaclSecurityDescriptor,RtlGetGroupSecurityDescriptor,
	RtlGetOwnerSecurityDescriptor,RtlGetSaclSecurityDescriptor,
	RtlImpersonateSelf, RtlIsTextUnicode, RtlLargeIntegerAdd,
	RtlLengthSecurityDescriptor, RtlMakeSelfRelativeSD,  
	RtlMultiByteToUnicodeN RtlMultiByteToUnicodeSize,
	RtlOpenCurrentUser, RtlSetDaclSecurityDescriptor,
	RtlSetGroupSecurityDescriptor, RtlSetOwnerSecurityDescriptor,
	RtlSetSaclSecurityDescriptor, RtlValidSecurityDescriptor,
	ZwAccessCheck, ZwAdjustPrivilegesToken, ZwCreateKey,
	ZwDeleteValueKey, ZwEnumerateKey, ZwEnumerateValueKey,
	ZwOpenKey, ZwOpenProcessToken, ZwOpenThreadToken,
	ZwQueryInformationToken, ZwQueryKey, ZwQueryValueKey
	ZwSetSecurityObject, ZwSetValueKey): Added missing exports.

2002-10-04  "KJK::Hyperion"  <noog@libero.it>

	*include/windef.h (WPARAM): Update typedef.
	(LPARAM): Ditto.
	(LRESULT): Ditto.

2002-10-04  "KJK::Hyperion"  <noog@libero.it>

	* include/shlobj.h (CSIDL_*): Add defines.

2002-09-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ws2tcpip.h: Throw error if winsock.h, not winsock2.h
	has been included first.

2002-09-24  René Møller Fonseca  <fonseca@users.sourceforge.net>

	* include/winbase.h (FindFirstFileEx): Fixed ANSI mode.
	* include/wingdi.h (PFD_SWAP_LAYER_BUFFERS):Added define.
	* include/winuser.h (AppendMenu[AW]): Fixed prototypes.

2002-09-18  Eric R. Krause  <ekrause_98@users.sourceforge.net>

	* include/winuser.h (DS_SHELLFONT): Define.

2002-09-17  Daniel Schlyder  <daniel@dascdev.net>

	* include/winnt.h (VER_SUITE_BLADE): Define.

2002-09-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shlobj.h (SHGetSpecialFolderPath[AW]):
	Add _WIN32_IE guard. Correct prototype for wide version.
	(SHGetFolderPath): Add comment on shfolder.dll.
	(SHGetFolderLocation): Add prototyope for WinME and W2K.
	(SHGetFolderPathAndSubDir[AW]): Add prototypes for XP.

2002-09-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/shell32.def (SHGetFolderPath[AW]): Add comment.
	* lib/shfolder.def: New file.

2002-09-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winsock.h (timeval): Guard struct and associated
	macros with _TIMEVAL_DEFINED.
	* include/winsock2.h (timeval): Likewise.

2002-09-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/shell32.def (SHBindtoParent,SHCreateDirectoryEx[AW],
	SHCreateProcessAsUserW,SHCreateQueryCancelAutoPlayMoniker,
	SHCreateShellItem,SHEmptyRecycleBin[AW],
	SHEnumerateUnreadMailAccountsW,SHExtractIconsW,
	SHGetDataFromIDList[AW],SHGetDiskFreeSpace[AW],
	SHGetDiskFreeSpaceEx[AW],SHGetFolderLocation,
	SHGetFolderPathAndSubDir[AW],SHGetIconOverlayIndex[AW],
	SHGetNewLinkInfo[AW],SHGetSettings,SHGetUnreadMailCountW,
	SHInvokePrinterCommand[AW],SHIsFileAvailableOffline,
	SHLoadNonloadedIconOverlayIdentifiers,
	SHOpenFolderAndSelectItems,SHParseDisplayName,
	SHPathPrepareForWrite[AW],SHQueryRecycleBin[AW],
	SHSetLocalizedName,SHSetUnreadMailCountW,
	SHUpdateRecycleBinIcon: Add missing stubs.

2002-09-07  Earnie Boyd  <earnie@users.sf.net>

	* include/windef.h (WINVER): Add documentation.
	(_WIN32_WINNT): Ditto.
	Special thanks to Paul Schmidt <paul@tricattechnologies.com>

2002-09-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/Makefile.in (TEST_OPTIONS): Define WINVER to 0x0666.

2002-09-04  Kevin Chase  <kevincha99@hotmail.com>

	* include/winbase.h (AllocateUserPhysicalPages,
	MapUserPhysicalPages, MapUserPhysicalPagesScatter,
	FreeUserPhysicalPages): Add prototypes.
	* lib/kernel32.def: Add function stubs for above.

2002-09-03  René Møller Fonseca  <fonseca@users.sourceforge.net>

	* include/winuser.h (IDTRYAGAIN,IDCONTINUE): Add defines.
	Add WINVER guards for dialog box command id defines.

2002-09-03  Earnie Boyd  <earnie@users.sf.net>

	* include/wincon.h (GetConsoleWindow): Add _WIN32_WINNT >= 0x0500 guard.

2002-08-30  Christopher January <ccj00@doc.ic.ac.uk>

	* include/wincon.h: Define GetConsoleWindow(void).

2002-08-28  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Increment version to 2.1.
	* Makefile.in: Ditto.

2002-08-26  Bart Oldeman  <bart.oldeman@btinternet.com>

	* include/winsock2.h (SOCKET_ADDRESS): Define if
	__CSADDR_T_DEFINED is not defined (copied from nspapi.h)
	(CSADDR_INFO): Ditto.
	(nspapi.h) : Don't include. Removed FIXME comment.
	* include/nspapi.h (SOCKET_ADDRESS) Only define if
	__CSADDR_T_DEFINED is not defined.
	(CSADDR_INFO): Ditto.
	(BLOB): Add structure and typedef if not already defined.
	(NS_*): Add defines.
	(SERVICE_*): Ditto.
	(SERVICE_ADDRESS): Add structure and typedefs.
 	(SERVICE_ADDRESSES): Ditto.
	(SERVICE_INFO[AW]): Ditto, and add UNICODE mappings.
	(LPSERVICE_ASYNC_INFO): Add typedef.
	(SetService[AW], GetAddressByName[AW]): Add prototypes and UNICODE
	mappings.
	* include/wsipx.h: New file.
	* include/svcguid.h: New file.
	* lib/test.c: Include wspix.h and svcguid.h.

2002-08-26  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/wsahelp.h: New file.
	* lib/test.c: Include wsahelp.h.

2002-08-21  Earnie Boyd  <earnie@users.sf.net>

	* include/commctrl.h (NMCUSTOMDRAW): Fix lItemlParam.
	Thanks to: "Phil Dempster" <p_dempster@yahoo.co.uk>.

2002-08-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ws2spi.h: Modify comment about being part of
	mingw32 package.
	(winsock2.h): Change "" to <>.

2002-08-20  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/ws2spi.h: New file.
	* lib/test.c: Include ws2spi.h.

2002-08-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winsock2.h (WSAIsBlocking,WSAUnhookBlockingHook,
	WSASetBlockingHook,WSACancelBlockingCall): Expose deprecated
	functions.

2002-08-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (CURSOR_SHOWING) Add define.
	Thanks to: Jan Hlavatý  <hlavac@users.sourceforge.net>

2002-08-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winerror.h: Cast OLE error codes to HRESULT.
	Thanks to: Gunnar Degnbol <gdegnbol@users.sourceforge.net>

2002-08-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wincrypt.h (ALG_*): Add defines.
	(CALG_*): Ditto.
	(CRYPT_*): Ditto.
	(PP_*): Ditto.
	(PROV_*): Ditto.
	(PRIVATEKEYBLOB): Add define.

2002-08-14  Earnie Boyd  <earnie@users.sf.net>

	* include/shlobj.h (SHGetFolderPath): Add define.
	* lib/shell32.def (SHGetSpecialFolderPath): Add export.
	(SHGetFolderPath): Ditto.

2002-08-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commdlg.h: Don't include COM headers or use
	COM-dependent symbols if __OBJC__.

2002-08-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wincrypt.h (CryptDuplicateHash, CryptDuplicateKey):
	Add prototypes.

2002-08-12  Andriy Palamarchuk  <apa3a@yahoo.com>

	* include/shellapi.h (FOF_NOERRORUI): Add define.

2002-08-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/objidl.h (IEnumMoniker): Put 'interface' back.

2002-08-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/objidl.h (IEnumMoniker): Correct declaration.

2002-08-09  Mark Schreiber  <mark7@users.sourceforge.net>

	* include/wincrypt.h (CRYPT_NOHASHOID): Add define.

2002-08-09  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h: Whitespace change.

2002-08-09  Lars Munch  <lars@segv.dk>

	* include/commctrl.h (tagTVHITTESTINFO): Replace obsolete
	struct name _TVHITTESTINFO and typedefs and add defines for
	backward compatability.
	(ListView_SetExtendedListViewStyleEx): Add macro.

2002-08-05  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wingdi.h (AlphaBlend,GradientFill,TransparentBlt):
	Add prototypes.
	* lib/msimg32.def: New file, with stubs for above.

2002-08-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (AddAccessAllowedAceEx,AddAccessDeniedAceEx,
	GetFileSizeEx, SetFilePointerEx): Add prototypes.
	(EncryptFile[AW], FileEncryptionStatus[AW]): Add prototypes
	and UNICODE mappings.

2002-08-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h (ReadFileScatter, WriteFileGather):
	Change second parameter to pointer.

2002-07-31  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wininet.h (InternetReadFileEx[AW]). Add prototypes and
	UNICODE mappings.
	* lib/wininet.def: Regenerate.

2002-07-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/windef.h (PVOID): Move typedef to...
	* include/winnt: ...here.
	(PVOID64): New typedef.

	* include/winnt,h (FILE_SEGMENT_ELEMENT): Define union.
	* include/winbase.h (ReadFileScatter, WriteFileGather):
	Add prototypes.

	* include/winnt,h (PROCESSOR_ARCHITECTURE_*): Add defines.
	(PROCESSOR_INTEL_IA64): Add define.

2002-07-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/oleidl.h (MK_ALT): Define.

2002-07-26  Mattia Barbon  <mbarbon@dsi.unive.it>

	* include/exdisp.h: New file.
	* include/exdispid.h: New file.
	* include/mshtml.h: New file.
	* lib/test.c: #include exdisp.h and mshtml.h
	* lib/uuid.c (CLSID_WebBrowser, DIID_DWebBrowserEvents,
	DIID_DWebBrowserEvents2, IID_IHTMLDocument, IID_IHTMLDocument2,
	IID_IHTMLElement, IID_IHTMLSelectionObject, IID_IHTMLTxtRange,
	IID_IWebBrowser, IID_IWebBrowser2, IID_IWebBrowserApp):
	New GUIDs.

2002-07-26  Mattia Barbon  <mbarbon@dsi.unive.it>

	* include/docobj.h: New file.
	* include/idispids.h: New file.
	* include/objidl.h (IID_IMoniker): Declare.
	* include/ocidl.h (READYSTATE): New enum.
	(IOleInPlaceSiteEx): New interface.
	* include/olectlid.h (IID_IEnumSTATSTG): New interface
	identifier.
	* include/oleidl.h (IOleItemContainer, IOleInPlaceObject,
	IOleInPlaceSite): New interfaces.
	* lib/test.c: #include docobj.h,idispids.h,

2002-07-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shlobj.h (BFFM_VALIDATEFAILED[AW]): Add defines.
	(BFFM_SETSTATUSTEXT, BFFM_SETSELECTION): UNICODE them.

2002-07-25  Mattia Barbon  <mbarbon@dsi.unive.it>

	* include/commctrl.h: Avoid redefinition of CDN_FIRST/LAST.
	* include/commdlg.h: Likewise.

2002-07-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/oleauto.h (V_UNION): Correct definition for case of
	NONAMELESSUNION:
	(V_VT): Likewise.

2002-07-23  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/oleauto.h (V_BOOL): Define in terms of boolVal,
	not bool, for C as well as C++.

2002-07-22  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/shlwapi.h: New file.
	Thanks to: Mattia Barbon  <mbarbon@dsi.unive.it> and
	Victor Porton  <porton@narod.ru> for contributions.
	* lib/shlwapi.def: New file.
	* lib/test.c: #include shlwapi.h.

2002-07-21  Bart Oldeman  <bart.oldeman@btinternet.com>

	* include/shlobj.h (FCIDM_MENU_FAVORITES): Remove bogus
	character.
	* include/winsock2.h (struct sockaddr): Use __int64 instead of
	long long.
	* lib/kernel32.c (GetCurrentFiber, GetFiberData): Watcom
	does not need external *Fiber library functions.

2002-07-20  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/winbase.h (GetEnvironmentStringsA): Remove duplicate
	definition.
	(Interlocked*): Wrap in #ifndef __INTERLOCKED_DECLARED to
	avoid compile error when already defined.

2002-07-20  Steven Edwards  <Steven_Ed4153@yahoo.com>

	* include/winuser.h (WM_MENURBUTTONUP): Add define.

2002-07-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commdlg.h: Define CDN_* notification message constants
	as UINT.

2002-07-17  Mattia Barbon  <mbarbon@users.sourceforge.net>

	* include/commctrl.h: Define notification message constants for
	NMHDR.code as UINT.

2002-07-17   Bart Oldeman  <bart.oldeman@btinternet.com>

	* include/ddeml.h (MH_*) Add defines.
	(MONHSZSTRUCT): Add structure and typedefs.
	(MONLINKSTRUCT): Ditto.
	(MONCONVSTRUCT): Ditto.
	(MONCBSTRUCT): Ditto.
	(MONERRSTRUCT): Ditto.
	(MONMSGSTRUCT): Ditto.
	* include/windef.h: Don't define __cdecl or _cdecl for
	__WATCOM__.
	Don't define _export or __export for __WATCOM__.
	* include/windows.h (imm.h): #include.
	* include/winnt.h (LPEXCEPTION_RECORD): Add typedef.

2002-07-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wtypes.h: Remove duplicate #includes of rpc.h and
	rpcndr.h.

2002-07-05  Luke Dunstan  <infidel@users.sourceforge.net>

	* include/winbase.h (OpenThread): Add prototype.
	* lib/kernel32.def (OpenThread): Add symbol.

2002-07-04  Luke Dunstan  <infidel@users.sourceforge.net>

	* include/wtypes.h (HMETAFILEPICT): Add typedef.

2002-07-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/rpc.h: Conditionally include <windows.h> before
	header guard.
	* include/wtypes.h: Include <rpc.h> and <rpcndr.h> before
	header guard.

2002-07-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (WC_*): Remove some duplicate defines.

2002-07-02  Ken Fitlike  <kenfitlike@hotmail.com>

	* include/commctrl.h (WC_IPADDRESS[AW]): Add defines and
	UNICODE mappings.
	(IPM*): Add defines.
	(IPN_*): Add defines.
	(NMIPADDRESS): Add structure and typedefs.
	(MAKEIPADDRESS): Add macro.
	(MAKEIPRANGE): Add macro.
	(FIRST_IPADDRESS): Add macro.
	(SECOND_IPADDRESS): Add macro.
	(THIRD_IPADDRESS): Add macro.
	(FOURTH_IPADDRESS): Add macro.

2002-06-25  Conrad Scott  <conrad.scott@dsl.pipex.com>

	* include/winbase.h (FILE_FLAG_FIRST_PIPE_INSTANCE): Add constant.

2002-06-26  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/winbase.h (WINBASEAPI): Don't define if prior
	definition.

	* include/winioctl.h (PARTITION_FAT32, PARTITION_FAT32_XINT13,
	PARTITION_XINT13, PARTITION_XINT13_EXTENDED, PARTITION_LDM,
	PARTITION_UNIX): Add defines.
	(PDRIVE_LAYOUT_INFORMATION): Add typedef.
	(IsRecognizedPartition): Also check for PARTITION_FAT32,
	PARTITION_FAT32_XINT13 and PARTITION_XINT13.
	(IsContainerPartition): Add macro.

2002-06-25  Ken Fitlike  <kenfitlike@hotmail.com>

	* include/commctrl.h: (CBEIF_*): Add defines.
	(CBEN_*): Add defines and UNICODE mappings
	(WC_COMBOBOXEX[AW]): Add defines and UNICODE mappings.
	(CBEMAXSTRLEN): Add define.
	(COMBOBOXEXITEM[AW]): Add structures and typedefs.
	(NMCOMBOBOXEX[AW]): Add structures and typedefs.
	(NMCBEDRAGBEGIN[AW]): Add structure and typedefs.
	(NMCBEENDEDIT[AW]): Add structure and typedefs.

2002-06-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/objidl.h (struct tagPROPVARIANT): Kill obsolete
	union member _VARIANT_BOOL bool.
	
2002-06-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winioctl.h (FILE_SPECIAL_ACCESS): Add define.

2002-06-24  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/winnt.h (PCCHAR, FCHAR, FSHORT, FLONG,
	PLUID_AND_ATTRIBUTES,PSECURITY_IMPERSONATION_LEVEL,
	PSID_AND_ATTRIBUTES, PTOKEN_TYPE, PTOKEN_STATISTICS):
	Add typedefs.
	(CCHAR): Correct typedef.
	(PROCESS_SET_SESSIONID, SECURITY_*,SECTION_MAP_EXECUTE):
	Add defines.

2002-06-24  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* README.w32api: Correct spelling error.

2002-06-19  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/winuser.h (FLASHW_*,INPUT_MOUSE,INPUT_KEYBOARD,
	INPUT_HARDWARE): Add defines.
	(HDEVNOTIFY): Add typedef.
	(FLASHWINFO,tagMOUSEMOVEPOINT,tagMOUSEINPUT,tagKEYBDINPUT,
	tagHARDWAREINPUT,tagINPUT,tagGUITHREADINFO): Define structs and
	typedefs.
	(CreateDesktop[AW],CreateMDIWindow[AW],GetClassInfo[AW],
	GetClassInfoEx[AW],GetKeyboardLayoutList,
	MessageBoxIndirect[AW],MsgWaitForMultipleObjects,
	MsgWaitForMultipleObjectsEx, RegisterClass[AW],
	RegisterClassEx[AW]): Correct prototypes.

2002-06-19  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/ddeml.h (DdeCreateStringHandle{AW]:Correct
	prototypes.
	* include/winsvc.h (StartServiceW): Correct prototype.
	* include/winbase.h (BackupRead,BackupSeek,BackupWrite,
	FileTimeToLocalFileTime, GetAce,GetPrivateProfileStruct[AW],
	GetTickCount,InterlockedExchangeAdd,
	WritePrivateProfileStruct[AW]: Correct prototypes.
	(GetEnvironmentStrings): Correct mapping to
	GetEnvironmentStringsA.
	* include/winver.h (VerQueryValueA,VerQueryValueW):
	Correct prototypes.
	* include/wincon.h (CreateConsoleScreenBuffer): Correct
	prototype.
	* include/winreg.h (RegQueryMultipleValues[AW],
	RegQueryValueEx[AW]):Correct prototypes.
	* include/wingdi.h (PXFORM, PLOGBRUSH, PLOGPEN, PPOLYTEXTA,
	PPOLYTEXTW): Add typedefs.
	(_DESIGNVECTOR,COLOR16, _TRIVERTEX, _DISPLAY_DEVICE): Add
	structures and typedefs.
	(MM_MAX_NUMAXES): Add define.
	(EnumFontsW,GetEnhMetaFilePixelFormat,
	wglGetLayerPaletteEntries): Correct prototypes.
	* include/winerror.h (RPC_X_INVALID_PIPE_OBJECT,
	RPC_X_WRONG_PIPE_ORDER,RPC_X_WRONG_PIPE_VERSION,
	RPC_S_SEND_INCOMPLETE): Add defines.

2002-06-17  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/windef.h (_fastcall, __fastcall, FASTCALL):
	Add defines.

2002-06-16  Egor Duda  <deo@logos-m.ru>

	* include/ntdll.h: New file.
	* lib/ntdll.def: Add NtShutdownSystem.

2002-06-16  Steven Edwards  <Steven_Ed4153@yahoo.com>

	* lib/dinput.def (DirectInputCreateEx): Add stub.
	* lib/ntdll.def: New file.

2002-06-14  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Change to version 2.0 to reflect the change
	in the license.
	* README: Renamed.
	* README.w32api: Renamed from README.  Modified license to remove
	the restriction of notifying the author based on the fact that the
	author is unreachable at the notified address.
	* Makefile.in (VERSION): Change to 2.0.

2002-06-14  Earnie Boyd  <earnie@users.sf.net>

	* include/wingdi.h (GetEnhMetaFileBits): Correct typo.
	* Makefile.in (bindist): Correct the MinGW distribution.

2002-06-13  Earnie Boyd  <earnie@users.sf.net>

	* include/winuser.h (MOUSEHOOKSTRUCT): Define structure.
	* include/wingdi.h (GetEnhMetaFileBits): Define prototype.

2002-06-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/test.c: #include comcat.h.

2002-06-13  John K. Hohm <jhohm@acm.org>

	* include/comcat.h: New file.

2002-06-09  Gunnar Degnbol <gdegnbol@users.sourceforge.net>

	* include/richedit.h (EM_*, TM_*, GT_*): Add new defines.
	(GETTEXTEX): Add structure definition.

2002-06-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/windows.h (ole2.h): #include if !__OBJC__ and
	__GNUC__ >=3 and !WIN32_LEAN_AND_MEAN.

2002-06-07  Gunnar Degnbol <gdegnbol@users.sourceforge.net>

	* include/mapi.h: Change LPTSTR to LPSTR throughout.

2002-06-05  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (PACE_HEADER, PACCESS_ALLOWED_ACE,
	PACCESS_DENIED_ACE): Add typedefs.

2002-06-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/thunk32.def (LIBRARY): Change to KERNEL32.dll.

2002-06-03 Steven Edwards  <Steven_Ed4153@yahoo.com>

	* lib/kernel32.def (ConvertToGlobalHandle): Add stub.

2002-06-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/windef.h: Fix typo in last change.

2002-06-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/windef.h: Add no-op __try, __except, __finally
	defines from ...
	* include/excpt.h: Remove file.
	* include/windows.h: Don't include excpt.h.

2002-05-30  Christopher January  <chris@atomice.net>

	* include/ntdef.h (ANSI_STRING, PANSI_STRING, OEM_STRING, POEM_STRING):
	Add missing typedefs.

2002-05-28  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Increment version to 1.5
	* Makefile.in: Ditto.


2002-05-27  René Møller Fonseca  <fonseca@users.sourceforge.net> 

	* include/winreg.h: (RegConnectRegistry[AW]): Replace
	LP[W]STR with LPC[W]STR.
	(REG_QWORD, REG_QWORD_LITTLE_ENDIAN): Add defines.
	Clean up whitespace.

2002-05-27  Rick Rankin  <rick_rankin@yahoo.com>

	* include/winnls.h: Add #define for LOCALE_RETURN_NUMBER.

2002-05-21  Earnie Boyd  <earnie@users.sf.net>

	* Makefile.in: Increment VERSION to 1.4.
	(conf_prefix): New variable.
	(bindist): Modify target to use $(conf_prefix).

2002-05-20  Philip Aston  <philipa@mail.com>

	* include/pbt.h (PBT_APMRESUMESUSPEND): Correct value is 7.

2002-05-20  René Møller Fonseca  <fonseca@users.sourceforge.net>

	* include/lmaccess.h: (NetAccess*, NetGroup*,
	NetLocalGroup*, NetUser*, NetGet*, INetLogonControl[2],
	NetQueryDisplayInfotmationIndex): Replace LPWSTR with LPCWSTR.

2002-05-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/commctrl.h (ImageList_DragShowNolock): Remove
	conflicting redeclaration.

2002-05-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/windows.h: Move ANONYMOUS_UNION, _ANONYMOUS_STRUCT,
	STRICT and related defines to ...
	* include/windef.h: Here.

2002-05-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winsock2.h (int32): Remove typedef.
	(SERVICETYPE): Add typedef.
	(struct _flowspec):Revise struct definition,  Comment
	on types used for members.

2002-05-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (EVENT_*, SEMAPHORE_*,MUTEX_*): Remove
	more defines added in earlier change.
	* lib/Makefile.in (TEST_OPTIONS): Add -Wsystem-headers flag.

2002-05-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (THREAD_PRIORITY_*): Remove defines
	added in last change.

2002-05-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnt.h (THREAD_*, EVENT_*, MUTANT_*,
	SEMAPHORE_*, MUTEX_*, TIMER_*): Add new defines.

2002-05-01  Manu B  <contact.manu@wanadoo.fr>

	* include/commctrl.h (SNDMSG): Define and use throughout
	in other macros instead of SendMessage.
	* include/commdlg.h (SNDMSG): Ditto.

2002-04-22  José Fonseca  <jrfonseca@users.sf.net>

	* include/GL/gl.h: New file.
	* include/GL/glext.h: Ditto.
	* include/GL/glu.h: Ditto.

2002-04-09  Earnie Boyd  <earnie@users.sf.net>

	* include/w32api.h: Increment version.
	* Makefile.in: Ditto.

2002-04-09  Earnie Boyd  <earnie@users.sf.net>

	* Makefile.in (bindist): Use * instead of . for file list for tar
	command.

2002-04-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wtypes.h (enum tagCLSCTX): Change formatting.

2002-04-02  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* include/objidl.h (IRunningObjectTable.Register): Correct
	prototype.
	* include/wtypes.h (ROTFLAGS_REGISTRATIONKEEPSALIVE,
	ROTFLAGS_ALLOWANYCLIENT): Add defines.

2002-03-31  Victor Porton  <porton@narod.ru>

	* include/shellapi.h (SHGFI_ATTR_SPECIFIED): Add define.

2002-03-29  David Robinow  <drobinow@yahoo.com>

	* include/wingdi.h (SetPixelFormat): Correct prototype.

2002-03-29  Phil Krylov  <likewolf@users.sourceforge.net>

	* include/richedit.h (EM_SHOWSCROLLBAR): Add define.

2002-03-26  Phil Krylov  <likewolf@users.sourceforge.net>

	* include/richedit.h (EM_GETSCROLLPOS, EM_SETSCROLLPSPOS):
	Add defines.

2002-03-14  Gunnar Degnbol <gdegnbol@users.sourceforge.net>

	* include/richedit.h (RICHEDIT_CLASS): UNICODE it.
	* include/shlobj.h (IContextMenu2): Put methods in right order.
	* include/basetyps.h (REFGUID, REFIID, REFCLSID): Check for
	CINTERFACE before defining.

2002-03-09  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/accctrl.h: Add #pragma GCC system_header
	if __GNUC__ >= 3.
	* include/aclapi.h: Same.
	* include/basetsd.h: Same.
	* include/basetyps.h: Same.
	* include/cderr.h: Same.
	* include/cguid.h: Same.
	* include/commctrl.h: Same.
	* include/commdlg.h: Same.
	* include/cpl.h: Same.
	* include/cplext.h: Same.
	* include/custcntl.h: Same.
	* include/dbt.h: Same.
	* include/dde.h: Same.
	* include/ddeml.h: Same.
	* include/dlgs.h: Same.
	* include/excpt.h: Same.
	* include/httpext.h: Same.
	* include/imagehlp.h: Same.
	* include/imm.h: Same.
	* include/initguid.h: Same.
	* include/intshcut.h: Same.
	* include/ipexport.h: Same.
	* include/iphlpapi.h: Same.
	* include/ipifcons.h: Same.
	* include/iprtrmib.h: Same.
	* include/iptypes.h: Same.
	* include/isguids.h: Same.
	* include/largeint.h: Same.
	* include/lm.h: Same.
	* include/lmaccess.h: Same.
	* include/lmalert.h: Same.
	* include/lmapibuf.h: Same.
	* include/lmat.h: Same.
	* include/lmaudit.h: Same.
	* include/lmbrowsr.h: Same.
	* include/lmchdev.h: Same.
	* include/lmconfig.h: Same.
	* include/lmcons.h: Same.
	* include/lmerr.h: Same.
	* include/lmerrlog.h: Same.
	* include/lmmsg.h: Same.
	* include/lmremutl.h: Same.
	* include/lmrepl.h: Same.
	* include/lmserver.h: Same.
	* include/lmshare.h: Same.
	* include/lmsname.h: Same.
	* include/lmstats.h: Same.
	* include/lmsvc.h: Same.
	* include/lmuse.h: Same.
	* include/lmuseflg.h: Same.
	* include/lmwksta.h: Same.
	* include/lzexpand.h: Same.
	* include/mapi.h: Same.
	* include/mciavi.h: Same.
	* include/mcx.h: Same.
	* include/mmsystem.h: Same.
	* include/mswsock.h: Same.
	* include/nb30.h: Same.
	* include/nddeapi.h: Same.
	* include/nspapi.h: Same.
	* include/ntdef.h: Same.
	* include/ntsecapi.h: Same.
	* include/ntsecpkg.h: Same.
	* include/oaidl.h: Same.
	* include/objbase.h: Same.
	* include/objfwd.h: Same.
	* include/objidl.h: Same.
	* include/odbcinst.h: Same.
	* include/ole.h: Same.
	* include/ole2.h: Same.
	* include/ole2ver.h: Same.
	* include/oleauto.h: Same.
	* include/olectl.h: Same.
	* include/olectlid.h: Same.
	* include/oledlg.h: Same.
	* include/oleidl.h: Same.
	* include/pbt.h: Same.
	* include/prsht.h: Same.
	* include/psapi.h: Same.
	* include/rapi.h: Same.
	* include/ras.h: Same.
	* include/raserror.h: Same.
	* include/rassapi.h: Same.
	* include/regstr.h: Same.
	* include/richedit.h: Same.
	* include/richole.h: Same.
	* include/rpc.h: Same.
	* include/rpcdce.h: Same.
	* include/rpcdce2.h: Same.
	* include/rpcdcep.h: Same.
	* include/rpcndr.h: Same.
	* include/rpcnsi.h: Same.
	* include/rpcnsip.h: Same.
	* include/rpcnterr.h: Same.
	* include/rpcproxy.h: Same.
	* include/schannel.h: Same.
	* include/schnlsp.h: Same.
	* include/scrnsave.h: Same.
	* include/security.h: Same.
	* include/setupapi.h: Same.
	* include/shellapi.h: Same.
	* include/shlguid.h: Same.
	* include/shlobj.h: Same.
	* include/sql.h: Same.
	* include/sqlext.h: Same.
	* include/sqltypes.h: Same.
	* include/sqlucode.h: Same.
	* include/sspi.h: Same.
	* include/subauth.h: Same.
	* include/tlhelp32.h: Same.
	* include/unknwn.h: Same.
	* include/userenv.h: Same.
	* include/w32api.h: Same.
	* include/winbase.h: Same.
	* include/wincon.h: Same.
	* include/wincrypt.h: Same.
	* include/windef.h: Same.
	* include/windows.h: Same.
	* include/windowsx.h: Same.
	* include/winerror.h: Same
	* include/wingdi.h: Same.
	* include/wininet.h: Same.
	* include/winioctl.h: Same.
	* include/winnetwk.h: Same.
	* include/winnls.h: Same.
	* include/winnt.h: Same.
	* include/winperf.h: Same.
	* include/winreg.h: Same.
	* include/winresrc.h: Same.
	* include/winsock.h: Same.
	* include/winsock2.h: Same.
	* include/winspool.h: Same.
	* include/winsvc.h: Same.
	* include/winuser.h: Same.
	* include/winver.h: Same.
	* include/ws2tcpip.h: Same.
	* include/wsnetbs.h: Same.
	* include/wtypes.h: Same.
	* include/zmouse.h: Same.
	* include/mapi.h: Change header guard name to _MAPI_H  for
	consistency.

2002-03-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/accctrl.h (_ACCCTRL_H): Correct typo.
	Remove unnecessary inclusion of <wtypes.h>.
	* ChangeLog: Fix omission of name in recent entries.

2002-03-08  Antony Blakey  <antony.blakey@ihug.com.au>

	* include/initguid.h (DEFINE_GUID): Add GUID_EXT to define.

2002-03-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/mswsock.h: Group winsock2 dependants
	together and protect with #ifdef _WINSOCK2_H.
	* lib/test.c: Only test ws2tcpip.h if winsock2.h
	has been included.

2002-03-05  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/mswsock.h (TP_*): Add new defines.
	(TRANSMIT_PACKETS_ELEMENT): Define new structure.
	(WSAMSG): Likewise.
	(WSACMSGHDR): Likewise.
	(DisconnectEx): Add new prototype.
	(WSARecvMsg): Likewise.
	(WSA_CMSG_*) Add empty macros, guarded by #if 0.

2002-03-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* ChangeLog: Fix typo in last entry.
	* include/winsock2.h (IPPROTO_*): Add IPv6 defines.
	* include/ws2tcpip.h: (IP_*): Add new defines.
	(INET_ADDRSTRLEN, INET6_ADDRSTRLEN): Add defines.
	(NI_*): Add getnameinfo constants and bitmasks.
	(AI_*): Add getaddrinfo flags.
	(EAI_*): Add getaddrinfo error codes.
	(ip_mreq_source): Add new structure.
	(ip_msfilter): Add new structure.
	(IP_MSFILTER_SIZE): Add new macro.
	(in_pktinfo): Add new structure.
	Add preliminary IPv6 support.
	(in6_addr): Add new structure and some defines.
	(sockaddr_in6): Add new structure.
	(in6addr_any, in6addr_loopback): Declare extern structures.
	(IN6ADDR_ANY_INIT,IN6ADDR_LOOPBACK_INIT): Add
	initialization macros for above.
	(IN6_ARE_ADDR_EQUAL): Define macro.
	(IN6_IS_ADDR_*): Define address testing macros.
	(socklen_t) Add new typedef.
	(ipv6_mreq): Add new structure.
	(in6_pktinfo): Same.
	(addrinfo): Same.
	(freeaddrinfo):Add new prototype.
	(getaddrinfo): Same.
	(gai_strerror[AW]): Same.
	(getnameinfo): Same.
	(sockaddr_in6_old): Add structure.
	(sockaddr_gen): Add union definition.
	(INTERFACE_INFO): Use sockaddr_gen as members.
	(INTERFACE_INFO_OLD): Add comment on workaround for problems
	with INTERFACE_INFO on NT4 prior to sp4.

2002-02-28  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/windows.h: Remove test for __W32API_MAJOR_VERSION
	when selecting winsock interface.
	* include/winsock2.h (SOCKET_ADDRESS_LIST): Add structure
	and typedefs. Thanks to: 'Lorenzo' <conte0@infinito.it>.
	Expand FIXME comment.
	(WSACOMPLETIONTYPE): Add enum.
	(WSACOMPLETION): Add structure and typedefs.
	(WSANSPIoctl): Add function prototpe and callback typedef.
